<?php

namespace App\Http\Controllers\Admin\Account;

use App\Http\Controllers\Controller;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use RealRashid\SweetAlert\Facades\Alert;

class AccountController extends Controller{
    // account setting page
    public function index(){
        $page_data['admin_info'] = User::where('user_type', 'admin')->first();
        return view('admin.account.index', $page_data);
    }

    // update profile
    public function updat_profile(Request $request, $id){
        $validatedData = $request->validate([
            'name' => 'required',
            'email' => 'required'
        ]);
        if($request->image){
            $image_name = time().'.jpg';
        }else{
            $image_name = $request->old_image;
        }
        $data = array(
            'name' => $request->name,
            'email' => $request->email,
            'image' => $image_name,
            'updated_at' => Carbon::now(),
        );
        $update = User::where('id', $id)->update($data);
        if($update){
            if($request->image){
                if(file_exists('storage/user-image/'.$request->old_image)){
                    unlink('storage/user-image/'.$request->old_image);
                };
                $request->image->storeAs('public/user-image',$image_name);
            }
            Alert::success(get_phrase('Success'), get_phrase('Admin Profile Updated Successfully'));
            return redirect()->back();
        }else{
            Alert::error(get_phrase('Retry'), get_phrase('Somthing Wrong'));
            return redirect()->back();
        }
    }

    // update password
    public function update_password(Request $request, $id){
        $validatedData   = $request->validate([
            'current_password' => 'required',
            'new_password' => 'required'
        ]);
        $db_password = User::where('user_type', 'admin')->first()->password;
        $current_password = $request->current_password;
        if($request->new_password == $request->confirm_password){
            $new_password = Hash::make($request->new_password);
            if(Hash::check($current_password, $db_password)){
                $data = array(
                    'password' => $new_password,
                    'updated_at' => Carbon::now(),
                );
                $update = User::where('id', $id)->update($data);
                if($update){
                    Alert::success(get_phrase('Success'), get_phrase('Password Updated Successfully'));
                    return redirect('admin/logout');
                }else{
                    Alert::error(get_phrase('Retry'), get_phrase('Somthing Wrong'));
                    return redirect()->back();
                }
            }else{
                Alert::error(get_phrase('Retry'), get_phrase('Password Not Match'));
                return redirect()->back();
            }
        }else{
            Alert::error(get_phrase('Retry'), get_phrase('Confirm Password Not Match'));
            return redirect()->back();
        }
        
    }
}
