<?php

namespace App\Http\Controllers\Admin\Auth;

use App\Http\Controllers\Controller;
use App\Models\Episode;
use App\Models\Movie;
use App\Models\Series;
use App\Models\Subscription;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class AuthController extends Controller{
    // admin dashboard view
    public function dashboard(){
        $page_data['movies'] = Movie::get();
        $page_data['tv_Series'] = Series::get();
        $page_data['episodes'] = Episode::get();
        $page_data['user'] = User::where('user_type', 'user')->get();
        $page_data['subscriptions'] = Subscription::where('status', 1)->get();

        $monthly_user = array(0);
        for($i = 1; $i <= 12; $i++){
            $total_days = date('t', strtotime(date("Y-$i-1 00:00:00")));
            $users = User::whereDate('created_at', '>=', date("Y-$i-1 00:00:00"))->whereDate('created_at', '<=', date("Y-$i-$total_days 23:59:59"))->get();
            if(count($users)>0){
                array_push($monthly_user, count($users));
            }else{
                array_push($monthly_user, 0);
            }
        }
        $total_movies = Movie::get()->count();
        $total_series = Series::get()->count();
        $total_episode = Episode::get()->count();
        $pie_chart = json_encode(array($total_movies, $total_series, $total_episode));
        $page_data['monthly_user'] = $monthly_user;
        $page_data['pie_chart'] = $pie_chart;

        return view('admin.dashboard', $page_data);
    }

    // admin logout
    public function logout(){
        Session::flush('admin');
        return redirect('/');
    }
}
