<?php

namespace App\Http\Controllers\Admin\Newsletter;

use App\Http\Controllers\Controller;
use App\Models\Newslater;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use RealRashid\SweetAlert\Facades\Alert;

class NewsletterController extends Controller
{
    //newsletter_list
    public function newsletter_list(){
        $page_data['newsletters'] = Newslater::paginate(5);
        return view('admin.newsletter.index', $page_data);
    }

    // send newslaetter 
    public function send_newsletter($email){
        $page_data['email'] = $email;
        return view('admin.newsletter.email', $page_data);
    }

    // send email to user
    public function post_newsletter(Request $request){
        Config(['mail.mailers.smtp.transport' => get_settings('smtp_protocol')]);
        Config(['mail.mailers.smtp.host' => get_settings('smtp_host')]);
        Config(['mail.mailers.smtp.port' => get_settings('smtp_port')]);
        Config(['mail.mailers.smtp.encryption' => get_settings('smtp_crypto')]);
        Config(['mail.mailers.smtp.username' => get_settings('smtp_user')]);
        Config(['mail.mailers.smtp.password' => get_settings('smtp_password')]);
        Config(['mail.from.address' =>get_settings('smtp_user')]);
        Config(['mail.from.name' => get_settings('site_name')]);
        $page_data['name'] = get_phrase('Subscriber here is you update');
        $page_data['code'] = '';
        $data['to'] = $request->email;
        $data['subject'] = get_phrase('Newsletter');
        $page_data['massage'] = $request->massage;
        $page_data['page'] = 'null';

        Mail::send('email_template', $page_data, function($massage) use ($data){
            $massage->to($data['to']);
            $massage->subject($data['subject']);
        });

        $data = array(
            'status' => 1
        );
        Newslater::where('email', $request->email)->update($data);
        Alert::success(get_phrase('Success'), get_phrase('Email Send Successfully'));
        return redirect()->back();

    }
}
