<?php

namespace App\Http\Controllers\Admin\Setting;

use App\Http\Controllers\Controller;
use App\Models\Language;
use Carbon\Carbon;
use Illuminate\Http\Request;
use RealRashid\SweetAlert\Facades\Alert;

class LanguageController extends Controller{
    // language page view
    public function language_setting_page(){
        $page_data['languages'] = Language::select('name')->groupBy('name')->get();
        return view('admin.setting.language', $page_data);
    }

    // create new language page
    public function create_language(){
        return view('admin.setting.create_language');
    }

    // store language
    public function store(Request $request){
        $active_language = Language::where('name', get_settings('language'))->get();
        foreach($active_language as $value){
            $lang = new Language();
            $lang->name = strtolower($request->name);
            $lang->phrase = $value->phrase;
            $lang->translated = $value->translated;
            $lang->created_at = Carbon::now();
            $lang->save();
        }        
        Alert::success(get_phrase('Success'), get_phrase('Language Created Successfully'));
        return redirect()->back();
    }

    // language edit page
    public function edit_language($language){
        $page_data['language'] = Language::where('name', $language)->select('name')->groupBy('name')->first();
        return view('admin.setting.edit_language', $page_data);
    }

    // update language name
    public function update_language(Request $request, $language){
        $update = Language::where('name', $language)->update(['name' => strtolower($request->name)]);
        if($update){
            Alert::success(get_phrase('Success'), get_phrase('Language Update Successfully'));
            return redirect()->back();
        }else{
            Alert::error(get_phrase('Retry'), get_phrase('Somthing Wrong'));
            return redirect()->back(); 
        }
    }

    // edit the language phrase
    public function edit_phrase($language){
        $page_data['all_phrase'] = Language::where('name', $language)->get();
        $page_data['language'] = $language;
        return view('admin.setting.edit_phrase', $page_data);
    }

    // delete the language
    public function delete_language($language){
        $delete = Language::where('name', $language)->delete();
        if($delete){
            Alert::success(get_phrase('Success'), get_phrase('Language Deleted Successfully'));
            return redirect()->back();
        }else{
            Alert::error(get_phrase('Retry'), get_phrase('Somthing Wrong'));
            return redirect()->back(); 
        }
    }

    function update_phrase(Request $request){
        $id = $request->phrase_id;
        $row = Language::where('id', $id)->first();
        $phrase = $row->phrase;
        if(strpos($row->phrase, '____') == true && strpos($request->phrase, '____') == true){
            Language::where('id', $id)->update(['translated' => $request->phrase]);
            echo "true";
        }elseif(strpos($row->phrase, '____') == false){
            Language::where('id', $id)->update(['translated' => $request->phrase]);
            echo "true";
        }else{
            echo "false";
        }
    }
}
