<?php

namespace App\Http\Controllers\Admin\Setting;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Currency;
use App\Models\Genre;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Http\Request;
use RealRashid\SweetAlert\Facades\Alert;

class SettingController extends Controller{
    // web setting page view
    public function web_setting_page(){
        $page_data['setting'] = Setting::first();
        $page_data['currency'] = Currency::get();
        $page_data['homepage_genre'] = Genre::get();
        $page_data['homepage_category'] = Category::get();
        return view('admin.setting.web_setting', $page_data);
    }

    // update web setting 
    public function update_web_setting(Request $request){
        $data['description'] = $request->site_name;
        Setting::where('type', 'site_name')->update($data);

        $data['description'] = $request->site_email;
        Setting::where('type', 'site_email')->update($data);

        $data['description'] = $request->email_verification;
        Setting::where('type', 'email_verification')->update($data);

        $data['description'] = $request->website_language;
        Setting::where('type', 'language')->update($data);

        $data['description'] = $request->currency;
        Setting::where('type', 'currency')->update($data);

        $data['description'] = $request->currency_position;
        Setting::where('type', 'currency_position')->update($data);

        $data['description'] = $request->google_api_key;
        Setting::where('type', 'google_api_key')->update($data);

        $data['description'] = $request->homepage_genre??'[]';
        Setting::where('type', 'homepage_genre')->update($data);

        $data['description'] = $request->homepage_category??'[]';
        Setting::where('type', 'homepage_category')->update($data);

        $data['description'] = $request->invoice_address;
        Setting::where('type', 'invoice_address')->update($data);

        $data['description'] = $request->timezone;
        Setting::where('type', 'timezone')->update($data);
        
        $data['description'] = $request->phone_number;
        Setting::where('type', 'phone_number')->update($data);

        $data['description'] = $request->purchase_code;
        Setting::where('type', 'purchase_code')->update($data);

        $data['description'] = $request->facebook;
        Setting::where('type', 'facebook')->update($data);

        $data['description'] = $request->instagram;
        Setting::where('type', 'instagram')->update($data);

        $data['description'] = $request->twitter;
        Setting::where('type', 'twitter')->update($data);

        $data['description'] = $request->linkedin;
        Setting::where('type', 'linkedin')->update($data);

        $data['description'] = $request->promo_video;
        Setting::where('type', 'promo_video')->update($data);

        if($request->site_logo){
            if(file_exists('storage/setting/'.get_settings('site_logo'))){
                unlink('storage/setting/'.get_settings('site_logo'));
            } ;
            $logo = time().'.jpg';
            $request->site_logo->storeAs('public/setting',$logo);
        }else{
            $logo = $request->old_logo;
        }
        $data['description'] = $logo;
        Setting::where('type', 'site_logo')->update($data);

        if($request->light_logo){
            if(file_exists('storage/setting/'.get_settings('light_logo'))){
                unlink('storage/setting/'.get_settings('light_logo'));
            };
            $light_logo = time().'24.jpg';
            $request->light_logo->storeAs('public/setting',$light_logo);
        }else{
            $light_logo = $request->old_light_logo;
        }
        $data['description'] = $light_logo;
        Setting::where('type', 'light_logo')->update($data);

        if($request->site_favicon){
            if(file_exists('storage/setting/'.get_settings('site_favicon'))){
                unlink('storage/setting/'.get_settings('site_favicon'));
            };
            $favicon = time().'25.jpg';
            $request->site_favicon->storeAs('public/setting',$favicon);
        }else{
            $favicon = $request->old_favicon;
        }
        $data['description'] = $favicon;
        Setting::where('type', 'site_favicon')->update($data);

        $data['description'] = $request->privacy_policy;
        Setting::where('type', 'privacy_policy')->update($data);

        $data['description'] = $request->refund_policy;
        Setting::where('type', 'refund_policy')->update($data);
        
        Alert::success(get_phrase('Success'), get_phrase('Setting Updated Successfully'));
        return redirect()->back();
        
    }

    //
    public function purchase_code(Request $request){
        $data['description'] = $request->purchase_code;
        $update = Setting::where('type', 'purchase_code')->update($data);
        if($update){
            Alert::success(get_phrase('Success'), get_phrase('Purchase code Updated Successfully'));
            return redirect()->back();
        }else{
            Alert::error(get_phrase('Retry'), get_phrase('Somthing Wrong'));
            return redirect()->back();
        }
    }

}
