<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;

class PasswordResetLinkController extends Controller
{
    // forgot password page
    public function forgot_password(){
        return view('auth.forgot-password');
    }

    // get password recovery code
    public function get_code(Request $request){
        $validated = $request->validate([
            'email' => 'required|max:50|email:rfc,dns',
        ]); 
        $code = random_int(100000, 999999);
        $data['email_verification_code'] = $code;
        $user = User::where('email', $request->email);
        $update = $user->update($data);

        if(isset($user->first()->id)){
            $user_id =$user->first()->id;
            if($update){
                send_mail($user_id, 'password_reset', $code);
                toast(get_phrase('Verification email send successfully'),'success');
                $user_email['email'] = $request->email;
                $request->session()->put('email', (object)$user_email);
                return redirect('confirm-password-code');
            }else{
                toast(get_phrase('User Not found !'),'error');
                return redirect()->back();        
            }
         }else{
            toast(get_phrase('User Not found !'),'error');
            return redirect()->back();
        }

    }

    // get password recovery code
    public function confirm_password_view(){
        return view('auth.confirm-password');
    }

    // new password / password change
    public function confirm_password(Request $request){
        $user_email = Session::get('email')->email;
        $validated = $request->validate([
            'v_code' => 'required',
            'new_password' => 'required',
            'confirm_password' => 'required',
        ]);
        $user = User::where('email_verification_code', $request->v_code)->first();
        $data = array(
            'password' => Hash::make($request->new_password)
        );
        if($user){
            if($request->new_password == $request->confirm_password){
                $update = User::where('email', $user_email)->update($data);
                if($update){
                    Session::flush('user');
                    toast(get_phrase('Password Update successfully'),'success');
                    return redirect('login');
                }else{
                    toast(get_phrase('Somthing wrong'),'error');
                    return redirect()->back();
                }
            }else{
                toast(get_phrase('Confirm password invalid'),'error');
                return redirect()->back();
            }
        }else{
            toast(get_phrase('Invalid varification code'),'error');
            return redirect()->back();
        }
    }
}
