<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Episode;
use App\Models\History;
use App\Models\Movie;
use App\Models\Newslater;
use App\Models\Package;
use App\Models\Series;
use App\Models\Season;
use App\Models\User;
use App\Models\Wishlist;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class FrontendController extends Controller{

     //  watching page
    public function watch_now($id, $type=''){
        if($type == 'movie'){
            $page_data['details'] = Movie::where('id', $id)->first();
            $page_data['more_related_video'] = Movie::where('genre', $page_data['details']->genre)->limit(8)->get();
        }elseif($type == 'series'){
            $page_data['details'] = Series::where('id', $id)->first();
            $page_data['more_related_video'] = Series::where('genre', $page_data['details']->genre)->limit(8)->get();
            $page_data['Seasons'] = Season::where('series', $page_data['details']->id)->get();
            $seasons = Season::where('series', $page_data['details']->id)->first();
            if(isset($seasons->id)){
                $sesson_id = $seasons->id;
            }else{
                $sesson_id = 0;
            }
            $page_data['episodes'] = Episode::where('season', $sesson_id)->get();
        }

        if (str_contains($page_data['details']->trailer, 'youtu.be/')) { 
            $id = explode('youtu.be/', $page_data['details']->trailer);
            $page_data['youtube_id'] = $id[1];
        }
        if (str_contains($page_data['details']->url, 'youtu.be/')) { 
            $id = explode('youtu.be/', $page_data['details']->url);
            $page_data['url_id'] = $id[1];
        }
        $page_data['cast'] = explode("|", $page_data['details']->actor);
        if(get_user('id')){
            $page_data['exist_package'] = User::where('id', get_user('id'))->first()->plan;
        }
        $page_data['packages'] = Package::where('status', 'Active')->get();
        $page_data['movie_id'] = $id;

        return view('frontend.watch_now', $page_data);
    }

    // playlist page view
    public function wishlist(){
        $page_data['wishlist'] = Wishlist::where('user_id', get_user('id'))->where('sub_user', get_user('user_column'))->orderBy('id', 'desc')->paginate(5);
        $page_data['total_wishlist'] = Wishlist::where('user_id', get_user('id'))->where('sub_user', get_user('user_column'))->get();
        return view('frontend.wishlist', $page_data);
    }

    // series view acoding to episode
    public function series_view(Request $request){
        $season_id = $request->season_id;
        $page_data['episodes'] = Episode::where('season', $season_id)->get();
        $seasons = Season::where('id', $season_id)->first();
        $page_data['seasons'] = Season::where('series', $seasons->series)->get();
        $page_data['seasons_id'] = $request->season_id;
        return view('frontend.episode', $page_data);
    }

    // episode player page
    public function episode_player($episode_id, $modal_width){
        $page_data['video_details'] = Episode::where('id', $episode_id)->first();
        $page_data['video_id'] = $episode_id;
        $page_data['video_type'] = 'episode';
        $page_data['modal_width'] = $modal_width;
        return view('frontend.episode_player', $page_data);
    }

    // add video to your wishlist
    public function add_wishlist($video_id, $type){
        $user_id = get_user('id');
        $sub_user = get_user('user_column')??0;
        $is_exist = Wishlist::where('video_id', $video_id)->where('type', $type)->where('user_id', get_user('id'))->where('sub_user', get_user('user_column')??0)->orderBy('id', 'desc')->first();
        if($type == 'episode'){
            $episode = Episode::where('id', $video_id)->orderBy('id', 'desc')->first();
            $season_id = $episode->season;
        }else{
            $season_id = 0;
        }
        if(!$is_exist){
            $data = array (
                'video_id' => $video_id,
                'user_id' => $user_id,
                'sub_user' => $sub_user,
                'type' => $type,
                'season_id' => $season_id,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            );
            $insert = Wishlist::insert($data);
            if($insert){
                echo 1;
            }
        }elseif(!$user_id){
                echo 99;
        }else{
            echo 0;
        }
    }

    // delete video from wishlist 
    public function delete_wishlist($id){
        $delete = Wishlist::where('id', $id)->where('sub_user', get_user('user_column')??0)->delete();
        if($delete){
            toast(get_phrase('Deleted Successfully'),'success');
            return redirect()->back();
        }else{
            toast(get_phrase('Faild'),'error');
            return redirect()->back();
        }
    }

    // all video play page
    public function video_player($id, $type){
        if($type == 'movie'){
            $page_data['video_details'] = Movie::where('id', $id)->first();

        }elseif($type == 'series'){
            $page_data['video_details'] = Series::where('id', $id)->first();

        }elseif($type == 'episode'){
            $page_data['video_details'] = Episode::where('id', $id)->first();
        }
        $page_data['video_id'] = $id;
        $page_data['video_type'] = $type;
        return view('frontend.video_player', $page_data);
    }
     
    // subscribe to werbsite
    public function newslater(Request $request){
        $email = $request->email;
        $count = Newslater::where('email', $email)->count();
        if($count > 0){
            toast(get_phrase('Email already exist'),'error');
            return redirect()->back();
        }else{
            $validated = $request->validate([
                'email' => 'required|unique:newslaters|max:50|email:rfc,dns',
            ]);            
            $data['email'] = $email;
            $data['created_at'] = Carbon::now();
            $data['updated_at'] = Carbon::now();
            $insert = Newslater::insert($data);
            if($insert){
                toast(get_phrase('Subscribe Successfully'),'success');
                return redirect()->back();
            }else{
                toast(get_phrase('Somthin Wrong'),'error');
                return redirect()->back();
            }
        }
    }

    // admin wishlist
    public function admin_wishlist(){
        $page_data['wishlist'] = Wishlist::where('user_id', get_user('id'))->where('sub_user', 0)->paginate(10);
        $page_data['total_wishlist'] = Wishlist::where('user_id', get_user('id'))->where('sub_user', 0)->get();
        return view('frontend.admin_wishlist', $page_data);
    }

    // admin history
    public function admin_history(){
        $page_data['histories'] = History::where('user_id', get_user('id'))->where('sub_user', 0)->paginate(10);
        $page_data['total_histories'] = History::where('user_id', get_user('id'))->where('sub_user', 0)->get();
        return view('frontend.admin_history', $page_data);
    }
 
    // language change 
    public function language_chnage($language){
        Session::put('language', ['language'=>$language]);
        $session_language = Session::get('language');
        // print_r($session_language);
        return redirect()->back();
    }

}
