<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\History;
use App\Models\Season;
use App\Models\Series;
use App\Models\Episode;
use Carbon\Carbon;
use Illuminate\Http\Request;

class HistoryController extends Controller{
    // history page view
    public function history(){
        $page_data['histories'] = History::where('user_id', get_user('id'))->where('sub_user', get_user('user_column'))->orderBy('id', 'desc')->paginate(5);
        $page_data['total_histories'] = History::where('user_id', get_user('id'))->where('sub_user', get_user('user_column'))->get();
        return view('frontend.history', $page_data);
    }

    // add video to history 
    public function watch_history($video_id, $type){
        if($type == 'episode'){
            $episode = Episode::where('id',$video_id)->first();
            $season = Season::where('id',$episode->season)->first();
            $series_id = $season->series;
        }else{
            $series_id = NULL;
        }
        
        $history = History::where('user_id', get_user('id'))->where('video_id', $video_id)->where('sub_user', get_user('user_column')??0)->where('type', $type)->first();
        if(!$history){
            $data = array(
                'user_id' => get_user('id'),
                'sub_user' => get_user('user_column')??0,
                'video_id' => $video_id,
                'series_id' =>  $series_id,
                'type' => $type,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            );
            $insert = History::insert($data);
        }
    }


    // history data delete
    // public function delete_history($id){
    //     $delete = History::where('id', $id)->where('sub_user', get_user('user_column')??0)->delete();
    //     if($delete){
    //         toast(get_phrase('Deleted Successfully'),'success');
    //         return redirect()->back();
    //     }else{
    //         toast(get_phrase('Somthing Wrong'),'error');
    //         return redirect()->back();
    //     }
    // }

    public function delete_history($id){
        $history = History::where('id', $id)->where('sub_user', get_user('user_column')??0)->first();
        
        if ($history) {
            $history->trash = 1; 
            if ($history->save()) { 
                toast(get_phrase('Deleted Successfully'), 'success');
            } else {
                toast(get_phrase('Something Wrong'), 'error');
            }
        } else {
            toast(get_phrase('Record not found'), 'error');
        }
    
        return redirect()->back();
    }
    




}
