<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Package;
use App\Models\Subscription;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use RealRashid\SweetAlert\Facades\Alert;

class UserProfileController extends Controller{
    
    // user redirect after login
    public function who_is_watching(){
        $user_id = get_user('id');
        $page_data['user_info'] = User::where('id', $user_id)->first();
        return view('frontend.who_is_watching', $page_data);
    }

    // user profile 
    public function profile(){
        $user_id = get_user('id');
        $page_data['current_user'] = User::where('id', $user_id)->first();
        $page_data['package'] = Package::where('id', $page_data['current_user']->plan)->first();
        $page_data['subscription'] = Subscription::where('user_id', $user_id)->get();
        $page_data['home_tab'] = 0;
        return view('frontend.user_profile', $page_data);
    }

    // add your more friend/user
    public function add_friends(Request $request){
        // image for new firend/user
        if($request->image){
            $image_name = time().'.jpg';
        }else{
            $image_name = 0;
        }
        $request_data = array(
            'name' => $request->name,
            'image' => $image_name
        );

        $db_query = User::where('id', get_user('id'))->first();
        // if user1 empty then create user1
        if(!$db_query->user1){
            $data = array(
                'user1' => json_encode($request_data)
            );
        }
        // if user2 empty then create user2
        elseif(!$db_query->user2){
            $data = array(
                'user2' => json_encode($request_data)
            );
        }
        // if user3 empty then create user3
        elseif(!$db_query->user3){
            $data = array(
                'user3' => json_encode($request_data)
            );
        }
        // if user4 empty then create user4
        elseif(!$db_query->user4){
            $data = array(
                'user4' => json_encode($request_data)
            );
        }
        $package = Package::where('id', $db_query->plan)->first();
        $total_user = 0;
        $users = $db_query->user1 ? $total_user + 1 : $total_user + 0;
        $users = $db_query->user2 ? $users + 1 : $users + 0;
        $users = $db_query->user3 ? $users + 1 : $users + 0;
        $users = $db_query->user4 ? $users + 1 : $users + 0;
        if($package->user_number > $users){
            $update = User::where('id', get_user('id'))->update($data);
            if($update){
                if($request->image){
                    $request->image->storeAs('public/user-image',$image_name);
                }
                toast(get_phrase('Added Successfully'),'success');
                return redirect()->back();
            }else{
                toast(get_phrase('Somthing Wrong'),'error');
                return redirect()->back();
            }
        }else{
            toast(get_phrase('Current package contains ').$package->user_number.get_phrase(' users only') ,'error');
            return redirect()->back();
        }
    }

    // update friends
    public function update_friends(Request $request, $param1){
        // update user image
        if($request->image){
            $image_name = time().'.jpg';
        }else{
            $image_name = $request->old_image;
        }
        $request_data = array(
            'name' => $request->name,
            'image' => $image_name
        );
        // update user1 
        if($param1 == 'user1'){
            $user = User::where('id', get_user('id'));
            if(Hash::check($request->new_password, $user->first()->password)){
                toast(get_phrase('Password could not be the same'),'error');
                return redirect()->back();
            }else{
                $data = array(
                    'root_password' => Hash::make($request->new_password)
                );
                $insert = $user->update($data);
                if($insert){
                    toast(get_phrase('Password change successfully'), 'success');
                    return redirect()->back();
                }
            }
        }
        // update user2
        elseif($param1 == 'user2'){
            $data = array(
                'user2' => json_encode($request_data)
            );
        }
        // update user3
        elseif($param1 == 'user3'){
            $data = array(
                'user3' => json_encode($request_data)
            );
        }
        // update user4
        elseif($param1 == 'user4'){
            $data = array(
                'user4' => json_encode($request_data)
            );
        }
        $update = User::where('id', get_user('id'))->update($data);
        if($update){
            if($request->image){
                if(file_exists('storage/user-image/'.$request->old_image)){
                    unlink('storage/user-image/'.$request->old_image);
                }
                $request->image->storeAs('public/user-image',$image_name);
            }
            toast(get_phrase('Udpate Successfully'),'success');
            return redirect()->back();
        }else{
            toast(get_phrase('Somthing Wrong'),'error');
            return redirect()->back();
        }
    }

    // remove friend
    public function remove_friend($param1){
        $user = User::where('id', get_user('id'))->first();
        $image = json_decode($user->user1);
        if($param1 == 'user1'){
            $data = array(
                'user1' => ''
            );
            $image = json_decode($user->user1);
            if(file_exists('storage/user-image/'.$image->image)){
                unlink('storage/user-image/'.$image->image);
            }
        }
        // if you want to delete user2
        elseif($param1 == 'user2'){
            $data = array(
                'user2' => ''
            );
            $image = json_decode($user->user2);
            if(file_exists('storage/user-image/'.$image->image)){
                unlink('storage/user-image/'.$image->image);
            }
        }
        // if you want to delete user3
        elseif($param1 == 'user3'){
            $data = array(
                'user3' => ''
            );
            $image = json_decode($user->user3);
            if(file_exists('storage/user-image/'.$image->image)){
                unlink('storage/user-image/'.$image->image);
            }
        }
        // if you want to delete user3
        elseif($param1 == 'user4'){
            $data = array(
                'user4' => ''
            );
            $image = json_decode($user->user4);
            if(file_exists('storage/user-image/'.$image->image)){
                unlink('storage/user-image/'.$image->image);
            }
        }
        $update = User::where('id', get_user('id'))->update($data);
        if($update){
            toast(get_phrase('Removed Successfully'),'success');
            return redirect()->back();
        }else{
            toast(get_phrase('Somthing Wrong'),'error');
            return redirect()->back();
        }
        
    }

    // selected user
    public function selected_friend(Request $request, $param1){
        $get_sesson = Session::get('user');
        $sesson_array = json_decode(json_encode($get_sesson), true);
        // which user profile you select 
        if($param1 == 'user1'){
            $sesson_array['user_column'] = 'user1';          
            $update = Session::put('user', (object)$sesson_array);
            if($sesson_array){
                toast(get_phrase('Login Successfully'),'success');
                return redirect('home');
            }else{
                return redirect()->back();
            }
        }
        // which user profile you select 
        elseif($param1 == 'user2'){
            $sesson_array['user_column'] = 'user2';          
            $update = Session::put('user', (object)$sesson_array);
            if($sesson_array){
                toast(get_phrase('Login Successfully'),'success');
                return redirect('home');
            }else{
                return redirect()->back();
            }
        }
        // which user profile you select 
        elseif($param1 == 'user3'){
            $sesson_array['user_column'] = 'user3';          
            $update = Session::put('user', (object)$sesson_array);
            if($sesson_array){
                toast(get_phrase('Login Successfully'),'success');
                return redirect('home');
            }else{
                return redirect()->back();
            }
        }
        // which user profile you select 
        elseif($param1 == 'user4'){
            $sesson_array['user_column'] = 'user4';          
            $update = Session::put('user', (object)$sesson_array);
            if($sesson_array){
                toast(get_phrase('Login Successfully'),'success');
                return redirect('home');
            }else{
                return redirect()->back();
            }
        }
    }

    // manage profile => name and image change
    public function manage_profile(Request $request){
        // update user image
        if($request->image){
            $image_name = time().'.jpg';
        }else{
            $image_name = $request->old_image;
        }
        // user data array for update
        $request_data = array(
            'name' => $request->name,
            'image' => $image_name
        );
        $data = array(
            'name' => $request->name,
            'image' => $image_name,
            'user1' => json_encode($request_data)

        );
    
        $user = User::where('id', get_user('id'))->first();
        // update user data into database
        $update = User::where('id', get_user('id'))->update($data);
        if($update){
            if($request->image){
                if(file_exists('storage/users/'.$request->old_image)){
                    unlink('storage/users/'.$request->old_image);
                }
                $request->image->storeAs('public/users',$image_name);
            }
            $user_id = get_user('id');
            $page_data['current_user'] = User::where('id', $user_id)->first();
            $page_data['home_tab'] = 'active';
            $page_data['current_user'] = User::where('id', $user_id)->first();
            $page_data['package'] = Package::where('id', $page_data['current_user']->plan)->first();
            $page_data['subscription'] = Subscription::where('user_id', $user_id)->get();
            toast(get_phrase('Update Successfully'),'success');
            return view('frontend.user_profile', $page_data);
        }else{
            toast(get_phrase('Somthing Wrong'),'error');
            return redirect()->back();
        }
    }

    public function change_password(){
        return view('frontend.user_password_update');
    }

    // manage profile => change password
    public function update_password(Request $request){
        $db_query = User::where('id', get_user('id'))->first();
        if (Hash::check($request->current_password, $db_query->password)){
            $data = array(
                'password' => Hash::make($request->new_password),
            );
            $update = User::where('id', get_user('id'))->update($data);
            if($update){
                toast(get_phrase('Update Successfully'),'success');
                return redirect('user/change-password');
            }else{
                toast(get_phrase('Somthing Wrong'),'error');
                return redirect()->back();
            }  
        }else{
            toast(get_phrase('Wrong Password'),'error');
            return redirect()->back();
        }
    }

    public function active_package(){
        $user_id = get_user('id');
        $subscription = Subscription::where('user_id', $user_id)->orderBy('id', 'DESC')->first();
        if(isset($subscription->status) == 1){
            $page_data['package'] = Package::where('id', $subscription->plan_id)->first();
        }else{
            $page_data['package'] = '';
        }
        return view('frontend.user_active_package', $page_data);
    }

    public function billing_history(){
        $user_id = get_user('id');
        $page_data['subscription'] = Subscription::where('user_id', $user_id)->orderBy('id', 'desc')->get();
        return view('frontend.user_billing_history', $page_data);
    }

    function cancel_membership(){
        $user_id = get_user('id');
        $data['status'] = 0;
        $update = Subscription::where('user_id', $user_id)->update($data);
        if($update){
            toast(get_phrase('Update Successfully'),'success');
            return redirect()->back();
        }else{
            toast(get_phrase('Somthing Wrong'),'error');
            return redirect()->back();
        }  
    }

    // root password add
    public function root_password(Request $request){
        $user = User::where('id', get_user('id'));
        if(Hash::check($request->root_password, $user->first()->password)){
            toast(get_phrase('Password could not be the same'),'error');
            return redirect()->back();
        }else{
            $data = array(
                'root_password' => Hash::make($request->root_password)
            );
            $update = $user->update($data);
            if($update){
                toast(get_phrase('Update Successfully'),'success');
                return redirect()->back();
            }else{
                toast(get_phrase('Somthing Wrong'),'error');
                return redirect()->back();
            }
        }
    }

    // login as root user
    public function login_root_password(Request $request){
        $user = User::where('id', get_user('id'))->first();
        if(Hash::check($request->root_password, $user->root_password)){
            return redirect('user/selected-user/user1');
        }else{
            toast(get_phrase('Wrong password'),'error');
            return redirect()->back();
        }
    }


}
