<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payment_geteway extends Model
{
    protected $fillable = ['keys','description'];
    use HasFactory;

    public static function add_payment_success($identifier, $currency){
        $payment_details = session('payment_details');
        $package_info = Package::where('id', $payment_details['items'][0]['id'])->firstOrFail();
        $list = User::where('id',get_user('id'))->first();
        $movie = json_decode($list->subscription_list)->movie??0;
        $series = json_decode($list->subscription_list)->series??0;
        
        $subscription_list = [
            'movie' =>(isset($movie) > 0) ? $package_info->movie + $movie : $movie,
            'series' =>(isset($series) > 0) ? $package_info->series + $series : $series,
        ];
        $subscription_list_json = json_encode($subscription_list);
        
        $plan = array(
            'plan' => $payment_details['items'][0]['id'],
            'subscription_list' => $subscription_list_json
        );
        User::where('id', get_user('id'))->update($plan);

        $data = array (
            'plan_id' => $payment_details['items'][0]['id'],
            'user_id' => get_user('id'),
            'price_amount' => $payment_details['items'][0]['price'],
            'paid_amount' => $payment_details['items'][0]['price'],
            'timestamp_from' => $payment_details['custom_field']['start_date'],
            'timestamp_to' => $payment_details['custom_field']['end_date'],
            'payment_method' => $identifier,
            'payment_details' => $identifier,
            'payment_timestamp' => Carbon::now(),
            'status' => 1,
            'currency' => $currency,
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
        );
        $insert = Subscription::insert($data);
        if($insert){
            send_mail(get_user('id'), 'payment_confirm', $payment_details['items'][0]['id']);
            toast('Subscription Success','success');
            return redirect('user/profile');
        }else{
            toast('Payment Fail','error');
            return redirect()->back();
        }
    }
}
