<?php

namespace Database\Seeders;

use Carbon\Carbon;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(){
        // Setting details
        $data = [
            ['id' => 1, 'type' => 'site_name', 'description' => 'Neoflex', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 1, 'type' => 'software_version', 'description' => '3.0.1', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 2, 'type' => 'site_email', 'description' => 'admin@example.com', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 3, 'type' => 'trial_period', 'description' => 'on', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 4, 'type' => 'trial_period_days', 'description' => '30', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 4, 'type' => 'email_verification', 'description' => 'off', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 5, 'type' => 'language', 'description' => 'english', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 6, 'type' => 'theme', 'description' => 'Default', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 7, 'type' => 'invoice_address', 'description' => 'dhaka', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 7, 'type' => 'currency', 'description' => 'USD', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 7, 'type' => 'currency_position', 'description' => 'left', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 8, 'type' => 'purchase_code', 'description' => '12365894', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 9, 'type' => 'site_logo', 'description' => '0', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 9, 'type' => 'site_favicon', 'description' => '0', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 10, 'type' => 'privacy_policy', 'description' => 'privacy_policy', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 11, 'type' => 'refund_policy', 'description' => 'privacy_policy', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 12, 'type' => 'smtp_protocol', 'description' => 'smtp', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 13, 'type' => 'smtp_crypto', 'description' => 'TLS', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 14, 'type' => 'smtp_host', 'description' => 'smtp.gmail.com', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 15, 'type' => 'smtp_port', 'description' => '587', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 16, 'type' => 'smtp_user', 'description' => 'roky.creativeitem@gmail.com', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['id' => 17, 'type' => 'smtp_password', 'description' => 'wegqskvpctybwvqm', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
        ];
        DB::table('settings')->insert($data);
    }
}
