@extends('layouts.admin') @section('title', get_phrase('Packages')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{get_phrase('Packages')}}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);">{{get_phrase('Dashborad')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('Package')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('List')}}</a></li>
                    </ul>
                </div>
                <div class="export-btn-area">
                    <a href="javascript:;" class="export_btn" onclick="show_ajax_modals('{{ route('create/package')}}')"> {{get_phrase('Create Package') }} </a>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Start genre list -->
<div class="row mt-3">
    @foreach ($packages as $item)
    <div class="col-lg-4 col-md-6 col-sm-6 mt-4">
        <div class="pricing-box pricing-card h-100">
            <div class="card">
                <div class="card-head">
                    <div class="p-head-left d-flex">
                        <i class="fa-solid fa-layer-group"></i>
                        <div class="p-head-text">
                            <h4>{{$item->name }}</h4>
                            @if($item->price == 'free')
                            <p>{{get_phrase("Free")}} <small>{{get_phrase('/Monthly')}}</small></p>
                            @else
                            <p>{{get_price($item->price)}}<small>{{get_phrase('/Monthly')}}</small></p>
                            @endif
                        </div>
                    </div>
                </div>

                <div class="card-body">
                    @php $service_item = json_decode($item->services); @endphp
                    <ul class="price-list">
                        <li><i class="fa-solid fa-circle-check text-primary"></i> {{get_user_number($item->user_number)}}</li>
                        @if($item->movie)
                        <li><i class="fa-solid fa-circle-check text-primary"></i> {{($item->movie)}} {{get_phrase(' Movie')}}</li>
                        @endif
                        @if($item->series)
                        <li><i class="fa-solid fa-circle-check text-primary"></i> {{($item->series)}} {{get_phrase(' Series')}}</li>
                        @endif
                        @foreach ($service_item as $service)
                        <li><i class="fa-solid fa-circle-check text-primary"></i> {{$service}}</li>
                        @endforeach
                    </ul>
                </div>
                <div class="pricing-action">
                    <a href="javascript:;" class="btn btn-primary" onclick="show_ajax_modals('{{ route('edit/package', ['id'=>$item->id]) }}')"> {{get_phrase('Edit')}} </a>
                    <span class="btn border">{{$item->status}} </span>
                    <a class="confirmation btn btn-outline-danger float-end" href="{{ route('delete/package', ['id'=>$item->id]) }}">{{get_phrase('Delete')}} </a>
                </div>
            </div>
        </div>
    </div>
    @endforeach
</div>
<!-- End Admin area -->

@include('admin.common.modal') @endsection
