@extends('layouts.admin') @section('title', get_phrase('TV Series')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{get_phrase('TV Series')}}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);">{{get_phrase('Dashboard')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('TV Series')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('Create')}}</a></li>
                    </ul>
                </div>
                <div class="export-btn-area">
                    <a href="{{ route('list/series') }}" class="export_btn"> {{ get_phrase('Go Back')}} </a>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <!-- start series create from -->
    <div class="col-sm-7">
        <div class="eSection-wrap-2">
            <h5 class="mb-3">{{ get_phrase('Create TV Series') }}</h5>
            <form class="ajaxFormSubmission" action="{{ route('store/series') }}" method="post" enctype="multipart/form-data">
                @csrf
                <!-- series title -->
                <div class="form-group">
                    <label for="title" class="eForm-label"> {{ get_phrase('Series title') }} <sup>*</sup> </label>
                    <input type="text" name="title" id="title" class="eForm-control form-control" placeholder="{{get_phrase('Title')}}" required />
                </div>

                <!-- series trailer -->
                <div class="form-group">
                    <label for="trailer" class="eForm-label"> {{ get_phrase('Series Trailer') }} <sup>*</sup> </label>
                    <input type="text" name="trailer" onchange="trailer_preview('{{route('trailer/preview')}}')" id="trailer" class="eForm-control form-control" placeholder="{{get_phrase('youtube hosted video')}}" required />
                </div>

                <!-- series Thumbnail -->
                <div class="form-group efile">
                    <label for="thumbnail" class="eForm-label"> {{ get_phrase('Thumbnail') }} - <small> {{ get_phrase('(532x780) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" required />
                </div>

                <!-- series poster -->
                <div class="form-group efile">
                    <label for="poster" class="eForm-label"> {{ get_phrase('Poster') }} - <small> {{ get_phrase('(3024x1161) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="poster" id="poster" class="form-control form-control eForm-control-file eForm-control-file-lg" required />
                </div>

                <!-- series Video Quality -->
                <div class="form-group">
                    <label for="quality" class="eForm-label"> {{ get_phrase('Video Quality') }} <sup>*</sup> </label>
                    <select name="quality" class="eForm-control form-control">
                        <option value="SD">{{get_phrase('SD')}}</option>
                        <option value="HD">{{get_phrase('HD')}}</option>
                        <option value="Ultra HD">{{get_phrase('Ultra HD')}}</option>
                        <option value="QHD">{{get_phrase('QHD')}}</option>
                        <option value="Blue-Ray">{{get_phrase('Blue-Ray')}}</option>
                        <option value="2K">{{get_phrase('2K')}}</option>
                        <option value="4K">{{get_phrase('4K')}}</option>
                        <option value="8K">{{get_phrase('8K')}}</option>
                    </select>
                </div>

                <!-- series short description -->
                <div class="form-group">
                    <label for="short_description" class="eForm-label"> {{ get_phrase('Short Description') }} <sup>*</sup> </label>
                    <textarea name="short_description" id="short_description" cols="30" rows="3" class="eForm-control form-control" required> {{ get_phrase('Write short description') }} </textarea>
                </div>

                <!-- series long description -->
                <div class="form-group">
                    <label for="long_description" class="eForm-label"> {{ get_phrase('Long Description') }} <sup>*</sup> </label>
                    <textarea name="long_description" id="long_description" cols="30" rows="3" class="eForm-control form-control" required> {{ get_phrase('Write long description') }} </textarea>
                </div>

                <!-- series director -->
                <div class="form-group">
                    <label for="director" class="eForm-label"> {{ get_phrase('Director') }} <sup>*</sup> </label>
                    <select name="director" id="director" class="eForm-control form-control" required>
                        <option value=""> {{ get_phrase('select single director') }} </option>
                        @foreach ($director as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series actors -->
                <div class="form-group">
                    <label for="multiple-actor-select" class="eForm-label"> {{ get_phrase('Actors') }} <sup>*</sup> </label>
                    <select name="actor[]" id="multiple-actor-select" data-placeholder=" {{ get_phrase('select multiple actors') }} " class="eForm-control form-control" required multiple>
                        @foreach ($actor as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series category -->
                <div class="form-group">
                    <label for="category" class="eForm-label"> {{ get_phrase('Category') }} <sup>*</sup> </label>
                    <select name="category" id="category" class="eForm-control form-control" required>
                        <option value=""> {{ get_phrase('select single category') }} </option>
                        @foreach ($category as $value)
                        <option value="{{ $value->id }}"> {{ $value->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series genre -->
                <div class="form-group">
                    <label for="genre" class="eForm-label"> {{ get_phrase('Genre') }} <sup>*</sup> </label>
                    <select name="genre" id="genre" class="eForm-control form-control" required>
                        <option value=""> {{ get_phrase('select single genre') }} </option>
                        @foreach ($genre as $value)
                        <option value="{{ $value->id }}"> {{ $value->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series publishing year -->
                <div class="form-group">
                    <label for="year" class="eForm-label"> {{ get_phrase('Year') }} <sup>*</sup> </label>
                    <select name="year" id="year" class="eForm-control form-control" required>
                        <option value=""> {{ get_phrase('select publishing year') }} </option>
                        {{-- @php for( $i=1928; $i<=date('Y'); $i++ ){ echo '
                         <option value=".$i.">'.$i.'</option>
                        '; } @endphp --}}
                        @for( $i=1950; $i<=date('Y'); $i++ )
                        <option value="{{ $i }}">{{ $i }}</option>
                        @endfor
                    </select>
                </div>

                <!-- Popular tv Shows -->
                <div class="form-group">
                    <label for="popular_shows" class="eForm-label"> {{ get_phrase('Popular TV shows') }} <sup>*</sup> </label>
                    <select name="popular_shows" id="popular_shows" class="eForm-control form-control" required>
                        <option value=""> {{ get_phrase('select publishing year') }} </option>
                        <option value="yes"> {{ get_phrase('yes') }} </option>
                        <option value="no"> {{ get_phrase('no') }} </option>
                    </select>
                </div>

                <!-- Content Type -->
                <div class="form-group">
                    <label for="content_type" class="eForm-label"> {{ get_phrase('Content Type') }} <sup>*</sup> </label>
                    <select name="content_type" id="content_type" class="eForm-control form-control" required>
                        <option value="premium"> {{ get_phrase('Premium') }} </option>
                        <option value="free"> {{ get_phrase('Free') }} </option>
                    </select>
                </div>

                <!-- series star rating -->
                <div class="form-group">
                    <label for="rating" class="eForm-label"> {{ get_phrase('Rating') }} <sup>*</sup> </label>
                    <select name="rating" id="rating" class="eForm-control form-control" required>
                        <option value=""> {{ get_phrase('select series rating') }} </option>
                        <option value="0"> {{ get_phrase('0') }} </option>
                        <option value="1"> {{ get_phrase('1') }} </option>
                        <option value="2"> {{ get_phrase('2') }} </option>
                        <option value="3"> {{ get_phrase('3') }} </option>
                        <option value="4"> {{ get_phrase('4') }} </option>
                        <option value="5"> {{ get_phrase('5') }} </option>
                    </select>
                </div>
                <div class="submit-action">
                    <button type="submit" id="submit-button" class="export_btn formSubmissionBtn">{{ get_phrase('Save') }}</button>

                    <div class="info-bar d-none">
                        <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                            <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%;"></div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- end series create from -->

    <!-- start series priview from -->
    <div class="col-sm-5">
        <div class="eSection-wrap-2">
            <!-- trailer preview -->
            <h5 class="mb-3">{{ get_phrase('Series trailer preview') }}</h5>
            <div class="trailer-preview">
                <div class="trailer-video-box">
                    <i class="fa-solid fa-clapperboard"></i>
                </div>
            </div>
        </div>
    </div>
    <!-- end series priview from -->
</div>

<script>
    "use strict";
    $(function () {
        var formSubmissionBtn = $(".formSubmissionBtn");
        $(".ajaxFormSubmission").ajaxForm({
            beforeSend: function () {
                // var percentVal = '0%';
                $(formSubmissionBtn).attr("disabled", true);
            },
            uploadProgress: function (event, position, total, percentComplete) {
                var percentVal = percentComplete + "%";
                // $(".progress-bar").attr("aria-valuenow", percentComplete);
                $(formSubmissionBtn).html("Loading... " + percentComplete + "%");
                $(".progress").attr("aria-valuenow", percentComplete);
                $(".progress-bar").css("width", percentComplete + "%");
                $(".progress-bar").html(percentComplete + "%");

                console.log(percentComplete);
            },
            complete: function (xhr) {
                var response = xhr.responseText;
                console.log(response);
                toastr.success("Episode Create Successfully", "Success");
                setTimeout(function () {
                    location.reload();
                }, 2000);
            },
            error: function () {
                //You can write here your js error message
            },
        });
    });

    // ajax trailer preview
    function trailer_preview(url) {
        var value = $("#trailer").val();
        $.ajax({
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            type: "POST",
            url: url,
            data: {
                trailer: value,
            },
            success: function (result) {
                $(".trailer-preview").html(result);
            },
        });
    }
</script>

@endsection
