@extends('layouts.admin') @section('title', get_phrase('Series')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{get_phrase('Series')}}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);">{{get_phrase('Dashborad')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('Users')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('List')}}</a></li>
                    </ul>
                </div>
                <div class="export-btn-area">
                    <a href="{{ route('create/series') }}" class="export_btn"> {{get_phrase('Create Series')}} </a>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Start movie list -->
<div class="row">
    <div class="col-12">
        <div class="eSection-wrap-2">
            <!-- Search and filter -->
            <div class="search-filter-area d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15">
                <div class="search-input d-flex justify-content-start align-items-center">
                    <span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
                            <path
                                id="Search_icon"
                                data-name="Search icon"
                                d="M2,7A4.951,4.951,0,0,1,7,2a4.951,4.951,0,0,1,5,5,4.951,4.951,0,0,1-5,5A4.951,4.951,0,0,1,2,7Zm12.3,8.7a.99.99,0,0,0,1.4-1.4l-3.1-3.1A6.847,6.847,0,0,0,14,7,6.957,6.957,0,0,0,7,0,6.957,6.957,0,0,0,0,7a6.957,6.957,0,0,0,7,7,6.847,6.847,0,0,0,4.2-1.4Z"
                                fill="#797c8b"
                            />
                        </svg>
                    </span>
                    <input type="text" id="search" placeholder="{{get_phrase('Search Series')}}" class="form-control" />
                </div>
            </div>
            <!-- Table -->
            <div class="table-responsive-wrap">
                <div class="table-responsive">
                    <table class="table eTable eTable-2 text-center">
                        <thead>
                            <tr>
                                <th scope="col">{{get_phrase('ID')}}</th>
                                <th scope="col">{{get_phrase('Thumbnail')}}</th>
                                <th scope="col">{{get_phrase('Title')}}</th>
                                <th scope="col">{{get_phrase('Video Quality')}}</th>
                                <th scope="col">{{get_phrase('Content Type')}}</th>
                                <th scope="col">{{get_phrase('Genre')}}</th>
                                <th scope="col">{{get_phrase('Action')}}</th>
                            </tr>
                        </thead>
                        <tbody id="table-body">
                            @php $i = 1; @endphp @if(!empty($series) && $series->count() != 0) @foreach ($series as $key => $item)
                            <tr>
                                <td scope="row">
                                    <p class="row-number">{{ $series->firstItem() + $key }}</p>
                                </td>
                                <td>
                                    <img src="{{ get_image('storage/series_thumbnail/'.$item->thumbnail)}}" alt="" width="50px" height="50px" />
                                </td>
                                <td>{{ $item->title }}</td>
                                <td>{{ $item->quality }}</td>
                                <td>{{ ucfirst($item->content_type) }}</td>
                                <td>
                                    @php $genre_name = App\Models\Genre::where('id', $item->genre)->first()->name; echo $genre_name; @endphp
                                </td>

                                <td>
                                    <div class="adminTable-action">
                                        <button type="button" class="eBtn eBtn-black dropdown-toggle table-action-btn-2" data-bs-toggle="dropdown" aria-expanded="false">
                                            {{get_phrase('Actions')}}
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end eDropdown-menu-2 eDropdown-table-action">
                                            <li>
                                                <a class="dropdown-item" href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" target="_blank"> {{get_phrase('View')}} </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="{{route('edit/series', ['id'=>$item->id])}}"> {{get_phrase('Manage')}} </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item confirmation" href="{{ route('delete/series', ['id'=>$item->id]) }}"> {{get_phrase('Delete')}} </a>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                            @endforeach @else
                            <tr>
                                <td colspan="10" class="empty-table">{{get_phrase('There are no data.')}}</td>
                            </tr>
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- Data info and Pagination -->
            <div class="admin-tInfo-pagi d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15">
                <p class="admin-tInfo"></p>
                <div class="admin-pagi">
                    <nav aria-label="Page navigation example">
                        {{ $series->links() }}
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End Admin area -->
@endsection
