<style>
    .input-group-text {
        font-size: 1rem;
        padding: 11px;
    }
    .datetimepicker-input {
        font-size: 12px;
    }
</style>
<!-- Datepicker js -->
<script src="{{asset('backend/js/moment.min.js')}}"></script>
<script src="{{asset('backend/js/tempusdominus-bootstrap-4.js')}}"></script>

<!-- start modal header -->
<div class="modal-header">
    <h5 class="modal-title" id="ModalLabel">{{get_phrase('Update Episode')}}</h5>
    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
</div>
<!-- end modal header -->

<!-- Start update episode  from -->
<div class="modal-body">
    <form class="ajaxFormSubmission" action="{{ route('update/episode', ['id'=>$episode_details->id]) }}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="mb-3">
            <!-- episode title -->
            <div class="form-group">
                <label for="title" class="eForm-label"> {{get_phrase('Title')}} <sup>*</sup></label>
                <input type="text" name="title" id="title" class="eForm-control form-control" value="{{$episode_details->title}}" />
            </div>
            <!-- movie trailer -->
            <div class="form-group">
                <label for="source_type" class="eForm-label"> {{get_phrase('Select movie source')}} <sup>*</sup> </label>
                <select name="source_type_edit" id="source_type1" onchange="episode_source_type()" class="eForm-control form-control" required>
                    <option value="local_file_edit" {{$episode_details->url_type == 'local_file' ? 'selected':'' }}>{{get_phrase('Local storage')}}</option>
                    <option value="youtube_url_edit" {{ $episode_details->url_type == 'youtube_url' ? 'selected':'' }}>{{get_phrase('Youtube URL')}}</option>
                    <option value="drive_url_edit" {{ $episode_details->url_type == 'drive_url' ? 'selected':'' }}>{{get_phrase('Google Drive')}}</option>
                </select>
            </div>

            <!-- local file movie -->
            <div class="form-group efile local-file-edit {{ $episode_details->url_type != 'local_file' ? 'd-none':'' }}">
                <label for="local-file" class="eForm-label"> {{get_phrase('Local video file')}} <sup>*</sup> </label>
                <input type="file" name="local_file" id="local-file" class="form-control form-control eForm-control-file eForm-control-file-lg" />
            </div>

            <!-- youtube movie url -->
            <div class="form-group youtube-url-edit {{ $episode_details->url_type != 'youtube_url' ? 'd-none':'' }}">
                <label for="youtube-url" class="eForm-label"> {{get_phrase('Youtube movie URL')}} <sup>*</sup> </label>
                <input type="text" name="youtube_url" id="youtube-url" class="eForm-control form-control" value="{{ $episode_details->url }}" />
            </div>

            <!-- drive video url -->
            <div class="form-group drive-url-edit {{ $episode_details->url_type != 'drive_url' ? 'd-none':'' }}">
                <label for="drive-url" class="eForm-label"> {{get_phrase('Drive video url')}} <sup>*</sup> </label>
                <input type="text" name="drive_url" id="drive-url" class="eForm-control form-control" value="{{ $episode_details->url }}" />
            </div>

            <div class="episode-model-url-preview"></div>

            <!-- episode Thumbnail -->
            <div class="form-group efile">
                <label for="thumbnail" class="eForm-label"> {{get_phrase('Poster')}} - <small> {{ get_phrase('(3024x1161) jpg, png') }} </small> <sup>*</sup> </label>
                <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" />
                <input type="hidden" name="old_thumbnail" value="{{$episode_details->thumbnail}}" />
            </div>

            <!-- movie duration -->
            <div class="form-group">
                <label for="timepicker" class="eForm-label"> {{ get_phrase('Duration') }} <sup>*</sup> </label>
                <div class="input-group date" id="timePicker" data-target-input="nearest">
                    <input type="text" name="duration" class="form-control datetimepicker-input" data-target="#timePicker" value="{{$episode_details->duration}}" id="inputHour"/>
                    <div class="input-group-append" data-target="#timePicker" data-toggle="datetimepicker">
                      <div class="input-group-text"><i class="fa-regular fa-clock"></i></div>
                    </div>
                </div>                   
            </div>

            <!-- video Quality -->
            <div class="form-group">
                <label for="quality" class="eForm-label"> {{ get_phrase('Video Quality') }} <sup>*</sup> </label>
                <select name="quality" id="quality" class="eForm-control form-control">
                    <option value="SD" {{($episode_details->quality == 'SD')?'selected':''}}>{{get_phrase('SD')}}</option>
                    <option value="HD" {{($episode_details->quality == 'HD')?'selected':''}}>{{get_phrase('HD')}}</option>
                    <option value="Ultra HD" {{($episode_details->quality == 'Ultra HD')?'selected':''}}>{{get_phrase('Ultra HD')}}</option>
                    <option value="QHD" {{($episode_details->quality == 'QHD')?'selected':''}}>{{get_phrase('QHD')}}</option>
                    <option value="Blue-Ray" {{($episode_details->quality == 'Blue-Ray')?'selected':''}}>{{get_phrase('Blue-Ray')}}</option>
                    <option value="2K" {{($episode_details->quality == '2K')?'selected':''}}>{{get_phrase('2K')}}</option>
                    <option value="4K" {{($episode_details->quality == '4K')?'selected':''}}>{{get_phrase('4K')}}</option>
                    <option value="8K" {{($episode_details->quality == '8K')?'selected':''}}>{{get_phrase('8K')}}</option>
                </select>
            </div>

            <!-- episode description -->
            <div class="form-group">
                <label for="description" class="eForm-label"> {{get_phrase('Description')}}<sup>*</sup> </label>
                <textarea name="description" id="description" class="eForm-control form-control" cols="30" rows="3" required>{{$episode_details->description}}</textarea>
            </div>
        </div>
        <div class="submit-action">
            <button type="submit" id="submit-button" class="export_btn formSubmissionBtn">{{get_phrase('Update')}}</button>

            <div class="info-bar d-none">
                <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                    <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%;"></div>
                </div>
            </div>
        </div>
    </form>
</div>
<!-- end update episode from -->
<script>
    "use strict";
    // ajax url preview
    function episode_model_url_preview(url) {
        var value = $("#previewUrl").val();
        $.ajax({
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            type: "POST",
            url: url,
            data: {
                url: value,
            },
            success: function (result) {
                $(".episode-model-url-preview").html(result);
            },
        });
    }

    // select and change movie url field
    function episode_source_type() {
        var value = $("#source_type1").val();
        if (value == "local_file_edit") {
            $(".local-file-edit").removeClass("d-none");
            $(".drive-url-edit").addClass("d-none");
            $(".youtube-url-edit").addClass("d-none");
        } else if (value == "youtube_url_edit") {
            $(".local-file-edit").addClass("d-none");
            $(".drive-url-edit").addClass("d-none");
            $(".youtube-url-edit").removeClass("d-none");
        } else if (value == "drive_url_edit") {
            $(".local-file-edit").addClass("d-none");
            $(".drive-url-edit").removeClass("d-none");
            $(".youtube-url-edit").addClass("d-none");
        }
    }

    $(function () {
        var formSubmissionBtn = $(".formSubmissionBtn");
        $(".ajaxFormSubmission").ajaxForm({
            beforeSend: function () {
                // var percentVal = '0%';
                $(formSubmissionBtn).attr("disabled", true);
            },
            uploadProgress: function (event, position, total, percentComplete) {
                var percentVal = percentComplete + "%";
                $(formSubmissionBtn).html("Loading... " + percentComplete + "%");
                $(".progress").attr("aria-valuenow", percentComplete);
                $(".progress-bar").css("width", percentComplete + "%");
                $(".progress-bar").html(percentComplete + "%");

                console.log(percentComplete);
            },
            complete: function (xhr) {
                var response = xhr.responseText;
                console.log(response);
                location.reload();
            },
            error: function () {
                //You can write here your js error message
            },
        });
    });
</script>
@include('admin.common.modal')
