@extends('layouts.admin') @section('title', get_phrase('Software Information')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{get_phrase('Software Information')}}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);"> {{get_phrase('Dashboard')}} </a></li>
                        <li><a href="javascript:void(0);"> {{get_phrase('Software') }} </a></li>
                        <li><a href="javascript:void(0);"> {{get_phrase('Information') }} </a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row mt-4">
    <div class="w-50 m-auto">
        <div class="eSection-wrap-2">
            <h5>{{get_phrase('Software Information')}}</h5>
            <table class="table table-bordered mt-3 about-table">
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Name')}}</td>
                    <td class="text-end">{{get_settings('site_name')}}</td>
                </tr>
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Version')}}</td>
                    <td class="text-end">{{get_settings('software_version')}}</td>
                </tr>
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('PHP version')}}</td>
                    <td class="text-end">{{phpversion()}}</td>
                </tr>
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Check update')}}</td>
                    <td class="text-end">
                        <a href="https://codecanyon.net/user/creativeitem/portfolio" target="_blank"><i class="fas fa-tags"></i> {{get_phrase('Check')}}</a>
                    </td>
                </tr>

                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Purchase code')}}</td>
                    @if($application_details['support_expiry_date'] == "invalid")
                    <td class="text-end"><a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#enter-valid-purchase-code" class="status-invalid bg-success">{{get_phrase('Enter valid purchase code')}}</a></td>
                    @else
                    <td class="text-end">{{get_settings('purchase_code')}}</td>
                    @endif
                </tr>
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Purchase code status')}}</td>
                    <td class="text-end">
                        <a href="javascript:void(0)" class="status-invalid {{($application_details['product_license'] != 'invalid')?'bg-success':''}}">
                            {{($application_details['product_license'] == 'invalid')?get_phrase('Invalid'):get_phrase('Validated')}}
                        </a>
                    </td>
                </tr>
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Support expiry date')}}</td>
                    @if($application_details['support_expiry_date'] == "invalid")
                    <td class="text-end"><a href="javascript:void(0)" class="status-invalid">{{ ucfirst($application_details['support_expiry_date']) }}</a></td>
                    @else
                    <td class="text-end"><a href="javascript:void(0)" class="status-invalid bg-success">{{ ucfirst($application_details['support_expiry_date']) }}</a></td>
                    @endif
                </tr>
                <tr>
                    <td><i class="fas fa-arrow-alt-circle-right"></i> {{get_phrase('Curl enable')}}</td>
                    <td class="text-end"><a href="javascript:void(0)" class="status-invalid {{($curl_enabled == 1)?'bg-success':''}}">{{($curl_enabled == 1)?get_phrase('Enabled'):get_phrase('Disabled')}}</a></td>
                </tr>
            </table>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="enter-valid-purchase-code" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">{{get_phrase('Enter valid purchase code')}}</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route('enter-purchase-code')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="purchase-code" class="eForm-label">{{get_phrase('Purchase code')}}</label>
                        <input type="text" class="eForm-control form-control" name="purchase_code" id="purchase-code" placeholder="{{get_phrase('EX: - d38c2gf2-98d5-4111-8c6f-b4eb1473')}}" />
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">{{get_phrase('Save')}}</button>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection
