@extends('layouts.admin') @section('title', get_phrase('Edit Phrases')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{ get_phrase('Edit Phrases') }}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);"> {{ get_phrase('Dashboard') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Setting') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Edit Phrase') }} </a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- phrase section -->

<div class="row mb-4">
    <div class="col-12">
        <h4>{{get_phrase('Language :')}} {{$language}}</h4>
    </div>
</div>

<div class="row">
    @foreach ($all_phrase as $item)
    <div class="col-sm-4 my-3">
        <div class="eSection-wrap-2">
            <form action="javascript:void(0)" method="post">
                <div class="form-group">
                    <label class="form-label">{{$item->phrase}}</label>
                    <input type="text" class="eForm-control form-control" id="language_phrase{{$item->id}}" value="{{$item->translated}}" />
                    <button type="submit" class="btn btn-primary mt-3" onclick="update_language_phrase({{$item->id}})">{{get_phrase('Save')}}</button>
                </div>
            </form>
        </div>
    </div>
    @endforeach
</div>

<script>
    "use strict";
    function update_language_phrase(id){
      var phrase = $("#language_phrase"+id).val();
      $.ajax({
        url:'{{route('update/phrase')}}',
        type: 'post',
        headers: {'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')},
        data:{phrase:phrase, phrase_id:id},
        success: function(result){
          if(result == 'true'){
            toastr.success('{{get_phrase('Phrase Update Successfully')}}');
          }else{
            toastr.success('{{get_phrase('Something Wrong')}}');
          }
        }
      });
    }
</script>

@endsection
