@extends('layouts.admin') @section('title', get_phrase('Language List')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{ get_phrase('Language List') }}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);"> {{ get_phrase('Dashboard') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Setting') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Language List') }} </a></li>
                    </ul>
                </div>
                <div class="export-btn-area">
                    <a href="javascript:(void);" class="export_btn" onclick="show_ajax_modal('{{route('create/language')}}')"> {{ get_phrase('Add Language') }} </a>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="eSection-wrap-2">
            <!-- Search and filter -->
            <div class="search-filter-area d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15">
                <div class="search-input d-flex justify-content-start align-items-center">
                    <span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
                            <path
                                id="Search_icon"
                                data-name="Search icon"
                                d="M2,7A4.951,4.951,0,0,1,7,2a4.951,4.951,0,0,1,5,5,4.951,4.951,0,0,1-5,5A4.951,4.951,0,0,1,2,7Zm12.3,8.7a.99.99,0,0,0,1.4-1.4l-3.1-3.1A6.847,6.847,0,0,0,14,7,6.957,6.957,0,0,0,7,0,6.957,6.957,0,0,0,0,7a6.957,6.957,0,0,0,7,7,6.847,6.847,0,0,0,4.2-1.4Z"
                                fill="#797c8b"
                            />
                        </svg>
                    </span>
                    <input type="text" id="search" placeholder="Search Movie" class="form-control" />
                </div>
            </div>
            <!-- Table -->
            <div class="table-responsive-wrap">
                <div class="table-responsive">
                    <table class="table eTable eTable-2 text-center">
                        <thead>
                            <tr>
                                <th scope="col">{{ get_phrase('ID') }}</th>
                                <th scope="col">{{ get_phrase('Language Name') }}</th>
                                <th scope="col">{{ get_phrase('Action')}}</th>
                            </tr>
                        </thead>
                        <tbody id="table-body">
                            @php $num = 1; @endphp @foreach ($languages as $item)
                            <tr>
                                <td>{{$num++}}</td>
                                <td>{{ucwords($item->name)}}</td>
                                <td>
                                    <div class="adminTable-action">
                                        <button type="button" class="eBtn eBtn-black dropdown-toggle table-action-btn-2" data-bs-toggle="dropdown" aria-expanded="false">
                                            {{get_phrase('Actions')}}
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end eDropdown-menu-2 eDropdown-table-action">
                                            <li>
                                                <a class="dropdown-item" href="javascript:void(0)" onclick="show_ajax_modal('{{ route('edit/language', ['name'=>$item->name])}}')"> {{get_phrase('Edit') }} </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="{{route('edit/phrase', ['name'=>$item->name])}}"> {{ get_phrase('Edit Phrase')}} </a>
                                            </li>
                                            <li>
                                                @if($item->name != get_settings('language'))
                                                <a class="dropdown-item confirmation" href="{{route('delete/language', ['name'=>$item->name])}}"> {{ get_phrase('Delete')}} </a>
                                                @endif
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@include('admin.common.modal') @endsection
