@extends('layouts.admin') @section('title', get_phrase('SMTP settings')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{ get_phrase('SMTP settings') }}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);"> {{ get_phrase('Dashboard') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Setting') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('SMTP settings') }} </a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-6">
        <div class="eSection-wrap-2">
            <form action=" {{route('update-smtp') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <label for="ssmtp" class="eForm-label"> {{ get_phrase('Protocol (smtp or ssmtp or mail)') }} </label> <sup>*</sup>
                    <input type="text" name="smtp_protocol" id="ssmtp" class="eForm-control form-control" value="{{get_settings('smtp_protocol')}}" required />
                </div>
                <div class="form-group">
                    <label for="crypto" class="eForm-label"> {{ get_phrase('Smtp crypto (ssl or tls)') }} </label><sup>*</sup>
                    <input type="text" name="smtp_crypto" id="crypto" class="eForm-control form-control" value="{{get_settings('smtp_crypto')}}" required />
                </div>
                <div class="form-group">
                    <label for="smtp_host" class="eForm-label"> {{ get_phrase('Smtp host') }} </label><sup>*</sup>
                    <input type="text" name="smtp_host" id="smtp_host" class="eForm-control form-control" value="{{get_settings('smtp_host')}}" required />
                </div>
                <div class="form-group">
                    <label for="smtp_port" class="eForm-label"> {{ get_phrase('Smtp port') }} </label><sup>*</sup>
                    <input type="number" name="smtp_port" id="smtp_port" class="eForm-control form-control" value="{{get_settings('smtp_port')}}" required />
                </div>
                <div class="form-group">
                    <label for="smtp_user" class="eForm-label"> {{ get_phrase('Smtp Email') }} </label><sup>*</sup>
                    <input type="text" name="smtp_user" id="smtp_user" class="eForm-control form-control" value="{{get_settings('smtp_user')}}" required />
                </div>
                <div class="form-group">
                    <label for="smtp_password" class="eForm-label"> {{ get_phrase('Smtp password') }} </label><sup>*</sup>
                    <input type="text" name="smtp_password" id="smtp_password" class="eForm-control form-control" value="{{get_settings('smtp_password')}}" required />
                </div>
                <button type="submit" class="btn btn-primary mt-3">{{ get_phrase('Update') }}</button>
            </form>
        </div>
    </div>
</div>

@endsection
