@extends('layouts.frontend') @section('title', 'Page Title') @section('content')

<!-- Watching Area Start -->
<section class="warching-area bg-image signIn-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 mb-10 d-none d-md-block">
                <div class="signIn-left">
                    <div class="row">
                        <h4>{{get_phrase('Welcome to Website')}}</h4>
                        <p>
                            {{get_phrase('Lorem ipsum, dolor sit amet consectetur adipisicing elit. Eius, minus ducimus! Eum libero mollitia, at sed molestias, quaerat neque exercitationem, voluptate et tenetur dicta quas cumque accusantium
                            atque voluptatum corporis ipsum nesciunt ipsam dolor rem illum dolorum ea repellat quam!')}}
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 mb-10 px-40">
                <!-- Validation Errors -->
                <x-auth-validation-errors class="mb-4" :errors="$errors" />
                <div class="signIn-right">
                    <h3 class="form-title">{{get_phrase('Create Your Account')}}</h3>
                    <form action="{{ route('register') }}" method="POST">
                        @csrf
                        <div class="mb-20">
                            <label for="name" class="form-label">{{get_phrase('Your Name')}}</label>
                            <input type="text" id="name" name="name" class="form-control" placeholder="{{get_phrase('Your Name')}}" />
                        </div>
                        <div class="mb-20">
                            <label for="username" class="form-label">{{get_phrase('Username')}}</label>
                            <input type="text" id="username" name="user_name" class="form-control" placeholder="{{get_phrase('Username')}}" />
                        </div>
                        <div class="mb-20">
                            <label for="email" class="form-label">{{get_phrase('Email Address')}}</label>
                            <input type="email" id="email" name="email" class="form-control" placeholder="{{get_phrase('Your Email')}}" />
                        </div>
                        <div class="mb-20">
                            <label for="password" class="form-label">{{get_phrase('Password')}}</label>
                            <input type="password" id="password" name="password" class="form-control" placeholder="{{get_phrase('Password')}}" />
                        </div>
                        <div class="mb-3">
                            <button type="submit" class="form-btn main-btn w-100">{{get_phrase('Create my Account')}}</button>
                        </div>
                        <div class="allready-text text-center">
                            <p>{{get_phrase('Already have an account?')}} <a href="{{route('login')}}">{{get_phrase('Login')}}</a></p>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Watching Area End -->

@endsection
