@extends('layouts.frontend')
@section('title', get_phrase('Home Page'))
@section('content')

<!-- Main Bannar Area Slider Area Start -->
<section class="Ebanner-slider">
    <div class="Eslider owl-carousel owl-theme">
        @foreach ($featured_movies as $item)
             <!-- Single Slider -->
            <div class="Esingle-slider Eslider-1" style="background-image: url({{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}); ">
                <div class="deep-content">
                    <h5>{{get_phrase('HIGH RATED')}}</h5>
                    <h3 class="wow animate__zoomIn" data-wow-duration="1000ms" data-wow-delay="200ms"> {{ substr_replace($item->title, "", 10); }} </h3>
                    <div class="deep-action">
                        <ul>
                            <li><a href="javascript:void(0);"><div class="Efeature">{{$item->rating}}</div> <span class="im-btn">{{get_phrase('IMDb')}}</span></a></li>
                            <li><a href="javascript:void(0);"><div class="k-text"> {{$item->quality}}</div></a></li>
                            <li><a href="javascript:void(0);"><div class="times">{{time_duration($item->id, $item->type)}}</div></a></li>
                            <li><a href="javascript:void(0);"><div class="times">{{$item->yesr}}</div></a></li>
                            <li><a href="javascript:void(0);" class="action-btn">{{App\Models\Category::where('id', $item->category)->first()->name??''}}</a></li>
                        </ul>
                        <p class="line-3">{{substr_replace($item->short_description, " ....", 300)}}</p>
                    </div>
                    <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="watch-btn"><i class="fa-solid fa-play"></i> {{ get_phrase('Watch Now') }}</a>
                </div>
            </div>
        @endforeach
    </div>
</section>  
<!-- Main Bannar Area Slider Area End -->
<!-- Main Card Area Start -->
<section class="main-card">
    <div class="container">
        <div class="row">
            <div class="m-title wow fadeInUp d-flex justify-content-between align-items-center" data-wow-duration="1000ms" data-wow-delay="800ms">
                <h3 class="font-36">{{get_phrase('Trending Movies')}}</h3>
                <a href="{{route('search',['id'=>'all','type'=>'movie','name'=>'all'])}}" class="watch-btn text-light"> {{get_phrase('See all')}} </a>
            </div>
            @foreach ($trending_movies as $item)
                <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                    <div class="m_single-card">
                        <div class="card motion-card">
                            <div class="card-head">
                                <img src="{{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}" alt="image">
                            </div>
                            <span class="fill_icon fill_icon{{$item->id}}">
                                <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                    @php
                                        $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                    @endphp
                                    @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))
                                        <i class="fas fa-heart red-fill-icon"></i>
                                    @else
                                        <i class="fa-regular fa-heart"></i>
                                    @endif
                                </a>
                            </span>
                            <div class="card-body">
                                <div class="entry_title_card entry">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                </div>
                                <div class="entry_title_card hide">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                    <div class="visibility">
                                        <ul class="entry_list">
                                            <li>{{time_duration($item->id, $item->type)}}</li>
                                            <li> {{App\Models\Category::where('id',$item->category)->first()->name}}  </li>
                                            <li> {{$item->year}} </li>
                                        </ul>
                                        <ul class="star_list">
                                            <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li><span>{{ucwords($item->content_type)}}</span></li>
                                        </ul>
                                        <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section> 
<!-- Main Card Area End -->
@foreach (json_decode(get_settings('homepage_category')) as $value)
@php
    $homepage_category = App\Models\Movie::where('category', $value)->limit(4)->get();
    $category = App\Models\Category::where('id', $value)->first();
@endphp
<!-- category wise move section start -->
<section class="main-card pt-0">
    <div class="container">
        <div class="row">
            <div class="m-title wow fadeInUp d-flex justify-content-between align-items-center" data-wow-duration="1000ms" data-wow-delay="800ms">
                <h3 class="font-36">{{$category->name}}</h3>
                <a href="{{asset('filter?actor=all&director=all&genre=all&category='.$category->id.'&year=all&keyword=Movies')}}" class="watch-btn text-light"> {{get_phrase('See all')}} </a>
            </div>
            @foreach ($homepage_category as $item)
                <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                    <div class="m_single-card">
                        <div class="card motion-card">
                            <div class="card-head">
                                <img src="{{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}" alt="image">
                            </div>
                            <span class="fill_icon fill_icon{{$item->id}}">
                                <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                    @php
                                        $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                    @endphp
                                    @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                        <i class="fas fa-heart red-fill-icon"></i>
                                    @else
                                        <i class="fa-regular fa-heart"></i>
                                    @endif
                                </a>
                            </span>
                            <div class="card-body">
                                <div class="entry_title_card entry">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                </div>
                                <div class="entry_title_card hide">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                    <div class="visibility">
                                        <ul class="entry_list">
                                            <li>{{time_duration($item->id, $item->type)}}</li>
                                            <li> {{App\Models\Category::where('id',$item->category)->first()->name}}  </li>
                                            <li> {{$item->year}} </li>
                                        </ul>
                                        <ul class="star_list">
                                            <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li><span>{{ucwords($item->content_type)}}</span></li>
                                        </ul>
                                        <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section> 
<!-- category wise move section end -->
@endforeach
<!-- Our Show Area Start -->
<section class="show-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-7 wow fadeInLeft" data-wow-duration="1000ms" data-wow-delay="400ms">
                <div class="show-control">
                    <div class="m-title">
                        <h3 class="font-36 lh-54">{{get_phrase('Live Movie & Shows For Friends & Family')}}</h3>
                    </div>
                    <p class="show-text">{{get_phrase("There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by believable.")}}</p>
                    <div class="show-motion">
                        <h4>{{get_phrase('HD 4K')}}</h4>
                        <div class="d-flex flex-column">
                            <span>{{ App\Models\User::get()->count() }}+</span>
                            <p>{{get_phrase('Active Customer')}}</p>
                        </div>
                    </div>
                    <a href="javascript:void(0);" class="watch-btn" id="watch-autoplay" data-bs-toggle="modal" data-bs-target="#popup-watch-modal"><i class="fa-solid fa-play"></i> {{get_phrase('Watch Now')}}</a>
                </div>
            </div>
            <div class="col-lg-5 wow fadeInRight" data-wow-duration="1000ms" data-wow-delay="600ms">
                <div class="show-right">
\                </div>
            </div>
        </div>
    </div>
  
</section>
<!-- video popup player -->
<div class="modal fade" id="popup-watch-modal"  data-bs-backdrop="static" tabindex="-1" aria-labelledby="click-and-watch-label" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header bg-color-2 border-0">
                <h3 class="modal-title"> {{get_phrase('Promo Video')}} </h3>
                <button type="button" class="close btn border-0 p-3" onclick="end_trailer()" data-bs-dismiss="modal" aria-label="Close"> <i class="fas fa-times"></i> </button>
            </div>
            <div class="modal-body p-0 overflow-hidden">
                <div class="row">
                    <div class="plyr__video-embed popup-video-modal" id="video-plyr">
                        <!-- main movei frame -->
                        <iframe src="https://www.youtube.com/embed/{{promo_video(get_settings('promo_video'))}}?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowfullscreen allowtransparency allow="autoplay" class="trailer-iframe"></iframe>
                    </div>
                </div>       
            </div>
        </div>
    </div>
</div>
<!-- Our Show Area End -->
<!-- Top Rated Movies Card Area Start -->
<section class="main-card">
    <div class="container">
        <div class="row">
            <div class="m-title wow fadeInUp d-flex justify-content-between align-items-center" data-wow-duration="1000ms" data-wow-delay="800ms">
                <h3 class="font-36">{{get_phrase('Top Rated Movies')}}</h3>
                <a href="{{route('search',['id'=>'all','type'=>'movie','name'=>'all'])}}" class="watch-btn text-light"> {{get_phrase('See all')}} </a>
            </div>
            @foreach ($top_reated_movies as $item)
            <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                <div class="m_single-card">
                    <div class="card motion-card">
                        <div class="card-head">
                            <img src="{{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}" alt="image">
                        </div>
                        <span class="fill_icon fill_icon{{$item->id}}">
                            <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                @php
                                    $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                @endphp
                                @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                    <i class="fas fa-heart red-fill-icon"></i>
                                @else
                                    <i class="fa-regular fa-heart"></i>
                                @endif
                            </a>
                        </span>
                        <div class="card-body">
                            <div class="entry_title_card entry">
                                <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                            </div>
                            <div class="entry_title_card hide">
                                <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                <div class="visibility">
                                    <ul class="entry_list">
                                        <li>{{time_duration($item->id, $item->type)}}</li>
                                        <li> {{App\Models\Category::where('id',$item->category)->first()->name}}  </li>
                                        <li> {{$item->year}} </li>
                                    </ul>
                                    <ul class="star_list">
                                        <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                        <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                        <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                        <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                        <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                        <li><span>{{ucwords($item->content_type)}}</span></li>
                                    </ul>
                                    <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                </div>
                            </div>
                        </div>
                        <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>
</section>
<!-- homepage genre start -->
@if(get_settings('homepage_genre'))
@foreach (json_decode(get_settings('homepage_genre')) as $value)
@php
    $homepage_genre = App\Models\Movie::where('genre', $value)->limit(4)->get();
    $genre = App\Models\Genre::where('id', $value)->first();
@endphp
<section class="main-card pt-0">
    <div class="container">
        <div class="row">
            <div class="m-title wow fadeInUp d-flex justify-content-between align-items-center" data-wow-duration="1000ms" data-wow-delay="800ms">
                <h3 class="font-36">{{$genre->name}}</h3>
                <a href="{{asset('filter?actor=all&director=all&genre='.$genre->id.'&category=all&year=all&keyword=Movies')}}" class="watch-btn text-light"> {{get_phrase('See all')}} </a>
            </div>
            @foreach ($homepage_genre as $item)
                <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                    <div class="m_single-card">
                        <div class="card motion-card">
                            <div class="card-head">
                                <img src="{{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}" alt="image">
                            </div>
                            <span class="fill_icon fill_icon{{$item->id}}">
                                <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                    @php
                                        $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                    @endphp
                                    @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                        <i class="fas fa-heart red-fill-icon"></i>
                                    @else
                                        <i class="fa-regular fa-heart"></i>
                                    @endif
                                </a>
                            </span>

                            <div class="card-body">
                                <div class="entry_title_card entry">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                </div>
                                <div class="entry_title_card hide">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                    <div class="visibility">
                                        <ul class="entry_list">
                                            <li>{{time_duration($item->id, $item->type)}}</li>
                                            <li> {{App\Models\Category::where('id',$item->category)->first()->name??''}}  </li>
                                            <li> {{$item->year}} </li>
                                        </ul>
                                        <ul class="star_list">
                                            <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li><span>{{ucwords($item->content_type)}}</span></li>
                                        </ul>
                                        <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section> 
@endforeach
@endif
<!-- homepage genre end -->
<!-- Motion  Feature Card Area  Start -->
<section class="motion-feature">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="400ms">
                <div class="motion-left-card">
                     <div class="motion-images">
                        <img src="{{asset('assets/images/main-home/aven.png')}}" alt="image">
                     </div>
                     <div class="motion-text">
                        <h3>{{get_phrase('All Movies')}}</h3>
                        <a href="{{route('search',['id'=>'all','type'=>'movie','name'=>'all'])}}" class="watch-btn"><i class="fa-solid fa-play"></i> {{get_phrase('Watch movie')}} </a>
                     </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="600ms">
                <div class="motion-left-card">
                     <div class="motion-images">
                        <img src="{{asset('assets/images/main-home/aven2.png')}}" alt="image">
                     </div>
                     <div class="motion-text">
                        <h3>{{get_phrase('All Series')}}</h3>
                        <a href="{{route('search',['id'=>'all','type'=>'series','name'=>'all'])}}" class="watch-btn"><i class="fa-solid fa-play"></i> {{get_phrase('Watch TV Series')}} </a>
                     </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Motion  Feature Card Area  End -->

<!-- Motion  Feature Card Area  Start -->
<!-- Main Card Area Start -->
<section class="main-card">
    <div class="container">
        <div class="row">
            <div class="m-title wow fadeInUp d-flex justify-content-between align-items-center" data-wow-duration="1000ms" data-wow-delay="800ms">
                <h3 class="font-36">{{get_phrase('Popular Shows')}}</h3>
                <a href="{{route('search',['id'=>'all','type'=>'series','name'=>'all'])}}" class="watch-btn text-light"> {{get_phrase('See all')}} </a>
            </div>
            @foreach ($popular_shows as $item)
                <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                    <div class="m_single-card">
                        <div class="card motion-card">
                            <div class="card-head">
                                <img src="{{get_image('storage/series_thumbnail/'.$item->thumbnail)}}" alt="image">
                            </div>
                            <span class="fill_icon fill_icon{{$item->id}}">
                                <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                    @php
                                        $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                    @endphp
                                    @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                        <i class="fas fa-heart red-fill-icon"></i>
                                    @else
                                        <i class="fa-regular fa-heart"></i>
                                    @endif
                                </a>
                            </span>
                            <div class="card-body">
                                <div class="entry_title_card entry">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                </div>
                                <div class="entry_title_card hide">
                                    <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                    <div class="visibility">
                                        <ul class="entry_list">
                                            <li>{{time_duration($item->id, $item->type)}}</li>
                                            <li> {{App\Models\Category::where('id',$item->category)->first()->name??''}}  </li>
                                            <li> {{$item->year}} </li>
                                        </ul>
                                        <ul class="star_list">
                                            <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                            <li><span>{{ucwords($item->content_type)}}</span></li>
                                        </ul>
                                        <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                        </div>
                    </div>
                </div>
            @endforeach
            
            
        </div>
    </div>
</section>
<!-- Main Card Area End -->
<!-- Favorite Area Start -->
<section class="favorite-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 wow fadeInLeft" data-wow-duration="1000ms" data-wow-delay="600ms">
                <div class="favorite-left">
                    <img src="assets/images/main-home/tv.png" alt="image">
                </div>
            </div>
            <div class="col-lg-6 wow fadeInRight" data-wow-duration="1000ms" data-wow-delay="600ms">
                <div class="favorite-right">
                    <h3 class="font-36 lh-54">{{get_phrase('Enjoy Your Favorites Content')}}</h3>
                    <p>{{get_phrase("There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by believable.")}}</p>
                    @if(get_user('id'))
                        <a href="{{route('search',['id'=>'all','type'=>'movie','name'=>'all'])}}" class="watch-btn">{{get_phrase('View Content Library')}}</a>
                    @else
                        <a href="{{route('login')}}" class="watch-btn">{{get_phrase('Login for View Content Library')}}</a>
                    @endif
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Favorite Area End -->
<!-- Our Newslater Area Start -->
<section class="newslater-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="newslater-content text-center">
                    <div class="m-title wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="800ms">
                        <h5 class="font-16">{{get_phrase('GET STARTED')}}</h5>
                        <h3 class="font-36">{{get_phrase('Enter your email address to get updates')}}</h3>
                    </div>
                    <form action="{{route('newslater')}}" method="post" class="news-form" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <input type="email" name="email" class="form-control" placeholder="Your email address..." required>
                        <button type="submit" class="get-btn">{{get_phrase('Get Start')}}</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our Newslater Area End -->
<!--Main Jquery-->
<script src="{{asset('frontend/js/jquery-3.7.1.min.js')}}"></script>
<script src="{{ asset('assets/plyr/plyr.js') }}"></script>
<script>
    "use strict";
    $("#watch-autoplay").click(function(){
        // player js
        var player = new Plyr('#video-plyr');
        setTimeout(function(){
            var paly = player.play();
        }, 1000);       
    });
    function end_trailer(){
        var player = new Plyr('#video-plyr');
        var paly = player.stop();
    }
</script>

@endsection