@extends('layouts.frontend')
@section('title', get_phrase('Packages'))
@section('content')

@php
    $user_info = App\Models\User::where('id', get_user('id'))->first();
@endphp

<section class="edit-profile-area pt-5 pb-200">
    <!-- user create modal -->
        <div class="container">
            <div class="row">
                <div class="col-lg-12 p-0">
                    <div class="" >
                        <div class="profle-head d-flex align-items-center justify-content-between mb-5">
                            <h3>{{ get_phrase('Subscription Packages') }}</h3>
                            <div>
                                <a href="{{route('home')}}" class="main-outline-btn me-3"> {{get_phrase('Homepage')}} </a>  
                                <a href="{{route('user/profile')}}" class="main-outline-btn"> {{get_phrase('Profile')}} </a>
                            </div>
                        </div>
                        <div class="row">
                            @foreach ($packages as $item)
                            <div class="col-lg-4 col-md-4 col-sm-6 mb-20">
                                <div class="pricing-box pricing-card h-100">
                                    <div class="card">
                                        <div class="card-head">
                                            <div class="p-head-left d-flex">
                                                <i class="fa-solid fa-layer-group"></i>
                                                <div class="p-head-text">
                                                    <h4> {{ $item->name }} </h4>
                                                    @if($item->price == 'free')
                                                      <p class="text-light">{{get_phrase("Free")}} <small>{{get_phrase('/Monthly')}}</small> </p>
                                                    @else
                                                      <p class="text-light"> {{get_price($item->price)}} <small>{{get_phrase('/Monthly')}}</small> </p>
                                                    @endif
                                                </div>
                                            </div>                                            
                                        </div>
                                        <div class="card-body">
                                            @php $service_item = json_decode($item->services); @endphp
                                            <ul class="price-list">
                                                <li><i class="fa-solid fa-circle-check text-danger"></i> {{get_user_number($item->user_number)}} </li>
                                                @if($item->movie)
                                                <li><i class="fa-solid fa-circle-check text-danger"></i> {{($item->movie)}} {{get_phrase('Movie')}}</li>
                                                @endif
                                                @if($item->series)
                                                <li><i class="fa-solid fa-circle-check text-danger"></i> {{($item->series)}} {{get_phrase('Series')}}</li>
                                                @endif
                                                @foreach ($service_item as $service)
                                                <li><i class="fa-solid fa-circle-check text-danger"></i> {{$service}}</li>
                                                @endforeach
                                            </ul>
                                        </div>
                                        
                                        @if (get_user('id') && $user_info->plan == $item->id && valid_subscription($user_info->plan)->status == 1 && premium_user(get_user('id')) == 1)
                                            <a href="javascript:void(0);" class="main-btn btn-disable text-center mt-4" @disabled(true)> {{get_phrase('Purchased')}} </a>
                                        @else
                                           @if(get_user('id'))
                                            @if($user_info->status == 1)
                                                <a href="javascript:void(0)" class="main-outline-btn text-center mt-4" data-bs-toggle="modal" data-bs-target="#ban-requert">{{get_phrase('Select')}}</a>
                                              @else
                                                @if($item->price == "free")
                                                <a href="{{route('user/free/payment', ['id'=>$item->id])}}" class="main-outline-btn text-center mt-4"> {{get_phrase('Free')}} </a>
                                                @else
                                                <a href="{{route('user/payment-page-view', ['id'=>$item->id])}}" class="main-outline-btn text-center mt-4"> {{get_phrase('Select')}} </a>
                                                @endif
                                              @endif
                                            @else
                                            <a href="{{route('login')}}" class="main-btn btn-disable text-center mt-4"> {{get_phrase(' Login Required ')}} </a>
                                            @endif
                                        @endif

                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
</section>

<!-- Ban  modal -->

<div class="modal fade create-play-modal del-modal" id="ban-requert" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <div class="exIcon">
                    <i class="fa-solid fa-exclamation"></i>
                </div>
                <h4 class="modal-title" id="exampleModalLabel">{{get_phrase('Attention!')}}</h4>
                <p class="px-3 mb-5 pb-3">{{get_phrase("You are currently banned and cannot purchase any packages or watch movies or series. Once the admin remove your ban, you'll regain access to all content.")}}</p>
            </div>
           
        </div>
    </div>
  </div>


@endsection