@extends('layouts.user_dashboard') @section('title', get_phrase('Billing History')) @section('user_dashboard_content')

<div class="row">
    <div class="col-lg-12">
        <div class="">
            <div class="profle-head d-flex justify-content-between align-items-center">
                <h3>{{get_phrase('Billing History')}}</h3>
            </div>
            <div class="biling-table rounded h-100">
                <div class="table-responsive-lg tabels-res">
                    <table class="table table-res-min">
                        <thead>
                            <tr class="text-center">
                                <th scope="col">{{get_phrase('Date')}}</th>
                                <th scope="col">{{get_phrase('Package')}}</th>
                                <th scope="col">{{get_phrase('Service Period')}}</th>
                                <th scope="col">{{get_phrase('Payment Method')}}</th>
                                <th scope="col">{{get_phrase('Total')}}</th>
                                <th scope="col">{{get_phrase('Invoice')}}</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($subscription as $item)
                            <tr class="text-center">
                                <td><p>{{get_date($item->created_at)}}</p></td>
                                <td>
                                    @php @endphp
                                    <p>{{App\Models\Package::where('id', $item->plan_id)->first()->name;}}</p>
                                </td>
                                <td><p>{{get_date($item->created_at)}}</p></td>
                                <td>{{$item->payment_method}}</td>
                                <td>{{get_price($item->paid_amount)}}</td>
                                <td>
                                    <a class="print-btn" href="{{route('invoice', $item->id)}}"><i class="fas fa-file-invoice"></i></a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                    @if(count($subscription) == 0)
                    <div class="col-lg-12 col-md-12 col-sm-12 mb-20">
                        <img src="{{asset('assets/images/error.png')}}" class="m-auto pt-5" alt="" width="50%" />
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
