@extends('layouts.frontend') @section('title', $keyword) @section('content')
<link rel="stylesheet" href="{{asset('assets/css/choices.min.css')}}" />
<script src="{{asset('assets/js/choices.min.js')}}"></script>
<style>
    .search-box {
        text-transform: capitalize;
        outline: none;
    }
    .options {
        background-color: var(--color-2);
    }
    .options li {
        text-transform: capitalize;
    }
    ::-webkit-scrollbar {
        width: 0px;
    }
    .options li:hover {
        background-color: var(--color-9);
    }
</style>

<!-- Vedio Filter Area Start -->
<section class="bannar-area vedio-filter-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-md-12 mb-4">
                <div class="filter-sidebar pe-5">
                    <h4 class="site-title mb-20">{{get_phrase('Filter')}}</h4>
                    <form action="{{route('filter')}}" method="get">
                        <div class="row mb-5">
                            <div class="col-sm-2">
                                <div class="select-box-control text-light">
                                    <label class="form-label"> {{get_phrase('Actors')}} </label>
                                    <select name="actor" class="selcet form-select">
                                        <option value="all"> {{get_phrase('All')}} </option>
                                        @foreach ($actor as $item)
                                        <option value="{{$item->id}}" {{$item->id == $factor ? 'selected':''}}> {{$item->name}} </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <div class="select-box-control text-light">
                                    <label class="form-label"> {{get_phrase('Directors')}} </label>
                                    <select name="director" class="selcet form-select">
                                        <option value="all"> {{get_phrase('All')}} </option>
                                        @foreach ($director as $item)
                                        <option value="{{$item->id}}" {{$item->id == $fdirector ? 'selected':''}}> {{$item->name}} </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <div class="select-box-control text-light">
                                    <label class="form-label"> {{get_phrase('Genres')}} </label>
                                    <select name="genre" class="selcet form-select">
                                        <option value="all"> {{get_phrase('All')}} </option>
                                        @foreach ($genre as $item)
                                        <option value="{{$item->id}}" {{$item->id == $fgenre ? 'selected':''}}> {{$item->name}} </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <div class="select-box-control text-light">
                                    <label class="form-label"> {{get_phrase('Categories')}} </label>
                                    <select name="category" class="selcet form-select">
                                        <option value="all"> {{get_phrase('All')}} </option>
                                        @foreach ($category as $item)
                                        <option value="{{$item->id}}" {{$item->id == $fcategory ? 'selected':''}}> {{$item->name}} </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <div class="select-box-control text-light">
                                    <label class="form-label"> {{get_phrase('Year')}} </label>
                                    <select name="year" class="selcet form-select">
                                        <option value="all"> {{get_phrase('All')}} </option>
                                        @php for( $i=1928; $i<=date('Y'); $i++ ){ if($i==$fyear){ echo '
                                        <option value=".$i." selected>'.$i.'</option>
                                        '; }else{ echo '
                                        <option value=".$i.">'.$i.'</option>
                                        '; } } @endphp
                                    </select>
                                </div>
                            </div>

                            <input type="hidden" value="{{$keyword}}" name="keyword" />
                            <div class="col-sm-2 d-flex align-items-end">
                                <div class="select-container">
                                    <button type="submit" class="main-btn">{{get_phrase('filter')}}</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="col-lg-12 col-md-12">
                <div class="filter-content-show">
                    <h4 class="site-title mb-20">{{ucwords($keyword)}}</h4>
                    <div class="row mt-10">
                        @if (count($all_movies) > 0)
                        @foreach ($all_movies as $item)
                        <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-5 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                            <div class="m_single-card">
                                <div class="card motion-card">
                                    <div class="card-head">
                                        <img src="{{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}" alt="image" />
                                    </div>
                                    <span class="fill_icon fill_icon{{$item->id}}">
                                        <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                        @php
                                            $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                        @endphp
                                        @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                            <i class="fas fa-heart red-fill-icon"></i>
                                        @else
                                            <i class="fa-regular fa-heart"></i>
                                        @endif
                                        </a>
                                    </span>
                                    <div class="card-body">
                                        <div class="entry_title_card entry">
                                            <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                        </div>
                                        <div class="entry_title_card hide">
                                            <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                            <div class="visibility">
                                                <ul class="entry_list">
                                                    <li>{{time_duration($item->id, $item->type)}}</li>
                                                    <li>{{App\Models\Category::where('id',$item->category)->first()->name}}</li>
                                                    <li>{{$item->year}}</li>
                                                </ul>
                                                <ul class="star_list">
                                                    <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li><span>{{ucwords($item->content_type)}}</span></li>
                                                </ul>
                                                <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        @endif
                        @if (count($all_series) > 0) @foreach ($all_series as $item)
                        <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="200ms">
                            <div class="m_single-card">
                                <div class="card motion-card">
                                    <div class="card-head">
                                        <img src="{{get_image('storage/series_thumbnail/'.$item->thumbnail)}}" alt="image" />
                                    </div>
                                    <span class="fill_icon fill_icon{{$item->id}}">
                                        <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                        @php
                                            $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                        @endphp
                                        @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                            <i class="fas fa-heart red-fill-icon"></i>
                                        @else
                                            <i class="fa-regular fa-heart"></i>
                                        @endif
                                        </a>
                                    </span>
                                    <div class="card-body">
                                        <div class="entry_title_card entry">
                                            <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                        </div>
                                        <div class="entry_title_card hide">
                                            <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                            <div class="visibility">
                                                <ul class="entry_list">
                                                    <li>{{time_duration($item->id, $item->type)}}</li>
                                                    <li>{{App\Models\Category::where('id',$item->category)->first()->name}}</li>
                                                    <li>{{$item->year}}</li>
                                                </ul>
                                                <ul class="star_list">
                                                    <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                    <li><span>{{ucwords($item->content_type)}}</span></li>
                                                </ul>
                                                <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                            </div>
                                        </div>
                                    </div>
                                    <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                                </div>
                            </div>
                        </div>
                        @endforeach 
                        <div class="paginate {{(count($all_series) > 12)?'d-none':''}}">
                            {{$all_series->links()}}
                        </div>
                        @endif
                        @if (count($all_movies) > 0)
                        <div class="paginate">
                            {{$all_movies->links()}}
                        </div>
                        @endif
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Vedio Filter Area End -->

<script src="{{asset('assets/js/jquery.searchableSelect.js')}}"></script>
<script>
    "use strict";
    $("document").ready(function () {
        $(function () {
            $(".selcet").searchableSelect();
        });
    });
</script>

@endsection