@extends('layouts.frontend')
@section('title', 'User Dashboard')
@section('content')

<!-- Profile Area Start -->
<section class="bannar-area edit-profile-area">
    <div class="container">
        <div class="row mt-10">
            <div class="col-lg-4 mb-20">
                <div class="acount-info">
                    <h4>{{get_phrase('Account')}}</h4>
                    <ul class="nav nav-tabs" role="tablist">
                        @if (get_user('user_column') == 'user1')        
                        <li class="nav-item" role="presentation">
                            <a href="{{route('user/profile')}}" class="nav-link {{request()->is('user/profile')?'active':''}}">{{get_phrase('Manage Profile')}}</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a href="{{route('user/change-password')}}" class="nav-link {{request()->is('user/change-password')?'active':''}}">{{get_phrase('Change Password')}}</a>
                        </li>
                        @endif
                        <li class="nav-item" role="presentation">
                            <a href="{{route('wishlist')}}" class="nav-link {{request()->is('user/wishlist')?'active':''}}">{{get_phrase('Wishlist')}}</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a href="{{route('history')}}" class="nav-link {{request()->is('history')?'active':''}}">{{get_phrase('History')}}</a>
                        </li>
                        @if (get_user('user_column') == 'user1')
                        <li class="nav-item" role="presentation">
                            <a href="{{route('user/active-package')}}" class="nav-link {{request()->is('user/active-package')?'active':''}}">{{get_phrase('Subscription')}}</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a href="{{route('user/billing-history')}}" class="nav-link {{request()->is('user/billing-history')?'active':''}}">{{get_phrase('Billing History')}}</a>
                        </li>
                        @endif
                        <li class="nav-item cencel" role="presentation">
                            <a href=" {{route('who-is-watching')}} " type="button" class="main-outline-btn w-100 text-center"> {{get_phrase('Switch User')}} </a>
                        </li>
                       
                        @if(premium_user(get_user('id')) == 1 && get_user('user_column') == 'user1')
                        
                        <li class="nav-item mt-4">
                            <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#delete-confirm" class="main-outline-btn d-block w-100 text-center">{{get_phrase('Cancel Subscription')}}</a>
                        </li>
                        <!-- delete confirm start -->
                        <div class="create-play-modal del-modal">
                            <!-- Modal -->
                            <div class="modal fade" id="delete-confirm" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title" id="exampleModalLabel">{{get_phrase('Are You Sure !')}}</h4>
                                            <p class="px-3">{{get_phrase('If you want to canecl Subscription then click okay, otherwise cancel it.')}}</p>
                                        </div>
                                        <div class="modal-footer">
                                            <a href="jacascript:void(0);" data-bs-dismiss="modal" class="btn btn-secondary"> {{get_phrase('Cancel')}} </a>
                                            <a href="{{route('cancel-membership')}}" class="btn btn-primary"> {{get_phrase('Okay')}} </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- delete confirm end -->
                        @endif
                    </ul>
                 </div>
            </div>
            <div class="col-lg-8 mb-20">
                <div class="acount-info">
                    <!-- Button trigger modal -->
                    @yield('user_dashboard_content')    
                </div>                   
            </div>
        </div>
    </div>
</section>
<!-- Profile Filter Area End -->
@endsection