@php
    $keys = json_decode($payment_gateway->keys, true);
    $test_mode = $payment_gateway->test_mode == 1 ? 1 : 0;

    if ($test_mode == 1) {
        $key_type = 'secret_key';
        $key = $keys['public_key'];
    } else {
        $key_type = 'public_key';
        $key = $keys['public_key'];
    }

    // User information
    $user = DB::table('users')->where('id', get_user('id'))->first();
@endphp

@if ($keys != '')
    <form id="makePaymentForm">
        <input type="hidden" id="user_name" name="user_name" value="{{ get_user('name') }}">
        <input type="hidden" id="email" name="email" value="{{ get_user('email') }}">
        <input type="hidden" id="phone" name="phone" value="{{ get_user('phone') }}">
        <input type="hidden" id="amount" name="amount" value="{{ $payment_details['items'][0]['price'] }}">
        <input type="hidden" id="key" name="key" value="{{ $key }}">
        <input type="hidden" id="title" name="title" value="Flutterwave">
        <input type="hidden" id="description" name="description" value="Flutterwave description">
        <input type="submit" class="btn btn-primary py-2" value="Pay by Flutterwave">
    </form>
@else
    <div class="alert alert-danger d-flex align-items-center" role="alert">
        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:">
            <use xlink:href="#exclamation-triangle-fill" />
        </svg>
        <div class="payment_err_msg">
            <b>Oops!</b> {{ $msg }}<br>
            Try another gateway.
        </div>
    </div>
@endif

<script src="https://checkout.flutterwave.com/v3.js"></script>

<script>
    $(document).ready(function() {
        $('#makePaymentForm').submit(function(e) {
            e.preventDefault();

            var name = $('#user_name').val();
            var email = $('#email').val();
            var phone = $('#phone').val();
            var amount = $('#amount').val();
            var key = $('#key').val();
            var key_type = "{{ $key_type }}";
            var title = $('#title').val();
            var description = $('#description').val();

            console.log(name, email, phone, amount, key, key_type, title, description);

            makePayment(name, email, phone, amount, key, key_type, title, description);
        });
    });

    function makePayment(name, email, phone, amount, key, key_type, title, description) {
        
        FlutterwaveCheckout({
            public_key: key,
            tx_ref: "RX1_{{ substr(rand(0, time()), 0, 7) }}",
            amount: amount,
            currency: "USD",
            payment_options: "card, banktransfer, ussd",
            redirect_url: "{{ route('payment.success', $payment_gateway->identifier) }}",
            customer: {
                email: email,
                phone_number: phone,
                name: name,
            },
            customizations: {
                title: title,
                description: description,
            },
        });
    }
</script>
