@extends('layouts.admin')
@section('title', get_phrase('Subscription History'))
@section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
  <div class="row">
    <div class="col-12">
      <div class="d-flex justify-content-between align-items-center flex-wrap gr-15" >
        <div class="d-flex flex-column">
          <h4>{{get_phrase('Subscription History')}}</h4>
          <ul class="d-flex align-items-center eBreadcrumb-2">
            <li><a href="javascript:void(0);">{{get_phrase('Dashborad')}}</a></li>
            <li><a href="javascript:void(0);">{{get_phrase('Subscription History')}}</a></li>
            <li><a href="javascript:void(0);">{{get_phrase('List')}}</a></li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Start genre list -->
<div class="row">
    <div class="col-12">
      <div class="eSection-wrap-2">
        <!-- Search and filter -->
        <div class="search-filter-area d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15">
          <div class="search-input d-flex justify-content-start align-items-center">
            <span>
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" >
                <path id="Search_icon" data-name="Search icon" d="M2,7A4.951,4.951,0,0,1,7,2a4.951,4.951,0,0,1,5,5,4.951,4.951,0,0,1-5,5A4.951,4.951,0,0,1,2,7Zm12.3,8.7a.99.99,0,0,0,1.4-1.4l-3.1-3.1A6.847,6.847,0,0,0,14,7,6.957,6.957,0,0,0,7,0,6.957,6.957,0,0,0,0,7a6.957,6.957,0,0,0,7,7,6.847,6.847,0,0,0,4.2-1.4Z" fill="#797c8b" />
              </svg>
            </span>
            <input type="text" id="search" placeholder="{{get_phrase('Search User')}}" class="form-control" />
          </div>
        </div>
        <!-- Table -->
        <div class="table-responsive-wrap">
          <div class="table-responsive">
            <table class="table eTable eTable-2 text-center">
              <thead>
                <tr>
                  <th scope="col">{{get_phrase('ID')}}</th>
                  <th scope="col">{{get_phrase('PACKAGE')}}</th>
                  <th scope="col">{{get_phrase('USER')}}</th>
                  <th scope="col">{{get_phrase('AMOUNT')}}</th>
                  <th scope="col">{{get_phrase('PAYMENT METHOD')}}</th>
                  <th scope="col">{{get_phrase('PURCHASE DATE')}}</th>
                  <th scope="col">{{get_phrase('EXPIRY DATE')}}</th>
                  <th scope="col">{{get_phrase('INVOICE')}}</th>
                </tr>
              </thead>
              <tbody id="table-body">
                @php
                    $i = 1;
                @endphp
                @if(!empty($subscription_history))
                  @foreach ($subscription_history as $key => $item)
                  <tr>
                    <td> <p class="row-number"> {{ $subscription_history->firstItem() + $key }} </p> </td>
                    <td> 
                      @php
                          $package = App\Models\Package::where('id', $item->plan_id)->first();
                          echo $package->name;
                      @endphp
                       {{-- {{$item->plan_id}} --}}
                    </td>
                    <td> 
                      @php
                          $user = App\Models\User::where('id', $item->user_id)->first();
                          echo $user->name;
                      @endphp
                    </td>
                    <td> 
                       {{get_price($item->paid_amount)}}
                    </td>
                    <td>{{ucwords($item->payment_method)}}</td>
                    <td> {{ get_date($item->timestamp_from) }} </td>
                    <td> {{ get_date($item->timestamp_to) }} </td>
                    <td> 
                      <a class="font-20" href="{{route('invoice', $item->id)}}"><i class="fas fa-file-invoice"></i></a>
                    </td>
                  </tr>
                  @endforeach
                @else
                  <tr>
                      <td colspan="10" class="empty-table"> {{get_phrase('There are no data.')}} </td>
                  </tr>
                @endif           
              </tbody>
            </table>        
          </div>
        </div>
        <!-- Data info and Pagination -->
        <div
          class="admin-tInfo-pagi d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15"
        >
          <p class="admin-tInfo"></p>
          <div class="admin-pagi">
            <nav aria-label="Page navigation example">
              {{ $subscription_history->links() }}
            </nav>
          </div>
        </div>
      </div>
    </div>
</div>
  <!-- End Admin area -->
@endsection