<?php

use App\Http\Controllers\Admin\About\AboutController;
use App\Http\Controllers\Admin\Auth\AuthController;
use App\Http\Controllers\Frontend\FrontendController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){
    // admin routes
    Route::get('/dashboard', [AuthController::class, 'dashboard'])->name('dashboard'); // admin dashboard
    Route::get('/logout', [AuthController::class, 'logout'])->name('admin/logout'); // admin logout

    // about this software
    Route::get('/about', [AboutController::class, 'index'])->name('about');

    Route::get('/wishlist', [FrontendController::class, 'admin_wishlist'])->name('admin/wishlist');
    Route::get('/history', [FrontendController::class, 'admin_history'])->name('admin/history');

});