<?php

use App\Http\Controllers\Admin\Genre\GenreController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){

    Route::get('/list/genre', [GenreController::class, 'index'])->name('list/genre'); // genre list page
    Route::get('/create/genre', [GenreController::class, 'create'])->name('create/genre'); // create genre page
    Route::post('/store/genre', [GenreController::class, 'store'])->name('store/genre'); // store genre
    Route::get('/edit/genre/{id}', [GenreController::class, 'edit'])->name('edit/genre'); // edit genre page
    Route::post('/update/genre/{id}', [GenreController::class, 'update'])->name('update/genre'); // update genre
    Route::get('/delete/genre/{id}', [GenreController::class, 'delete'])->name('delete/genre'); // delete genre
});