<?php

use App\Http\Controllers\Admin\Movie\MovieController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){

    Route::get('/list/movie', [MovieController::class, 'index'])->name('list/movie'); // movie list page
    Route::get('/view/movie/{id}', [MovieController::class, 'view'])->name('view/movie'); // movie list page
    Route::get('/create/movie', [MovieController::class, 'create'])->name('create/movie'); // create movie page
    Route::post('/store/movie', [MovieController::class, 'store'])->name('store/movie'); // create movie
    Route::get('/edit/movie/{id}', [MovieController::class, 'edit'])->name('edit/movie'); // edit movie page
    Route::post('/update/movie/{id}', [MovieController::class, 'update'])->name('update/movie'); // update movie
    Route::get('/delete/movie/{id}', [MovieController::class, 'delete'])->name('delete/movie'); // delete movie

    Route::post('/trailer/preview', [MovieController::class, 'trailer_preview'])->name('trailer/preview'); // trailer preview on create page
    Route::post('/url/preview', [MovieController::class, 'url_preview'])->name('url/preview'); // url preview on create page

});