<?php

use App\Http\Controllers\Admin\Series\SeasonController;
use App\Http\Controllers\Admin\Series\SeriesController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){

    Route::get('/list/series', [SeriesController::class, 'index'])->name('list/series'); // series list page
    Route::get('/create/series', [SeriesController::class, 'create'])->name('create/series'); // create series page
    Route::post('/store/series', [SeriesController::class, 'store'])->name('store/series'); // store series
    Route::get('/edit/series/{id}', [SeriesController::class, 'edit'])->name('edit/series'); // edit series page
    Route::post('/update/series/{id}', [SeriesController::class, 'update'])->name('update/series'); // update series
    Route::get('/delete/series/{id}', [SeriesController::class, 'delete'])->name('delete/series'); // delete series


    Route::post('/series/trailer/preview', [SeriesController::class, 'trailer_preview'])->name('series/trailer/preview'); // series trailer preview

    Route::get('/create/season/{id}', [SeasonController::class, 'create'])->name('create/season'); // create season 
    Route::post('/store/season/{id}', [SeasonController::class, 'store_season'])->name('store/season'); // create season 
    Route::get('/edit/season/{id}', [SeasonController::class, 'edit'])->name('edit/season'); // edit season 
    Route::get('/delete/season/{id}', [SeasonController::class, 'delete'])->name('delete/season'); // delete season 

    Route::get('/view/episode/{id}', [SeasonController::class, 'view_episode'])->name('view/episode'); // store episode 
    Route::post('/store/episode', [SeasonController::class, 'store_episode'])->name('store/episode'); // store episode 
    Route::get('/edit/episode/{id}', [SeasonController::class, 'edit_episode'])->name('edit/episode'); // edit episode 
    Route::post('/update/episode/{id}', [SeasonController::class, 'update_episode'])->name('update/episode'); // update episode 
    Route::get('/delete/episode/{id}', [SeasonController::class, 'delete_episode'])->name('delete/episode'); // delete episode 

});