<?php

use App\Http\Controllers\Admin\Setting\FaqController;
use App\Http\Controllers\Admin\Setting\LanguageController;
use App\Http\Controllers\Admin\Setting\SettingController;
use App\Http\Controllers\Admin\Setting\SmtpController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){

    // web setting routes
    Route::get('/web-setting', [SettingController::class, 'web_setting_page'])->name('admin/web-setting'); // web setting page
    Route::post('/update/web_setting', [SettingController::class, 'update_web_setting'])->name('update/web_setting'); // web setting page    

    // customer faq routs
    Route::get('/faq', [FaqController::class, 'index'])->name('admin/faq'); // faq list page
    Route::get('/create/faq', [FaqController::class, 'create'])->name('create/faq'); // faq create page
    Route::post('/store/faq', [FaqController::class, 'store'])->name('store/faq'); // faq store
    Route::get('/edit/faq/{id}', [FaqController::class, 'edit'])->name('edit/faq'); // faq edit
    Route::post('/update/faq/{id}', [FaqController::class, 'update'])->name('update/faq'); // faq update
    Route::get('/delete/faq/{id}', [FaqController::class, 'delete'])->name('delete/faq'); // faq update


    // language setting
    Route::get('/language', [LanguageController::class, 'language_setting_page'])->name('admin/language'); // language setting page view
    Route::get('/create/language', [LanguageController::class, 'create_language'])->name('create/language'); // view create new language page
    Route::post('/store/language', [LanguageController::class, 'store'])->name('store/language'); // store/save new language
    Route::get('/edit/language/{name}', [LanguageController::class, 'edit_language'])->name('edit/language'); // edit language page view
    Route::post('/update/language/{name}', [LanguageController::class, 'update_language'])->name('update/language'); // update language
    Route::get('/edit/phrase/{name}', [LanguageController::class, 'edit_phrase'])->name('edit/phrase'); // edit language phrase page view
    Route::post('/update/phrase/', [LanguageController::class, 'update_phrase'])->name('update/phrase'); // update language phrase
    Route::get('/delete/language/{name}', [LanguageController::class, 'delete_language'])->name('delete/language'); // delete language

    // softweare information
    Route::post('/enter-purchase-code', [SettingController::class, 'purchase_code'])->name('enter-purchase-code'); 

    // SMTP setting
    Route::get('/smtp-settings', [SmtpController::class, 'smtp_setting'])->name('admin/smtp-settings');
    Route::post('/update-smtp', [SmtpController::class, 'update_smtp'])->name('update-smtp');


    Route::get('/send-mail-test', [SmtpController::class, 'send_mail'])->name('send-mail-test');

});