
<?php $__env->startSection('title', get_phrase('Website Settings')); ?>
<?php $__env->startSection('content'); ?>

<!-- summernote css -->
<link href="<?php echo e(asset('assets/summernote/summernote-lite.min.css')); ?>" rel="stylesheet">

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
      <div class="col-12">
        <div class="d-flex justify-content-between align-items-center flex-wrap gr-15" >
          <div class="d-flex flex-column">
            <h4> <?php echo e(get_phrase('Website Settings')); ?> </h4>
            <ul class="d-flex align-items-center eBreadcrumb-2">
              <li><a href="#"> <?php echo e(get_phrase('Dashboard')); ?> </a></li>
              <li><a href="#"> <?php echo e(get_phrase('Setting')); ?> </a></li>
              <li><a href="#"> <?php echo e(get_phrase('Website Settings')); ?> </a></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
</div>

<form action="<?php echo e(route('update/web_setting')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
        <!-- start web setting left -->
        <div class="col-6">
            <div class="eSection-wrap-2">
                <!-- website name -->
                <div class="form-group">
                    <label for="name" class="eForm-label"> <?php echo e(get_phrase('Website Name')); ?> </label>
                    <input type="text" name="site_name" id="name" class="eForm-control form-control" value="<?php echo e(get_settings('site_name')); ?>" required>
                </div>
                <!-- website email -->
                <div class="form-group">
                    <label for="email" class="eForm-label"> <?php echo e(get_phrase('Website Email')); ?> </label>
                    <input type="text" name="site_email" id="email" class="eForm-control form-control" value="<?php echo e(get_settings('site_email')); ?>" required>
                </div>

                <!-- email verification for verified user -->
                <div class="form-group">
                    <label for="email_verification" class="eForm-label"> <?php echo e(get_phrase('Email verification')); ?> </label>
                    <select name="email_verification" id="email_verification" class="eForm-control form-control nice-control">
                        <option value="on" <?php echo e(get_settings('email_verification') == 'on' ? 'selected':''); ?>> <?php echo e(get_phrase('On')); ?> </option>
                        <option value="off" <?php echo e(get_settings('email_verification') == 'off' ? 'selected':''); ?>> <?php echo e(get_phrase('Off')); ?> </option>
                    </select>
                </div>

                <!-- software currency -->
                <div class="form-group">
                    <label for="currency" class="eForm-label"> <?php echo e(get_phrase('Currency')); ?> </label>
                    <select name="currency" id="currency" class="eForm-control form-control nice-control">
                       <?php $__currentLoopData = $currency; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($item->code); ?>" <?php echo e(get_settings('currency') == $item->code ? 'selected':''); ?>> <?php echo e($item->code); ?> </option>
                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <!-- software currency position -->
                <div class="form-group">
                    <label for="currency_position" class="eForm-label"> <?php echo e(get_phrase('Currency Position')); ?> </label>
                    <select name="currency_position" id="currency_position" class="eForm-control form-control nice-control">
                        <option value="right" <?php echo e(get_settings('currency_position') == 'right' ? 'selected':''); ?>> <?php echo e(get_phrase('Right')); ?> </option>
                        <option value="right_space" <?php echo e(get_settings('currency_position') == 'right_space' ? 'selected':''); ?>> <?php echo e(get_phrase('Right Space')); ?> </option>
                        <option value="left" <?php echo e(get_settings('currency_position') == 'left' ? 'selected':''); ?>> <?php echo e(get_phrase('Left')); ?> </option>
                        <option value="left_space" <?php echo e(get_settings('currency_position') == 'left_space' ? 'selected':''); ?>> <?php echo e(get_phrase('Left Space')); ?> </option>
                    </select>
                </div>
                
                <!-- website language -->
                <div class="form-group">
                    <label for="website_language" class="eForm-label"> <?php echo e(get_phrase('Website Language')); ?> </label>
                    <select name="website_language" id="website_language" class="eForm-control form-control nice-control">
                        <?php $__currentLoopData = get_all_language(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($item->name); ?>" <?php echo e(get_settings('language') == $item->name ? 'selected':''); ?>> <?php echo e(ucwords($item->name)); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <!-- website language -->
                <div class="form-group">
                    <label for="google-api-key" class="eForm-label"> <?php echo e(get_phrase('Google API key')); ?> </label>
                    <input type="text" class="eForm-control form-control" name="google_api_key" id="google-api-key" value="<?php echo e(get_settings('google_api_key')); ?>">
                </div>
                <!-- website home page genre -->
                <div class="form-group">
                    <label for="multiple-actor-select" class="eForm-label"> <?php echo e(get_phrase('Which Genre are show on Homepage')); ?> </label>
                    <select name="homepage_genre[]" id="multiple-actor-select" class="eForm-control form-control" multiple>
                        <?php $__currentLoopData = $homepage_genre; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php 
                                $query = App\Models\Movie::where('genre', $item->id)->get()->count();
                                $genres = json_decode(get_settings('homepage_genre'));
                            ?>
                            <?php if($query >= 4): ?>
                                <option value="<?php echo e($item->id); ?>" <?php echo e(in_array($item->id, $genres)?'selected':''); ?>> <?php echo e($item->name); ?> </option>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <!-- website home page category -->
                <div class="form-group">
                    <label for="multiple-category-select" class="eForm-label"> <?php echo e(get_phrase('Which Category are show on Homepage')); ?> </label>
                    <select name="homepage_category[]" id="multiple-category-select" class="eForm-control form-control" multiple>
                        <?php $__currentLoopData = $homepage_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php 
                                $query = App\Models\Movie::where('category', $item->id)->get()->count(); 
                                $category = json_decode(get_settings('homepage_category'));    
                            ?>
                            <?php if($query >= 4): ?>
                                <option value="<?php echo e($item->id); ?>" <?php echo e(in_array($item->id, $category)?'selected':''); ?>> <?php echo e($item->name); ?> </option>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <!-- Invoice address -->
                <div class="form-group">
                    <label for="invoice_address" class="eForm-label"> <?php echo e(get_phrase('Invoice address')); ?> </label>
                    <input type="text" name="invoice_address" id="invoice_address" class="eForm-control form-control" value="<?php echo e(get_settings('invoice_address')); ?>" required>
                </div>
                <!-- timezone address -->
                <div class="form-group">
                    <label for="timezone" class="eForm-label"> <?php echo e(get_phrase('Timezone')); ?> </label>
                    <input type="text" name="timezone" id="timezone" class="eForm-control form-control" value="<?php echo e(get_settings('timezone')); ?>" required>
                </div>
                <!-- Phone_number -->
                <div class="form-group">
                    <label for="phone_number" class="eForm-label"> <?php echo e(get_phrase('Phone Number')); ?> </label>
                    <input type="text" name="phone_number" id="phone_number" class="eForm-control form-control" value="<?php echo e(get_settings('phone_number')); ?>" required>
                </div>
                <!-- Envato purchase code -->
                <div class="form-group">
                    <label for="purchase_code" class="eForm-label"> <?php echo e(get_phrase('Purchase code')); ?> </label>
                    <input type="text" name="purchase_code" id="purchase_code" class="eForm-control form-control" value="<?php echo e(get_settings('purchase_code')); ?>" required>
                </div>
                <!-- Facebook link -->
                <div class="form-group">
                    <label for="facebook" class="eForm-label"> <?php echo e(get_phrase('Facebook Link')); ?> </label>
                    <input type="text" name="facebook" id="facebook" class="eForm-control form-control" value="<?php echo e(get_settings('facebook')); ?>" required>
                </div>
                <!-- Instagram Link -->
                <div class="form-group">
                    <label for="instagram" class="eForm-label"> <?php echo e(get_phrase('Instagram Link')); ?> </label>
                    <input type="text" name="instagram" id="instagram" class="eForm-control form-control" value="<?php echo e(get_settings('instagram')); ?>" required>
                </div>
                <!-- Twitter link -->
                <div class="form-group">
                    <label for="twitter" class="eForm-label"> <?php echo e(get_phrase('Twitter Link')); ?> </label>
                    <input type="text" name="twitter" id="twitter" class="eForm-control form-control" value="<?php echo e(get_settings('twitter')); ?>" required>
                </div>
                <!-- linkedin link -->
                <div class="form-group">
                    <label for="linkedin" class="eForm-label"> <?php echo e(get_phrase('Linkedin Link')); ?> </label>
                    <input type="text" name="linkedin" id="linkedin" class="eForm-control form-control" value="<?php echo e(get_settings('linkedin')); ?>" required>
                </div>
            </div>
        </div>
        <!-- end web setting left -->

        <!-- start web setting right -->
        <div class="col-6">
            <div class="eSection-wrap-2">
                <!-- linkedin link -->
                <div class="form-group">
                    <label for="promo_video" class="eForm-label"> <?php echo e(get_phrase('Promo Video')); ?> </label>
                    <input type="text" name="promo_video" id="promo_video" class="eForm-control form-control" value="<?php echo e(get_settings('promo_video')); ?>" required>
                </div>
                <!-- website Dark logo -->
                <div class="form-group efile">
                    <label for="logo" class="eForm-label"> <?php echo e(get_phrase('Website dark logo')); ?> <small><?php echo e(get_phrase('Size: ').' 395x96'); ?> </small> </label>
                    <input type="file" name="site_logo" id="logo" class="form-control form-control eForm-control-file eForm-control-file-lg">
                    <input type="hidden" name="old_logo" value="<?php echo e(get_settings('site_logo')); ?>">
                </div>
                <!-- website light_logo -->
                <div class="form-group efile">
                    <label for="light_logo" class="eForm-label"> <?php echo e(get_phrase('Website light logo')); ?> <small><?php echo e(get_phrase('Size: '.' 395x96')); ?> </small> </label>
                    <input type="file" name="light_logo" id="light_logo" class="form-control form-control eForm-control-file eForm-control-file-lg">
                    <input type="hidden" name="old_light_logo" value="<?php echo e(get_settings('light_logo')); ?>">
                </div>
                <!-- website favicon -->
                <div class="form-group efile">
                    <label for="site_favicon" class="eForm-label"> <?php echo e(get_phrase('Website Favicon')); ?> <small><?php echo e(get_phrase('Size: '.' 40x40')); ?> </small> </label>
                    <input type="file" name="site_favicon" id="site_favicon" class="form-control form-control eForm-control-file eForm-control-file-lg">
                    <input type="hidden" name="old_favicon" value="<?php echo e(get_settings('site_favicon')); ?>">
                </div>
                <!-- Website privacy policy -->
                <div class="form-group">
                    <label for="privacy_policy" class="eForm-label"> <?php echo e(get_phrase('Privacy Policy')); ?> </label>
                    <textarea name="privacy_policy" id="privacy_policy" class="eForm-control form-control" cols="30" rows="10"><?php echo get_settings('privacy_policy'); ?></textarea>
                </div>
                <!-- Website Refund Policy -->
                <div class="form-group">
                    <label for="refund_policy" class="eForm-label"> <?php echo e(get_phrase('Refund Policy')); ?> </label>
                    <textarea name="refund_policy" id="refund_policy" class="eForm-control form-control" cols="30" rows="10"><?php echo get_settings('refund_policy'); ?></textarea>
                </div>
            </div>
        </div>
        <!-- end web setting right-->
    </div>
    <button type="submit" class="export_btn mt-3"> <?php echo e(get_phrase('Update')); ?> </button>
</form>

<!--Main Jquery-->
<script src="<?php echo e(asset('backend/vendors/jquery/jquery-3.6.0.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/summernote/summernote-lite.min.js')); ?>"></script>

<script>
    $('#privacy_policy').summernote({
      placeholder: '<?php echo e(get_phrase('Website Privacy Policy')); ?>',
      tabsize: 2,
      height: 145,
      toolbar: [
        ['style', ['style']],
        ['font', ['bold', 'underline', 'clear']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['table', ['table']],
        ['insert', ['link', 'picture', 'video']],
        ['view', ['fullscreen', 'codeview', 'help']]
      ]
    });

    $('#refund_policy').summernote({
      placeholder: '<?php echo e(get_phrase('Website Refund Policy')); ?>',
      tabsize: 2,
      height: 145,
      toolbar: [
        ['style', ['style']],
        ['font', ['bold', 'underline', 'clear']],
        ['color', ['color']],
        ['para', ['ul', 'ol', 'paragraph']],
        ['table', ['table']],
        ['insert', ['link', 'picture', 'video']],
        ['view', ['fullscreen', 'codeview', 'help']]
      ]
    });
// multipul select 
    // $( '#multiple-category-select' ).select2( {
    // theme: "bootstrap-5",
    // width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    // placeholder: $( this ).data( 'placeholder' ),
    // closeOnSelect: false,
    // allowClear: true,
    // });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctmacademy/public_html/sites/demo.creativeitem.com/neoflex3/resources/views/admin/setting/web_setting.blade.php ENDPATH**/ ?>