 <?php $__env->startSection('title', get_phrase('Wishlist')); ?> <?php $__env->startSection('content'); ?>

<!--  wishlist Area Start   -->
<section class="pb-120 bannar-area">
    <div class="container">
        <h1 class="text-light pb-5"><?php echo e(get_phrase('Wishlist')); ?> (<?php echo e(count($total_wishlist)); ?>)</h1>
        <div class="neo-playlist-search">
            <form action="#" method="POST">
                <div class="neo-single-search">
                    <button type="submit" class="neo-glass-search"><i class="fa-solid fa-magnifying-glass"></i></button>
                    <input id="wishlist_search" placeholder="search here" type="text" class="form-control" name="wishlist_search" />
                    <button type="reset" class="neo-crose-search d-none"><i class="fa-solid fa-xmark"></i></button>
                </div>
            </form>
        </div>

        <?php if(count($total_wishlist) == 0): ?>
        <div class="col-lg-12 col-md-12 col-sm-12 mb-20">
            <img src="<?php echo e(asset('assets/images/error.png')); ?>" class="m-auto pt-5" alt="" width="50%" />
        </div>
        <?php endif; ?> 
        <?php $__currentLoopData = $wishlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
            <?php if($item->type == 'movie'){ 
                $video = App\Models\Movie::where('id', $item->video_id)->first(); 
                $thumbnail = "movie_thumbnail"; 
                $description = $video->short_description??''; 
                $video_play_url = route('watch-now', ['id'=>$video->id, $item->type]); 
            }elseif($item->type == 'series'){ 
                $video = App\Models\Series::where('id', $item->video_id)->first(); 
                $thumbnail = "series_thumbnail"; 
                $description = $video->short_description??'';
                $video_play_url = route('watch-now', ['id'=>$video->id, $item->type]); 
            }elseif($item->type == 'episode'){ 
                $video = App\Models\Episode::where('id', $item->video_id)->first(); 
                $thumbnail = "episode_thumbnail"; 
                $description = $video->description??''; 
                $video_play_url = route('episode-player', ['episode_id'=>$video->id, $item->season_id]); 
            }
            ?>
        <div class="row wishlist_filter">
            <div class="col-lg-12 mb-5 item-hover">
                <div class="play-list-item p-4">
                    <div class="left-list-item">
                        <a href="<?php echo e($video_play_url); ?>"><img src="<?php echo e(get_image('storage/'.$thumbnail.'/'.$video->thumbnail)); ?>" alt="image" /></a>
                    </div>
                    <div class="neo-list-items-middle">
                        <div class="right-list-item w-100">
                            <h4><a href="<?php echo e($video_play_url); ?>"><?php echo e(substr_replace($video->title,'',100)); ?></a></h4>
                            <div class="d-flex justify-content-between align-items-center">
                                <span><?php echo e(get_phrase('Date')); ?> : <?php echo e(get_date($video->created_at)); ?> </span>
                                <a class="neo-del-icon" href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#exampleModal<?php echo e($item->id); ?>"> <i class="fa-solid fa-trash"></i> </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- delete wishlist Modal Start -->
            <div class="create-play-modal del-modal">
                <!-- Modal -->
                <div class="modal fade" id="exampleModal<?php echo e($item->id); ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="exampleModalLabel"><?php echo e(get_phrase('Are you sure?')); ?></h4>
                                <p><?php echo e(get_phrase('Do you really want to delete these records? This process cannot be undone.')); ?></p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?php echo e(get_phrase('Cancel')); ?></button>
                                <button type="submit" class="btn btn-primary"><a class="text-light" href="<?php echo e(route('delete/wishlist', ['video_id' => $item->id])); ?>"><?php echo e(get_phrase('Delete')); ?></a></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- delete history Modal End -->
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php echo e($wishlist->links()); ?>

    </div>
</section>
<!--  wishlist Area End   -->
<!-- Jquery Js -->
<script src="<?php echo e(asset('frontend/js/jquery-3.7.1.min.js')); ?>"></script>
<script>
    "use strict";
    $("#wishlist_search").keyup(function () {
        $(".neo-crose-search").removeClass("d-none");
        var value = $("#wishlist_search").val();
        $(".wishlist_filter").filter(function () {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);
        });
    });
    $(".neo-crose-search").click(function () {
        $("#wishlist_search").val();
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH G:\Laravel\Neoflex_3\resources\views/frontend/admin_wishlist.blade.php ENDPATH**/ ?>