<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> <?php echo e(get_settings('site_name')); ?> - <?php echo $__env->yieldContent('title'); ?> </title>
    <!-- Favicons -->
    <link rel="icon" href="<?php echo e(asset('storage/setting/'.get_settings('site_favicon'))); ?>">
    <!-- Fontawasome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/font/flaticon_mycollection.css')); ?>">
    <!-- Owl Carousel Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/owl.theme.default.min.css')); ?>">
    <!-- toster css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/sweetalert/toastr.min.css')); ?>" >
    <!-- nice select Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/nice-select.css')); ?>">
    <!-- Bootstarp Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/bootstrap.min.css')); ?>">
    <!-- plyr css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/plyr/plyr.css')); ?>">    
    <!-- Main Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/style.css')); ?>">
    <!-- Responsive Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/responsive.css')); ?>">
    <!-- animation css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/animate.css')); ?>">
    <!-- select option css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/jquery.searchableSelect.css')); ?>">
    <!-- select option js -->
    <script src="<?php echo e(asset('frontend/js/jquery-3.7.1.min.js')); ?>"></script>
</head>
    <?php
        $random = rand(1,3);
        $image_name = 'mask_group_'.$random.'.png';
        if(Session::get('theme_color')){
            $theme_color = Session::get('theme_color')->theme_color;
        }else{
            $theme_color = 'dark_theme';
        }
    ?>
<body class="<?php echo e($theme_color); ?> body-color">
    <style>
        .bg-image{
            background-image: url("<?php echo e(asset('assets/images/'.$image_name)); ?>");
            background-size: cover;
            background-position: left;
        }
    </style>
<!-- Header Area Start -->
<header class="header-area">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-5 col-md-6 col-sm-6 col-4">
                <div class="nav-header nav-head-control">
                    <!-- Logo -->
                    <div class="logo">
                        <a class="light-logo d-none" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('storage/setting/'.get_settings('light_logo'))); ?>" alt="logo"></a>
                        <a class="dark-logo d-none" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('storage/setting/'.get_settings('site_logo'))); ?>" alt="logo"></a>
                    </div>
                    <div class="header-search-box">
                        <form action="<?php echo e(route('search',['id'=>' ','type'=>' ','name'=>' '])); ?>" method="GET">
                            <input type="text" class="form-control" name="search" placeholder="<?php echo e('Search movie and series'); ?>">
                            <button type="submit" class="search-icon"><i class="fa-solid fa-magnifying-glass"></i></button>
                        </form>
                    </div>
                    <span class="search-glass"><i class="fa-solid fa-magnifying-glass"></i></span>
                </div>
            </div>
            <div class="col-lg-7 col-md-6 col-sm-6 col-8">
                <?php if(get_user('id')): ?>
                <?php $user_info = App\Models\User::where('id', get_user('id'))->first(); ?>
                 <nav class="header-right">
                    <ul class="primary-menu">
                        <li class="dark-light-toggle">
                            <div class="toggle-container">
                                <input type="checkbox" id="darkModeToggle" class="toggle-checkbox" <?php echo e($theme_color == 'light-theme' ? 'checked':''); ?>>
                                <label for="darkModeToggle" class="toggle-label">
                                    <span class="toggle-icon">
                                        <div class="before">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <g clip-path="url(#clip0_0_28)">
                                                <path d="M23.0295 14.7908C22.9291 14.6906 22.8025 14.621 22.6641 14.5899C22.5258 14.5589 22.3815 14.5677 22.248 14.6152C20.4535 15.255 18.5143 15.3725 16.6557 14.954C14.7971 14.5355 13.0954 13.5983 11.7483 12.2511C10.4012 10.9039 9.46402 9.20216 9.04564 7.34353C8.62725 5.4849 8.74484 3.5457 9.38475 1.75125C9.4323 1.61769 9.44102 1.47339 9.4099 1.33508C9.37879 1.19677 9.3091 1.07011 9.20894 0.969786C9.10877 0.869462 8.98222 0.799582 8.84396 0.768248C8.70569 0.736915 8.56138 0.745411 8.42775 0.792751C6.80992 1.36405 5.34175 2.29284 4.1325 3.51C1.96472 5.67942 0.747261 8.62098 0.747841 11.6878C0.748421 14.7547 1.96699 17.6958 4.13559 19.8644C6.30419 22.033 9.24529 23.2516 12.3122 23.2522C15.379 23.2527 18.3206 22.0353 20.49 19.8675C21.7073 18.658 22.636 17.1896 23.2072 15.5715C23.2544 15.4379 23.2627 15.2936 23.2313 15.1554C23.1998 15.0172 23.1299 14.8908 23.0295 14.7908Z" fill="#7689DB"/>
                                                </g>
                                                <defs>
                                                <clipPath id="clip0_0_28">
                                                <rect width="24" height="24" fill="white"/>
                                                </clipPath>
                                                </defs>
                                            </svg>
                                        </div>
                                        <div class="after">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <g clip-path="url(#clip0_0_9)">
                                                <path d="M11.9883 0.738369C11.6242 0.738369 11.3291 1.03349 11.3291 1.39755V3.51571C11.3291 3.87977 11.6242 4.17489 11.9883 4.17489C12.3523 4.17489 12.6475 3.87977 12.6475 3.51571V1.39755C12.6475 1.03349 12.3523 0.738369 11.9883 0.738369Z" fill="#FFD844"/>
                                                <path d="M4.96555 4.03344C4.70833 3.77609 4.29085 3.77609 4.03349 4.03344C3.776 4.29094 3.776 4.70828 4.03349 4.96563L5.5312 6.46348C5.7887 6.72097 6.20604 6.72097 6.46339 6.46348C6.72089 6.20613 6.72089 5.78865 6.46339 5.53129L4.96555 4.03344Z" fill="#FFD844"/>
                                                <path d="M5.53093 17.5134L4.03308 19.0112C3.77573 19.2687 3.77573 19.6859 4.03308 19.9436C4.29071 20.2009 4.70792 20.2009 4.96541 19.9436L6.46326 18.4457C6.72061 18.1882 6.72061 17.771 6.46326 17.5134C6.20563 17.256 5.78842 17.2562 5.53093 17.5134Z" fill="#FFD844"/>
                                                <path d="M11.9883 19.8018C11.6242 19.8018 11.3291 20.097 11.3291 20.461V22.5792C11.3291 22.9432 11.6242 23.2384 11.9883 23.2384C12.3523 23.2384 12.6475 22.9432 12.6475 22.5792V20.461C12.6475 20.097 12.3523 19.8018 11.9883 19.8018Z" fill="#FFD844"/>
                                                <path d="M4.1748 11.9884C4.1748 11.6243 3.87968 11.3292 3.51562 11.3292H1.39746C1.0334 11.3292 0.738281 11.6243 0.738281 11.9884C0.738281 12.3524 1.0334 12.6475 1.39746 12.6475H3.51562C3.87968 12.6475 4.1748 12.3524 4.1748 11.9884Z" fill="#FFD844"/>
                                                <path d="M11.9883 17.59C8.89961 17.59 6.38663 15.077 6.38663 11.9884C6.38663 8.8997 8.89961 6.38671 11.9883 6.38671C15.077 6.38671 17.5899 8.8997 17.5899 11.9884C17.5899 15.077 15.077 17.59 11.9883 17.59Z" fill="#FFF16C"/>
                                                <path d="M17.5899 11.9884C17.5899 8.8997 15.077 6.38671 11.9883 6.38671V17.59C15.077 17.59 17.5899 15.077 17.5899 11.9884Z" fill="#FFD844"/>
                                                <path d="M18.4456 6.46334L19.9435 4.96536C20.2008 4.708 20.2008 4.2908 19.9435 4.03317C19.6859 3.77581 19.2686 3.77581 19.0113 4.03317L17.5133 5.53102C17.2561 5.78851 17.2561 6.20572 17.5133 6.46334C17.7709 6.72056 18.1881 6.72056 18.4456 6.46334Z" fill="#FFA800"/>
                                                <path d="M18.4454 17.5133C18.188 17.2558 17.7705 17.2558 17.5132 17.5133C17.2557 17.7706 17.2557 18.1881 17.5132 18.4454L19.011 19.9433C19.2684 20.2007 19.6857 20.2007 19.9432 19.9433C20.2006 19.6858 20.2006 19.2685 19.9432 19.0111L18.4454 17.5133Z" fill="#FFA800"/>
                                                <path d="M22.5791 11.3292H20.4609C20.0969 11.3292 19.8018 11.6243 19.8018 11.9884C19.8018 12.3524 20.0969 12.6475 20.4609 12.6475H22.5791C22.9432 12.6475 23.2383 12.3524 23.2383 11.9884C23.2383 11.6243 22.9432 11.3292 22.5791 11.3292Z" fill="#FFA800"/>
                                                <path d="M11.9883 0.738369V4.17489C12.3523 4.17489 12.6475 3.87977 12.6475 3.51571V1.39755C12.6475 1.03349 12.3523 0.738369 11.9883 0.738369Z" fill="#FFA800"/>
                                                <path d="M11.9883 19.8018V23.2384C12.3523 23.2384 12.6475 22.9432 12.6475 22.5792V20.461C12.6475 20.097 12.3523 19.8018 11.9883 19.8018Z" fill="#FFA800"/>
                                                </g>
                                                <defs>
                                                <clipPath id="clip0_0_9">
                                                <rect width="24" height="24" fill="white"/>
                                                </clipPath>
                                                </defs>
                                            </svg>
                                        </div>
                                    </span>
                                </label>
                            </div>
                        </li>
                        
                        <li><a class="sub-btn1" href="<?php echo e(route('search',['id'=>' ','type'=>'movie','name'=>' '])); ?>"><?php echo e(get_phrase('Movies')); ?></a></li>
                        <li><a class="sub-btn2" href="<?php echo e(route('search',['id'=>' ','type'=>'series','name'=>' '])); ?>"><?php echo e(get_phrase('Series')); ?></a></li>
                    </ul>
                    <div class="user-profile">
                        <button class="us-btn dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                            <?php if(get_user('user_column') == 'user1'): ?>
                                <img src="<?php echo e(get_image('storage/users/'.$user_info->image)); ?>" alt="user-img">
                            <?php elseif(get_user('user_column') == 'user2'): ?>
                                <img src="<?php echo e(get_image('storage/user-image/'.json_decode($user_info->user2)->image)); ?>" alt="user-img">
                            <?php elseif(get_user('user_column') == 'user3'): ?>
                                <img src="<?php echo e(get_image('storage/user-image/'.json_decode($user_info->user3)->image)); ?>" alt="user-img">
                            <?php elseif(get_user('user_column') == 'user4'): ?>
                                <img src="<?php echo e(get_image('storage/user-image/'.json_decode($user_info->user4)->image)); ?>" alt="user-img">
                            <?php else: ?>
                                <img src="<?php echo e(get_image('storage/user-image/'.$user_info->image)); ?>" alt="user-img">
                            <?php endif; ?>
                       </button>
                       <ul class="dropdown-menu dropmenu-end">
                            <?php if(get_user('user_type') == 'admin'): ?>
                                <li><a class="dropdown-item" href="<?php echo e(route('login')); ?>"><i class="fa-solid fa-user"></i> <?php echo e(get_phrase('Dashboard')); ?> </a></li>
                                <li><a class="dropdown-item" href="<?php echo e(route('admin/wishlist')); ?>"><i class="fas fa-th-list"></i> <?php echo e(get_phrase('Wishlist')); ?> </a></li>
                                <li><a class="dropdown-item" href="<?php echo e(route('admin/history')); ?>"><i class="fas fa-history"></i> <?php echo e(get_phrase('History')); ?> </a></li>
                                <li><a class="dropdown-item" href="<?php echo e(route('admin/logout')); ?>"><i class="fa-solid fa-arrow-right-from-bracket"></i> <?php echo e(get_phrase('logout')); ?> </a></li>
                            <?php else: ?>
                                <li><a class="dropdown-item" href="<?php echo e(route('user/profile')); ?>"><i class="fa-solid fa-user"></i> <?php echo e(get_phrase('profile')); ?> </a></li>
                                <li><a class="dropdown-item" href="<?php echo e(route('wishlist')); ?>"><i class="fas fa-th-list"></i> <?php echo e(get_phrase('Wishlist')); ?> </a></li>
                                <li><a class="dropdown-item" href="<?php echo e(route('history')); ?>"><i class="fas fa-history"></i> <?php echo e(get_phrase('History')); ?> </a></li>
                                <?php if(premium_user(get_user('id')) == 0): ?>
                                    <li><a class="dropdown-item" href="<?php echo e(route('packages')); ?>"><i class="fas fa-hand-holding-usd"></i> <?php echo e(get_phrase('Packages')); ?> </a></li>
                                <?php endif; ?>
                                <li><a class="dropdown-item" href="<?php echo e(route('user/logout')); ?>"><i class="fa-solid fa-arrow-right-from-bracket"></i> <?php echo e(get_phrase('logout')); ?> </a></li>
                            <?php endif; ?>
                       </ul>
                    </div>
                    <span class="ham-bar"><i class="fa-solid fa-bars"></i></span>
                </nav>
                <?php else: ?>
                <nav class="header-right me-5">
                    <ul class="primary-menu">
                        <li class="dark-light-toggle">
                            <div class="toggle-container">
                                <input type="checkbox" id="darkModeToggle" class="toggle-checkbox" <?php echo e($theme_color == 'light-theme' ? 'checked':''); ?>>
                                <label for="darkModeToggle" class="toggle-label">
                                    <span class="toggle-icon">
                                        <div class="before">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <g clip-path="url(#clip0_0_28)">
                                                <path d="M23.0295 14.7908C22.9291 14.6906 22.8025 14.621 22.6641 14.5899C22.5258 14.5589 22.3815 14.5677 22.248 14.6152C20.4535 15.255 18.5143 15.3725 16.6557 14.954C14.7971 14.5355 13.0954 13.5983 11.7483 12.2511C10.4012 10.9039 9.46402 9.20216 9.04564 7.34353C8.62725 5.4849 8.74484 3.5457 9.38475 1.75125C9.4323 1.61769 9.44102 1.47339 9.4099 1.33508C9.37879 1.19677 9.3091 1.07011 9.20894 0.969786C9.10877 0.869462 8.98222 0.799582 8.84396 0.768248C8.70569 0.736915 8.56138 0.745411 8.42775 0.792751C6.80992 1.36405 5.34175 2.29284 4.1325 3.51C1.96472 5.67942 0.747261 8.62098 0.747841 11.6878C0.748421 14.7547 1.96699 17.6958 4.13559 19.8644C6.30419 22.033 9.24529 23.2516 12.3122 23.2522C15.379 23.2527 18.3206 22.0353 20.49 19.8675C21.7073 18.658 22.636 17.1896 23.2072 15.5715C23.2544 15.4379 23.2627 15.2936 23.2313 15.1554C23.1998 15.0172 23.1299 14.8908 23.0295 14.7908Z" fill="#7689DB"/>
                                                </g>
                                                <defs>
                                                <clipPath id="clip0_0_28">
                                                <rect width="24" height="24" fill="white"/>
                                                </clipPath>
                                                </defs>
                                            </svg>
                                        </div>
                                        <div class="after">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <g clip-path="url(#clip0_0_9)">
                                                <path d="M11.9883 0.738369C11.6242 0.738369 11.3291 1.03349 11.3291 1.39755V3.51571C11.3291 3.87977 11.6242 4.17489 11.9883 4.17489C12.3523 4.17489 12.6475 3.87977 12.6475 3.51571V1.39755C12.6475 1.03349 12.3523 0.738369 11.9883 0.738369Z" fill="#FFD844"/>
                                                <path d="M4.96555 4.03344C4.70833 3.77609 4.29085 3.77609 4.03349 4.03344C3.776 4.29094 3.776 4.70828 4.03349 4.96563L5.5312 6.46348C5.7887 6.72097 6.20604 6.72097 6.46339 6.46348C6.72089 6.20613 6.72089 5.78865 6.46339 5.53129L4.96555 4.03344Z" fill="#FFD844"/>
                                                <path d="M5.53093 17.5134L4.03308 19.0112C3.77573 19.2687 3.77573 19.6859 4.03308 19.9436C4.29071 20.2009 4.70792 20.2009 4.96541 19.9436L6.46326 18.4457C6.72061 18.1882 6.72061 17.771 6.46326 17.5134C6.20563 17.256 5.78842 17.2562 5.53093 17.5134Z" fill="#FFD844"/>
                                                <path d="M11.9883 19.8018C11.6242 19.8018 11.3291 20.097 11.3291 20.461V22.5792C11.3291 22.9432 11.6242 23.2384 11.9883 23.2384C12.3523 23.2384 12.6475 22.9432 12.6475 22.5792V20.461C12.6475 20.097 12.3523 19.8018 11.9883 19.8018Z" fill="#FFD844"/>
                                                <path d="M4.1748 11.9884C4.1748 11.6243 3.87968 11.3292 3.51562 11.3292H1.39746C1.0334 11.3292 0.738281 11.6243 0.738281 11.9884C0.738281 12.3524 1.0334 12.6475 1.39746 12.6475H3.51562C3.87968 12.6475 4.1748 12.3524 4.1748 11.9884Z" fill="#FFD844"/>
                                                <path d="M11.9883 17.59C8.89961 17.59 6.38663 15.077 6.38663 11.9884C6.38663 8.8997 8.89961 6.38671 11.9883 6.38671C15.077 6.38671 17.5899 8.8997 17.5899 11.9884C17.5899 15.077 15.077 17.59 11.9883 17.59Z" fill="#FFF16C"/>
                                                <path d="M17.5899 11.9884C17.5899 8.8997 15.077 6.38671 11.9883 6.38671V17.59C15.077 17.59 17.5899 15.077 17.5899 11.9884Z" fill="#FFD844"/>
                                                <path d="M18.4456 6.46334L19.9435 4.96536C20.2008 4.708 20.2008 4.2908 19.9435 4.03317C19.6859 3.77581 19.2686 3.77581 19.0113 4.03317L17.5133 5.53102C17.2561 5.78851 17.2561 6.20572 17.5133 6.46334C17.7709 6.72056 18.1881 6.72056 18.4456 6.46334Z" fill="#FFA800"/>
                                                <path d="M18.4454 17.5133C18.188 17.2558 17.7705 17.2558 17.5132 17.5133C17.2557 17.7706 17.2557 18.1881 17.5132 18.4454L19.011 19.9433C19.2684 20.2007 19.6857 20.2007 19.9432 19.9433C20.2006 19.6858 20.2006 19.2685 19.9432 19.0111L18.4454 17.5133Z" fill="#FFA800"/>
                                                <path d="M22.5791 11.3292H20.4609C20.0969 11.3292 19.8018 11.6243 19.8018 11.9884C19.8018 12.3524 20.0969 12.6475 20.4609 12.6475H22.5791C22.9432 12.6475 23.2383 12.3524 23.2383 11.9884C23.2383 11.6243 22.9432 11.3292 22.5791 11.3292Z" fill="#FFA800"/>
                                                <path d="M11.9883 0.738369V4.17489C12.3523 4.17489 12.6475 3.87977 12.6475 3.51571V1.39755C12.6475 1.03349 12.3523 0.738369 11.9883 0.738369Z" fill="#FFA800"/>
                                                <path d="M11.9883 19.8018V23.2384C12.3523 23.2384 12.6475 22.9432 12.6475 22.5792V20.461C12.6475 20.097 12.3523 19.8018 11.9883 19.8018Z" fill="#FFA800"/>
                                                </g>
                                                <defs>
                                                <clipPath id="clip0_0_9">
                                                <rect width="24" height="24" fill="white"/>
                                                </clipPath>
                                                </defs>
                                            </svg>
                                        </div>
                                    </span>
                                </label>
                            </div>
                        </li>
                        <li><a class="sub-btn1" href="<?php echo e(route('search',['id'=>' ','type'=>'movie','name'=>' '])); ?>"><?php echo e(get_phrase('Movies')); ?></a></li>
                        <li><a class="sub-btn2" href="<?php echo e(route('search',['id'=>' ','type'=>'series','name'=>' '])); ?>"><?php echo e(get_phrase('Series')); ?></a></li>
                    </ul>
                    <a href="<?php echo e(route('login')); ?>" class="main-btn ms-4"> Login </a>
                </nav>
                <?php endif; ?>
            </div>
        </div>
    </div>
</header>
<!-- Header Area End -->

<!-- start sweet alert -->
<?php
    if($errors->any()){
        foreach ($errors->all() as $error) {
            toast($error,'error');
        }
    }
?>
<?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- end sweet alert -->

<!-- Start content area -->
<?php echo $__env->yieldContent('content'); ?>
<!-- End content area -->

<!-- login request section Start -->
<div class="create-play-modal del-modal">
    <!-- Modal -->
    <div class="modal fade" id="login-requert" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="exampleModalLabel"><?php echo e(get_phrase('Attention! login required')); ?></h4> <hr>
                    <p class="px-3"><?php echo e(get_phrase('This is a reminder that in order to access this feature or content, a login is required. Please ensure that you have a valid account and are logged in before attempting to access this resource.')); ?></p>
                </div>
                <div class="modal-footer">
                    <a href="<?php echo e(route('register')); ?>" class="btn btn-secondary"> <?php echo e(get_phrase('Register')); ?> </a>
                    <a href="<?php echo e(route('login')); ?>" class="btn btn-primary"> <?php echo e(get_phrase('Login')); ?> </a>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- login request section end -->

<?php
?>


<!-- Footer  Area Start -->
<style>



</style>
<div class="fixt-icon">
    <span class="arrow_icon scroll-btn"><i class="fas fa-arrow-up"></i></span>
</div>


<!-- Footer  Area Start -->
<footer class="footer-area">
    <!-- Footer Top Content Start -->
      <div class="footer-content">
          <div class="container">
              <div class="row">
                <div class="col-lg-4 col-md-12 col-sm-12 col-12 mb-20">
                       <div class="single-footer w-320">
                            <a class="light-logo d-none" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('storage/setting/'.get_settings('light_logo'))); ?>" alt="logo"></a>
                            <a class="dark-logo d-none" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('storage/setting/'.get_settings('site_logo'))); ?>" alt="logo"></a>
                            <p class="mb-30"><?php echo e(get_phrase('Lorem Ipsum available, but the majority
                                have suffered alteration in some.')); ?></p>
                                <!-- Curency Area -->
                                <div class="curency-area">
                                <div class="left-curency">
                                    <span class="language-text ps-0"><?php echo e(get_phrase('Language')); ?> :</span>
                                </div>
                                <div class="right-curency select-box-control">
                                    <select  class="form-select nice-control" id="language_change">
                                        <?php $__currentLoopData = get_all_language(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($language->name); ?>" <?php echo e($language->name == get_language()?'selected':''); ?>> <?php echo e(ucwords($language->name)); ?> </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                              </div>
                            
                         </div>
                      </div>
                    <!-- End Footer Link Column -->
                   <div class="col-lg-8 col-md-12 col-12">
                        <div class="row">
                            <div class="col-lg-3 col-md-6 col-sm-6 col-12 mb-20">
                                <div class="single-footer">
                                    <h3><?php echo e(get_phrase('Account')); ?></h3>
                                    <ul class="footer-menu-link">
                                        <?php if(get_user('user_type') === 'user'): ?>    
                                            <li><a href="<?php echo e(route('wishlist')); ?>"> <?php echo e(get_phrase('Wishlist')); ?> </a></li>
                                            <li><a href="<?php echo e(route('history')); ?>"> <?php echo e(get_phrase('History')); ?> </a></li>
                                        <?php else: ?>
                                            <li><a href="<?php echo e(route('admin/wishlist')); ?>"> <?php echo e(get_phrase('Wishlist')); ?> </a></li>
                                            <li><a href="<?php echo e(route('admin/history')); ?>"> <?php echo e(get_phrase('History')); ?> </a></li>
                                        <?php endif; ?>
                                        <li><a href="<?php echo e(route('login')); ?>"><?php echo e(get_phrase('Login')); ?></a></li>
                                        
                                    </ul>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-6 col-12 mb-20">
                                <div class="single-footer">
                                    <h3> <?php echo e(get_phrase('Quick Link')); ?> </h3>
                                    <ul class="footer-menu-link">
                                        <li><a href="<?php echo e(asset('filter?actor=all&director=all&genre=all&category=all&year=all&keyword=Movies')); ?>"> <?php echo e(get_phrase('Movies')); ?> </a></li>
                                        <li><a href="<?php echo e(asset('filter?actor=all&director=all&genre=all&category=all&year=all&keyword=Series')); ?>"> <?php echo e(get_phrase('Series')); ?> </a></li>
                                    </ul>
                                </div>
                            </div>
                         <!-- End Footer Link Column -->
                            <div class="col-lg-3 col-md-6 col-sm-6 col-12 mb-20">
                                <div class="single-footer">
                                    <h3><?php echo e(get_phrase('Need Help ?')); ?></h3>
                                    <ul class="footer-menu-link">
                                    <li><a href="<?php echo e(route('privacy-policy')); ?>"><?php echo e(get_phrase('Privacy Policy')); ?></a></li>
                                    <li><a href="<?php echo e(route('refund-policy')); ?>"><?php echo e(get_phrase('Refund Policy')); ?></a></li>
                                    <li><a href="<?php echo e(route('faq')); ?>"><?php echo e(get_phrase('Faq')); ?></a></li>
                                </ul>
                                </div>
                            </div>
                         <!-- End Footer Link Column -->
                            <div class="col-lg-3 col-md-6 col-sm-6 col-12 mb-20">
                                <div class="single-footer">
                                    <h3> <?php echo e(get_phrase('Contact')); ?> </h3>
                                    <ul class="contact-info footer-menu-link">
                                        <li> <a href="mailto:<?php echo e(get_settings('site_email')); ?>?subject=<?php echo e(get_phrase('Contact Us')); ?>&body=<?php echo e(get_phrase('Body of the email')); ?>"><?php echo e(get_settings('site_email')); ?></a></li>
                                        <li> <a href="tel:<?php echo e(get_settings('phone_number')); ?>"><?php echo e(get_settings('phone_number')); ?></a></li>
                                    </ul>
                                  
                                </div>
                            </div>
                        </div>
                   </div>
                  <!-- End Footer Link Column -->
              </div>
          </div>
     </div>  
      <!-- Footer Top Content End -->
      <!-- Footer Bottom  Content Area Start -->
       <div class="footer-bottom-content">
          <div class="container">
              <div class="row">
                  <div class="col-lg-6">
                      <div class="copyright-text text-left">
                          <p><?php echo e(get_phrase("© 2022 neoflex.com All rights reserved.")); ?></p>
                      </div>
                  </div>
                  <div class="col-lg-6">
                        <div class="social-link socials">
                            <ul>
                                <li><a href="<?php echo e(get_settings('facebook')); ?>"><i class="fa-brands fa-facebook-f"></i></a></li>
                                <li><a href="<?php echo e(get_settings('twitter')); ?>"><i class="fa-brands fa-twitter"></i></a></li>
                                <li><a href="<?php echo e(get_settings('linkedin')); ?>"><i class="fa-brands fa-linkedin-in"></i></a></li>
                                <li><a href="<?php echo e(get_settings('instagram')); ?>"><i class="fa-brands fa-instagram"></i></a></li>
                            </ul>
                        </div>
                  </div>
              </div>
           </div>
       </div>
    <!-- Footer Content Bottom Area End -->
</footer>

<!--  Footer Area End   -->

<!-- Bootstarp Js -->
<script src="<?php echo e(asset('frontend/js/bootstrap.bundle.min.js')); ?>"></script>
<!-- Nice Select Js -->
<script src="<?php echo e(asset('frontend/js/jquery.nice-select.min.js')); ?>"></script>
<!-- owl.carousel -->
<script src="<?php echo e(asset('frontend/js/owl.carousel.min.js')); ?>"></script>
<!-- sweetalert js -->
<script src="<?php echo e(asset('assets/sweetalert/sweetalert2.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/sweetalert/sweetalert2.all.min.js')); ?>"></script>
<!-- wow js -->
<script src="<?php echo e(asset('frontend/js/wow.min.js')); ?>"></script>
<!-- Main Js -->
<script src="<?php echo e(asset('frontend/js/script.js')); ?>"></script>

<script>
    "use strict";
    var bodyColor = $('.body-color').hasClass('light-theme');
    if(bodyColor){
        $('.dark-logo').removeClass('d-none');
    }else{
        $('.light-logo').removeClass('d-none');
    }
    const darkModeToggle = document.getElementById('darkModeToggle');
    const body = document.body;
    
    darkModeToggle.addEventListener('change', () => {
        var theme_color = 'dark-theme';
        if (darkModeToggle.checked) {
            body.classList.add('light-theme');
            var theme_color = 'light-theme';
            $('.dark-logo').toggleClass('d-none');
            $('.light-logo').toggleClass('d-none');
        } else {
            body.classList.remove('light-theme');
            var theme_color = 'dark-theme';
            $('.dark-logo').toggleClass('d-none')
            $('.light-logo').toggleClass('d-none')
        }
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            url: "<?php echo e(route('themes-color')); ?>",
            type: 'post',
            data: {theme: theme_color},
            success: function(Response){
            }
            
        });
    });

    $("#language_change").change(function(){
        var value = $("#language_change").val();
        $.ajax({
            url: "<?php echo asset('language-chnage')?>/"+value,
            success: function(result){
                location.reload();
            }
        });        
    });

     // add movie to your wishlist 
     function add_wishlist(url,id){
        const Toast = Swal.mixin({
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: 3000,
            timerProgressBar: true,
            didOpen: (toast) => {
                toast.onmouseenter = Swal.stopTimer;
                toast.onmouseleave = Swal.resumeTimer;
            }
        });
        $.ajax({
            url: url,
            success: function(result){
                if(result == 1){
                    $('.fill_icon'+id).html('<i class="fas fa-heart red-fill-icon"></i>');
                    Toast.fire({
                        icon: "success",
                        title: "<?php echo e(get_phrase('Video added Successfully')); ?>"
                    });
                }else if(result == 99){
                    Toast.fire({
                        icon: "error",
                        title: "<?php echo e(get_phrase('Need to login first')); ?>"
                    });
                }else{
                    Toast.fire({
                        icon: "error",
                        title: "<?php echo e(get_phrase('Video already exist')); ?>"
                    });
                }
            }
        });
    }
</script>
</body>
</html><?php /**PATH C:\MAMP\htdocs\problem\problem4\neoflex-laravel\resources\views/layouts/frontend.blade.php ENDPATH**/ ?>