<!-- start modal header -->
<div class="modal-header">
    <h5 class="modal-title" id="ModalLabel"> <?php echo e(get_phrase('Add Package')); ?> </h5>
    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
  </div>
  <!-- end modal header -->
  
  <!-- Start package add from -->
  <div class="modal-body">
      <form action="<?php echo e(route('store/package')); ?>" method="POST" enctype="multipart/form-data">
          <?php echo csrf_field(); ?>
          <div class="mb-3">
                <div class="form-group">
                    <!-- package name -->
                    <label class="eForm-label"> <?php echo e(get_phrase("Name")); ?> </label> <sup>*</sup>
                    <input type="text" name="name" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('Name')); ?>" required>
                </div>

                <div class="form-group">
                    <!-- package price -->
                    <label class="eForm-label"> <?php echo e(get_phrase("Price")); ?> </label> <sup>*</sup>
                    <input type="number" name="price" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('00.00')); ?>" required>
                </div>

                <div class="form-group">
                    <!-- user number of package -->
                    <label class="eForm-label"> <?php echo e(get_phrase("Number of user")); ?> </label>
                    <select name="user_number" class="eForm-control form-control">
                        <option value="1"> <?php echo e(get_phrase('One User')); ?> </option>
                        <option value="2"> <?php echo e(get_phrase('Two Users')); ?> </option>
                        <option value="3"> <?php echo e(get_phrase('Three Users')); ?> </option>
                        <option value="4"> <?php echo e(get_phrase('Four Users')); ?> </option>
                    </select>
                </div>

                <div class="form-group">
                    <!-- number of screen -->
                    <label class="eForm-label"> <?php echo e(get_phrase("Number of Screen")); ?> </label>
                    <select name="screen_number" class="eForm-control form-control">
                        <option value="1"> <?php echo e(get_phrase('One Screens')); ?> </option>
                        <option value="2"> <?php echo e(get_phrase('Two Screens')); ?> </option>
                        <option value="3"> <?php echo e(get_phrase('Three Screens')); ?> </option>
                        <option value="4"> <?php echo e(get_phrase('Four Screens')); ?> </option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="eForm-label"> <?php echo e(get_phrase("Services")); ?> </label>
                    <div class="row">
                        <div class="col-sm-10" id="inputContainer">
                            <input type="text" name="services[]" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('Write service')); ?>">
                        </div>
                        <div class="col-sm-2 p-0">
                            <a href="javascript:void(0)" onclick="appendInput()" class="btn btn-primary"> <i class="fas fa-plus"></i></a>
                            <a href="javascript:void(0)" onclick="removeInput()" class="btn btn-danger"> <i class="fas fa-minus"></i></a>
                        </div>
                    </div>
                </div>
                
                <div class="form-group">
                    <!-- package status -->
                    <label class="eForm-label"> <?php echo e(get_phrase("Status")); ?> </label>
                    <select name="status" class="eForm-control form-control">
                        <option value="Active"> <?php echo e(get_phrase('Active')); ?> </option>
                        <option value="Deactive"> <?php echo e(get_phrase('Deactive')); ?> </option>
                    </select>
                </div>
          </div>
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"> <?php echo e(get_phrase('Close')); ?> </button>
          <button type="submit" class="btn btn-primary"> <?php echo e(get_phrase('Save')); ?> </button>
      </form>        
  </div>
  <!-- end package add from -->


<script>
    function appendInput() {
      var container = document.getElementById('inputContainer');
      var newInput = document.createElement('input');
      newInput.setAttribute('type', 'text');
      newInput.setAttribute('placeholder', '<?php echo e(get_phrase('Write service')); ?>');
      newInput.setAttribute('class', 'eForm-control mt-2');
      newInput.setAttribute('name', 'services[]');
      container.appendChild(newInput);
    }

    function removeInput() {
      var container = document.getElementById('inputContainer');
      var inputs = container.getElementsByTagName('input');
      if (inputs.length > 0) {
        container.removeChild(inputs[inputs.length - 1]);
      }
    }
</script><?php /**PATH /home/ctmacademy/public_html/sites/demo.creativeitem.com/neoflex3/resources/views/admin/package/create.blade.php ENDPATH**/ ?>