
<?php $__env->startSection('title', get_phrase('Movie Create')); ?>
<?php $__env->startSection('content'); ?>
<!-- Jquery Js -->
<script src="<?php echo e(asset('frontend/js/jquery-3.6.3.min.js')); ?>"></script>
<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
  <div class="row">
    <div class="col-12">
      <div class="d-flex justify-content-between align-items-center flex-wrap gr-15" >
        <div class="d-flex flex-column">
          <h4> <?php echo e(get_phrase('Movie Create')); ?> </h4>
          <ul class="d-flex align-items-center eBreadcrumb-2">
            <li><a href="#"> <?php echo e(get_phrase('Dashboard')); ?> </a></li>
            <li><a href="#"> <?php echo e(get_phrase('Movie')); ?> </a></li>
            <li><a href="#"> <?php echo e(get_phrase('Create')); ?> </a></li>
          </ul>
        </div>
        <div class="export-btn-area">
            <a href="<?php echo e(route('list/movie')); ?>" class="export_btn"> <?php echo e(get_phrase('Go Back')); ?> </a>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="row">
    <!-- start movie create from -->
    <div class="col-sm-7">
        <div class="eSection-wrap-2">
            
            <form class="ajaxFormSubmission" action="<?php echo e(route('store/movie')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <!-- movie title -->
                <div class="form-group">
                    <label for="title" class="eForm-label"> <?php echo e(get_phrase('Movie Title')); ?> <sup>*</sup> </label>
                    <input type="text" name="title" id="title" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('Title')); ?>" required>
                </div>

                <!-- movie trailer -->
                <div class="form-group">
                    <label for="trailer" class="eForm-label"> <?php echo e(get_phrase('Movie Trailer')); ?> <sup>*</sup> <small>EX: https://youtu.be/HurjfO_TDlQ </small> </label>
                    <input type="text" name="trailer" onkeyup="trailer_preview('<?php echo e(route('trailer/preview')); ?>')" id="trailer" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('Youtube hosted video')); ?>" required>
                </div>

                <!-- movie trailer -->
                <div class="form-group">
                    <label for="source_type" class="eForm-label"> <?php echo e(get_phrase('Select Movie Source')); ?> <sup>*</sup> </label>
                    <select name="source_type" id="source_type" onchange="movie_source_type()" class="eForm-control form-control nice-control" required>
                        <option value=""><?php echo e(get_phrase('select video source')); ?></option>
                        <option value="local_file"><?php echo e(get_phrase('Local Storage')); ?></option>
                        <option value="youtube_url"><?php echo e(get_phrase('Youtube URL')); ?></option>
                        <option value="drive_url"><?php echo e(get_phrase('Google Drive')); ?></option>
                    </select>
                </div>

                <!-- local file movie -->
                <div class="form-group local-file d-none efile">
                    <label for="local-file" class="eForm-label"> <?php echo e(get_phrase('Local Video File')); ?> <sup>*</sup> </label>
                    <input type="file" name="local_file" id="local-file" onkeyup="url_preview('<?php echo e(route('url/preview')); ?>')" class="form-control form-control eForm-control-file eForm-control-file-lg">
                </div>

                <!-- youtube movie url -->
                <div class="form-group youtube-url d-none">
                    <label for="youtube-url" class="eForm-label"> <?php echo e(get_phrase('Youtube Movie URL')); ?> <sup>*</sup> <small>EX: https://youtu.be/HurjfO_TDlQ</small> </label>
                    <input type="text" name="youtube_url" onkeyup="url_preview('<?php echo e(route('url/preview')); ?>')" id="youtube-url" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('youtube hosted video URL')); ?>">
                </div>

                <!-- drive video url -->
                <div class="form-group drive-url d-none">
                    <label for="drive-url" class="eForm-label"> <?php echo e(get_phrase('Drive Video URL')); ?> <sup>*</sup> </label>
                    <input type="text" name="drive_url" onkeyup="url_preview('<?php echo e(route('url/preview')); ?>')" id="drive-url" class="eForm-control form-control" placeholder="<?php echo e(get_phrase('Drive hosted video URL')); ?>">
                </div>
                
                <!-- movie Thumbnail -->
                <div class="form-group efile">
                    <label for="thumbnail" class="eForm-label"> <?php echo e(get_phrase('Thumbnail')); ?> - <small> <?php echo e(get_phrase('(532x780) jpg, png')); ?> </small> <sup>*</sup> </label>
                    <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" required>
                </div>

                <!-- movie poster -->
                <div class="form-group efile">
                    <label for="poster" class="eForm-label"> <?php echo e(get_phrase('Poster')); ?> - <small> <?php echo e(get_phrase('(3024x1161) jpg, png')); ?> </small> <sup>*</sup> </label>
                    <input type="file" name="poster" id="poster" class="form-control form-control eForm-control-file eForm-control-file-lg" required>
                </div>

                <!-- movie quality -->
                <div class="form-group">
                    <label for="quality" class="eForm-label"> <?php echo e(get_phrase('Video Quality')); ?> <sup>*</sup> </label>
                    <select name="quality" class="eForm-control form-control nice-control">
                        <option value="SD"><?php echo e(get_phrase('SD')); ?></option>
                        <option value="HD"><?php echo e(get_phrase('HD')); ?></option>
                        <option value="Ultra HD"><?php echo e(get_phrase('Ultra HD')); ?></option>
                        <option value="QHD"><?php echo e(get_phrase('QHD')); ?></option>
                        <option value="Blue-Ray"><?php echo e(get_phrase('Blue-Ray')); ?></option>
                        <option value="2K"><?php echo e(get_phrase('2K')); ?></option>
                        <option value="4K"><?php echo e(get_phrase('4K')); ?></option>
                        <option value="8K"><?php echo e(get_phrase('8K')); ?></option>
                    </select>
                </div>

                <!-- movie duration -->
                <div class="form-group">
                    <label for="timepicker" class="eForm-label"> <?php echo e(get_phrase('Duration')); ?> <sup>*</sup> </label>
                    <input type="text" name="duration" class="eForm-control form-control" id="timepicket" placeholder="<?php echo e(get_phrase('00:00:00')); ?>" required>
                </div>

                <!-- movie short description -->
                <div class="form-group">
                    <label for="short_description" class="eForm-label"> <?php echo e(get_phrase('Short Description')); ?> <sup>*</sup> </label>
                    <textarea name="short_description" id="short_description" cols="30" rows="3" class="eForm-control form-control" required> <?php echo e(get_phrase('Write short description')); ?> </textarea>
                </div>

                <!-- movie long description -->
                <div class="form-group">
                    <label for="long_description" class="eForm-label"> <?php echo e(get_phrase('Long Description')); ?> <sup>*</sup> </label>
                    <textarea name="long_description" id="long_description" cols="30" rows="3" class="eForm-control form-control" required> <?php echo e(get_phrase('Write long description')); ?> </textarea>
                </div>

                <!-- movie director -->
                <div class="form-group">
                    <label for="director" class="eForm-label"> <?php echo e(get_phrase('Director')); ?> <sup>*</sup> </label>
                    <select name="director" id="director" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select single director')); ?> </option>
                        <?php $__currentLoopData = $director; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>"> <?php echo e($item->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>

                <!-- movie actors -->
                <div class="form-group">
                    <label for="multiple-actor-select" class="eForm-label"> <?php echo e(get_phrase('Actors')); ?> <sup>*</sup> </label>
                    <select name="actor[]" id="multiple-actor-select" data-placeholder=" <?php echo e(get_phrase('select multiple actors')); ?> " class="eForm-control form-control" required multiple>
                        <?php $__currentLoopData = $actor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>"> <?php echo e($item->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>

                <!-- movie genre -->
                <div class="form-group">
                    <label for="genre" class="eForm-label"> <?php echo e(get_phrase('Genre')); ?> <sup>*</sup> </label>
                    <select name="genre" id="genre" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select single genre')); ?> </option>
                        <?php $__currentLoopData = $genre; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>"> <?php echo e($item->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                   
                    </select>
                </div>

                <!-- movie category -->
                <div class="form-group">
                    <label for="category" class="eForm-label"> <?php echo e(get_phrase('Category')); ?> <sup>*</sup> </label>
                    <select name="category" id="category" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select single category')); ?> </option>
                        <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>"> <?php echo e($item->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                   
                    </select>
                </div>

                <!-- movie publishing year -->
                <div class="form-group">
                    <label for="year" class="eForm-label"> <?php echo e(get_phrase('Year')); ?> <sup>*</sup> </label>
                    <select name="year" id="year" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select publishing year')); ?> </option>
                        <?php for( $i=1950; $i<=date('Y'); $i++ ): ?>
                            <option value="<?php echo e($i); ?>"><?php echo e($i); ?></option>                    
                        <?php endfor; ?>
                    </select>
                </div>

                <!-- movie publishing year -->
                <div class="form-group">
                    <label for="country" class="eForm-label"> <?php echo e(get_phrase('Country')); ?> <sup>*</sup> </label>
                    <select name="country" id="country" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select country')); ?> </option>
                        <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>"> <?php echo e($item->name); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>

                <!-- movie star rating -->
                <div class="form-group">
                    <label for="rating" class="eForm-label"> <?php echo e(get_phrase('Rating')); ?> <sup>*</sup> </label>
                    <select name="rating" id="rating" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select movie rating')); ?> </option>
                        <option value="0"> <?php echo e(get_phrase('0 Star')); ?> </option>
                        <option value="1"> <?php echo e(get_phrase('1 Star')); ?> </option>
                        <option value="2"> <?php echo e(get_phrase('2 Stars')); ?> </option>
                        <option value="3"> <?php echo e(get_phrase('3 Stars')); ?> </option>
                        <option value="4"> <?php echo e(get_phrase('4 Stars')); ?> </option>
                        <option value="5"> <?php echo e(get_phrase('5 Stars')); ?> </option>
                    </select>
                </div>

                <!-- trending movie -->
                <div class="form-group">
                    <label for="trending" class="eForm-label"> <?php echo e(get_phrase('Trending')); ?> </label>
                    <select name="is_trending" id="trending" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select featured movie')); ?> </option>
                        <option value="yes"> <?php echo e(get_phrase('Yes')); ?> </option>
                        <option value="no"> <?php echo e(get_phrase('No')); ?> </option>
                    </select>
                </div>

                <!-- movie featured -->
                <div class="form-group">
                    <label for="featured" class="eForm-label"> <?php echo e(get_phrase('Featured')); ?> <sup>*</sup> </label>
                    <select name="featured" id="featured" class="eForm-control form-control nice-control" required>
                        <option value=""> <?php echo e(get_phrase('select featured movie')); ?> </option>
                        <option value="yes"> <?php echo e(get_phrase('Yes')); ?> </option>
                        <option value="no"> <?php echo e(get_phrase('No')); ?> </option>
                    </select>
                </div>

                <!-- Content Type -->
                <div class="form-group">
                    <label for="content_type" class="eForm-label"> <?php echo e(get_phrase('Content Type')); ?> <sup>*</sup> </label>
                    <select name="content_type" id="content_type" class="eForm-control form-control nice-control" required>
                        <option value="premium"> <?php echo e(get_phrase('Premium')); ?> </option>
                        <option value="free"> <?php echo e(get_phrase('Free')); ?> </option>
                    </select>
                </div>
         
                <div class="submit-action d-block pt-5">
                    <div class="d-flex align-items-center">
                        <button type="submit" id="submit-button" class="export_btn formSubmissionBtn "> <?php echo e(get_phrase('Save')); ?></button>
                       
                        <div class="info-bar d-none">
                            <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%"></div>
                            </div>
                        </div>
                    </div>
                </div>
                
            </form>
        </div>
    </div>
    <!-- end movie create from -->

    <!-- start movie priview from -->
    <div class="col-sm-5">
        <div class="eSection-wrap-2">
            <!-- trailer preview -->
            <h5 class="mb-3"> <?php echo e(get_phrase('Movie trailer preview')); ?> </h5>
            <div class="trailer-preview">
                <div class="trailer-video-box">
                    <i class="fa-solid fa-clapperboard"></i> 
                </div>                
            </div>

            <!-- url preview -->
            <h5 class="my-3 pt-4"> <?php echo e(get_phrase('Movie preview')); ?> </h5>
            <div class="url-preview url-box">
                <div class="trailer-video-box">
                    <i class="fa-solid fa-clapperboard"></i> 
                </div>               
            </div>
        </div>
    </div>
    <!-- end movie priview from -->
</div>
<!-- timepicker js -->
<script type="text/javascript" src="<?php echo e(asset('backend/js/daterangepicker.js')); ?>"></script>

<!-- Nice Select Js -->
<script src="<?php echo e(asset('frontend/js/jquery.nice-select.min.js')); ?>"></script>
<script>

$(function() {
        var formSubmissionBtn = $('.formSubmissionBtn');
        $('.ajaxFormSubmission').ajaxForm({
            beforeSend: function() {
                // var percentVal = '0%';
                $(formSubmissionBtn).attr('disabled', true);
            },
            uploadProgress: function(event, position, total, percentComplete) {
                var percentVal = percentComplete + '%';
                // $(".progress-bar").attr("aria-valuenow", percentComplete);
                $(formSubmissionBtn).html('Loading... '+percentComplete+'%');
                $(".progress").attr("aria-valuenow",percentComplete);
                $(".progress-bar").css("width", percentComplete+'%');
                $(".progress-bar").html(percentComplete+'%');

                console.log(percentComplete)
            },
            complete: function(xhr) {
                var response = xhr.responseText;
                console.log(response);
                toastr.success('Movie Create Successfully', 'Success');
                setTimeout(function(){
                    location.reload();
                }, 2000);
            },
            error: function()
            {
                //You can write here your js error message
            }
        });
    });

    $('#timepicket').timepicker({ 
         timeFormat: 'h:mm:ss'
    });
    // ajax trailer preview
    function trailer_preview(url){
        var value = $("#trailer").val();
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'POST',
            url: url,
            data: {
                trailer: value
            },
            success: function(result){
                $(".trailer-preview").html(result);
            }
        });
    }

    // ajax url preview
    function url_preview(url){
        var type = $("#source_type").val();
        if( type == 'drive_url'){
            var value = $("#drive-url").val();
        }else if( type == 'youtube_url' ){
            var value = $("#youtube-url").val();
        }
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'POST',
            url: url,
            data: {
                url: value,
                url_type: type
            },
            success: function(result){
                $(".url-preview").html(result);
            }
        });
    }

    // select and change movie url field
    function movie_source_type(){
        var value = $("#source_type").val();
        if(value == 'local_file'){
            $(".local-file").removeClass('d-none');
            $(".drive-url").addClass('d-none');
            $(".youtube-url").addClass('d-none');
            $(".url-box").html("<div class='trailer-video-box'><p>Preview not Possiable</p></div>")
        }else if(value == 'youtube_url'){
            $(".local-file").addClass('d-none');
            $(".drive-url").addClass('d-none');
            $(".youtube-url").removeClass('d-none');
        }else if(value == 'drive_url'){
            $(".local-file").addClass('d-none');
            $(".drive-url").removeClass('d-none');
            $(".youtube-url").addClass('d-none');
        }
    };    
</script>









<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctmacademy/public_html/sites/demo.creativeitem.com.20gb/neoflex3/resources/views/admin/movie/create.blade.php ENDPATH**/ ?>