
<?php $__env->startSection('title', get_phrase('Software Information')); ?>
<?php $__env->startSection('content'); ?>

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
      <div class="col-12">
        <div class="d-flex justify-content-between align-items-center flex-wrap gr-15" >
          <div class="d-flex flex-column">
            <h4> <?php echo e(get_phrase('Software Information')); ?> </h4>
            <ul class="d-flex align-items-center eBreadcrumb-2">
              <li><a href="#"> <?php echo e(get_phrase('Dashboard')); ?> </a></li>
              <li><a href="#"> <?php echo e(get_phrase('Software')); ?> </a></li>
              <li><a href="#"> <?php echo e(get_phrase('Information')); ?> </a></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
</div>

<div class="row mt-4">
    <div class="w-50 m-auto">
        <div class="eSection-wrap-2">
            <h5> <?php echo e(get_phrase('Software Information')); ?> </h5>
            <table class="table table-bordered mt-3 about-table">
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Name')); ?> </td>
                  <td class="text-end"> <?php echo e(get_settings('site_name')); ?> </td>
                </tr>
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Version')); ?> </td>
                  <td class="text-end"> <?php echo e(get_settings('software_version')); ?> </td>
                </tr>
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('PHP version')); ?> </td>
                  <td class="text-end"> <?php echo e(phpversion()); ?> </td>
                </tr>
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Check update')); ?> </td>
                  <td class="text-end"> <a href="https://codecanyon.net/user/creativeitem/portfolio" target="_blank"><i class="fas fa-tags"></i> <?php echo e(get_phrase('Check')); ?></a> </td>
                </tr>
                
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Purchase code')); ?> </td>
                  <?php if($application_details['support_expiry_date'] == "invalid"): ?>
                    <td class="text-end"> <a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#enter-valid-purchase-code" class="status-invalid bg-success"><?php echo e(get_phrase('Enter valid purchase code')); ?></a> </td>
                  <?php else: ?>
                    <td class="text-end"> <?php echo e(get_settings('purchase_code')); ?> </td>
                  <?php endif; ?>
                </tr>
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Purchase code status')); ?> </td>
                  <td class="text-end"> <a href="javascript:void(0)" class="status-invalid <?php echo e(($application_details['product_license'] != 'invalid')?'bg-success':''); ?>"><?php echo e(($application_details['product_license'] == 'invalid')?get_phrase('Invalid'):get_phrase('Validated')); ?></a> </td>
                </tr>
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Support expiry date')); ?> </td>
                  <?php if($application_details['support_expiry_date'] == "invalid"): ?>
                    <td class="text-end"> <a href="javascript:void(0)" class="status-invalid"><?php echo e(ucfirst($application_details['support_expiry_date'])); ?></a> </td>
                  <?php else: ?>
                    <td class="text-end"> <a href="javascript:void(0)" class="status-invalid bg-success"><?php echo e(ucfirst($application_details['support_expiry_date'])); ?></a> </td>
                  <?php endif; ?>
                </tr>
                <tr>
                  <td> <i class="fas fa-arrow-alt-circle-right"></i> <?php echo e(get_phrase('Curl enable')); ?> </td>
                  <td class="text-end"> <a href="javascript:void(0)" class="status-invalid <?php echo e(($curl_enabled == 1)?'bg-success':''); ?>"><?php echo e(($curl_enabled == 1)?get_phrase('Enabled'):get_phrase('Disabled')); ?></a> </td>
                </tr>
            </table>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="enter-valid-purchase-code" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><?php echo e(get_phrase('Enter valid purchase code')); ?></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <form action="<?php echo e(route('enter-purchase-code')); ?>" method="post" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="modal-body">
          <div class="form-group">
            <label for="purchase-code" class="eForm-label"><?php echo e(get_phrase('Purchase code')); ?></label>
            <input type="text" class="eForm-control form-control" name="purchase_code" id="purchase-code" placeholder="<?php echo e(get_phrase('EX: - d38c2gf2-98d5-4111-8c6f-b4eb1473')); ?>">
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary"><?php echo e(get_phrase('Save')); ?></button>
        </div>
      </form>
    </div>
  </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctmacademy/public_html/sites/demo.creativeitem.com.20gb/neoflex3/resources/views/admin/setting/about.blade.php ENDPATH**/ ?>