
<?php $__env->startSection('title', get_phrase('Episode list')); ?>
<?php $__env->startSection('content'); ?>

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
  <div class="row">
    <div class="col-12">
      <div class="d-flex justify-content-between align-items-center flex-wrap gr-15" >
        <div class="d-flex flex-column">
          <h4><?php echo e(get_phrase('Episode list')); ?></h4>
          <ul class="d-flex align-items-center eBreadcrumb-2">
            <li><a href="#"><?php echo e(get_phrase('Dashboard')); ?></a></li>
            <li><a href="#"><?php echo e(get_phrase('Episode')); ?></a></li>
            <li><a href="#"><?php echo e(get_phrase('List')); ?></a></li>
          </ul>
        </div>
        <div class="export-btn-area">
        </div>
      </div>
    </div>
  </div>
</div>

<div class="row">
    <!-- start episode_list -->
    <div class="col-sm-7">
        <div class="eSection-wrap-2">
            <h5 class="mb-3"> <?php echo e(get_phrase('Episode list')); ?> </h5>
            <!-- Table -->
            <div class="table-responsive-wrap">
                <div class="table-responsive">
                    <table class="table eTable eTable-2 text-center">
                    <thead>
                        <tr>
                        <th scope="col"> <?php echo e(get_phrase('ID')); ?> </th>
                        <th scope="col"> <?php echo e(get_phrase('Thumbnail')); ?> </th>
                        <th scope="col"> <?php echo e(get_phrase('Title')); ?> </th>
                        <th scope="col"> <?php echo e(get_phrase('Video Quality')); ?> </th>
                        <th scope="col"> <?php echo e(get_phrase('Action')); ?> </th>
                        </tr>
                    </thead>
                    <tbody id="table-body">
                        <?php
                            $i = 1;
                        ?>
                        <?php if(!empty($episode) && $episode->count() != 0): ?>
                        <?php $__currentLoopData = $episode; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td scope="row">
                                <p class="row-number"> <?php echo e($episode->firstItem() + $key); ?> </p>
                            </td>
                            <td>
                                <img src="<?php echo e(get_image('storage/episode_thumbnail/'.$item->thumbnail)); ?>" alt="" width="50px" height="50px">
                            </td>
                            <td> <?php echo e($item->title); ?> </td>
                            <td> <?php echo e($item->quality); ?> </td>
                            <td>
                                <div class="adminTable-action">
                                    <button type="button" class="eBtn eBtn-black dropdown-toggle table-action-btn-2" data-bs-toggle="dropdown" aria-expanded="false">
                                    Actions
                                    </button>
                                    <ul class="dropdown-menu dropdown-menu-end eDropdown-menu-2 eDropdown-table-action">
                                        <li>
                                            <a class="dropdown-item" href="<?php echo e(route('episode-player', ['episode_id'=>$item->id, $item->season])); ?>" target="_blank"> <?php echo e(get_phrase('View')); ?> </a>
                                        </li>
                                        <li>
                                            <a class="dropdown-item" href="javascript:;" onclick="show_ajax_modal('<?php echo e(route('edit/episode', ['id'=>$item->id])); ?>')"> <?php echo e(get_phrase('Edit')); ?> </a>
                                        </li>
                                        <li>
                                            <a class="dropdown-item confirmation" href="<?php echo e(route('delete/episode', ['id'=>$item->id])); ?>"> <?php echo e(get_phrase('Delete')); ?> </a>
                                        </li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <tr>
                            <td colspan="10" class="empty-table"> <?php echo e(get_phrase('There are no data.')); ?> </td>
                        </tr>
                        <?php endif; ?>           
                    </tbody>
                    </table>        
                </div>
            </div>
            <!-- Data info and Pagination -->
            <div class="admin-tInfo-pagi d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15" >
                <p class="admin-tInfo"></p>
                <div class="admin-pagi">
                <nav aria-label="Page navigation example">
                    <?php echo e($episode->links()); ?>

                </nav>
                </div>
            </div>
            </div>
    </div>
    <!-- end episode list -->

    <!-- start episode create from -->
    <div class="col-sm-5">
        <div class="eSection-wrap-2">
            <h5 class="mb-3"> <?php echo e(get_phrase('Create Episode')); ?> </h5>
            <form class="ajaxFormSubmission" action="<?php echo e(route('store/episode')); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <!-- episode title -->
                <div class="form-group">
                    <label for="title" class="eForm-label"> <?php echo e(get_phrase('Title')); ?> <sup>*</sup></label>
                    <input type="text" name="title" id="title" class="eForm-control form-control" placeholder="Title" required>
                    <input type="hidden" name="season_id" value="<?php echo e($season_id); ?>">
                </div>
                
                <!-- movie trailer -->
                <div class="form-group">
                    <label for="source_type" class="eForm-label"> <?php echo e(get_phrase('select movie source')); ?> <sup>*</sup> </label>
                    <select name="source_type" id="source_type" onchange="movie_source_type()" class="eForm-control form-control" required>
                        <option value=""><?php echo e(get_phrase('select video source')); ?></option>
                        <option value="local_file"><?php echo e(get_phrase('Local storage')); ?></option>
                        <option value="youtube_url"><?php echo e(get_phrase('Youtube URL')); ?></option>
                        <option value="drive_url"><?php echo e(get_phrase('Google drive')); ?></option>
                    </select>
                </div>

                <!-- local file movie -->
                <div class="form-group local-file d-none efile">
                    <label for="local-file" class="eForm-label"> <?php echo e(get_phrase('Local video file')); ?> <sup>*</sup> </label>
                    <input type="file" name="local_file" id="local-file" class="form-control form-control eForm-control-file eForm-control-file-lg">
                </div>

                <!-- youtube movie url -->
                <div class="form-group youtube-url d-none">
                    <label for="youtube-url" class="eForm-label"> <?php echo e(get_phrase('Youtube movie url')); ?> <sup>*</sup> </label>
                    <input type="text" name="youtube_url" onkeyup="episode_url_preview('<?php echo e(route('series/trailer/preview')); ?>')" id="youtube-url" class="eForm-control form-control" placeholder="youtube hosted video">
                </div>

                <!-- drive video url -->
                <div class="form-group drive-url d-none">
                    <label for="drive-url" class="eForm-label"> <?php echo e(get_phrase('Drive video URL')); ?> <sup>*</sup> </label>
                    <input type="text" name="drive_url" onkeyup="episode_url_preview('<?php echo e(route('series/trailer/preview')); ?>')" id="drive-url" class="eForm-control form-control" placeholder="Google drive hosted video url">
                </div>

                <!-- episode Thumbnail -->
                <div class="form-group efile">
                    <label for="thumbnail" class="eForm-label"> <?php echo e(get_phrase('Poster')); ?> - <small> <?php echo e(get_phrase('(3024x1161) jpg, png')); ?> </small> <sup>*</sup> </label>
                    <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" required>
                </div>

                <!-- video duration -->
                <div class="form-group">
                    <label for="timepicker" class="eForm-label"> <?php echo e(get_phrase('Video Duration')); ?> <sup>*</sup> </label>
                    <input type="text" name="duration" class="eForm-control form-control" id="timepicket" placeholder="<?php echo e(get_phrase('00:00:00')); ?>" required>
                </div>

                <!-- video Quality -->
                <div class="form-group">
                    <label for="quality" class="eForm-label"> <?php echo e(get_phrase('Video Quality')); ?> <sup>*</sup> </label>
                    <select name="quality" id="quality" class="eForm-control form-control">
                        <option value="SD"><?php echo e(get_phrase('SD')); ?></option>
                        <option value="HD"><?php echo e(get_phrase('HD')); ?></option>
                        <option value="Ultra HD"><?php echo e(get_phrase('Ultra HD')); ?></option>
                        <option value="QHD"><?php echo e(get_phrase('QHD')); ?></option>
                        <option value="Blue-Ray"><?php echo e(get_phrase('Blue-Ray')); ?></option>
                        <option value="2K"><?php echo e(get_phrase('2K')); ?></option>
                        <option value="4K"><?php echo e(get_phrase('4K')); ?></option>
                        <option value="8K"><?php echo e(get_phrase('8K')); ?></option>
                    </select>
                </div>

                <!-- episode description -->
                <div class="form-group">
                    <label for="description" class="eForm-label"> <?php echo e(get_phrase('Description')); ?> <sup>*</sup></label>
                    <textarea name="description" id="description" class="eForm-control form-control" cols="30" rows="3" required><?php echo e(get_phrase('Write about this episode')); ?></textarea>
                </div>

                <div class="submit-action">
                    <button type="submit" id="submit-button" class="export_btn formSubmissionBtn "> <?php echo e(get_phrase('Save')); ?></button>
                   
                    <div class="info-bar d-none">
                        <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                            <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%"></div>
                          </div>
                    </div>
                </div>

            </form>
            <h5 class="my-3"> <?php echo e(get_phrase('Episode URL preview')); ?> </h5>
            <!-- start episode priview -->
            <!-- episode preview -->
            <div class="episode-url-preview">
                <div class="trailer-preview url-box">
                    <div class="trailer-video-box">
                        <i class="fa-solid fa-clapperboard"></i> 
                    </div>                
                </div>
            </div>
            <!-- end episode priview -->
        </div>
    </div>
    <!-- end episode create from -->
</div>

<!-- timepicker js -->
<script type="text/javascript" src="<?php echo e(asset('backend/js/daterangepicker.js')); ?>"></script>
<script>
    
    $('#timepicket').timepicker({ 
         timeFormat: 'h:mm:ss'
    });
    // ajax url preview
    function episode_url_preview(url){
        var type = $("#source_type").val();
        if( type == 'drive_url'){
            var value = $("#drive-url").val();
        }else if( type == 'youtube_url' ){
            var value = $("#youtube-url").val();
        }
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'POST',
            url: url,
            data: {
                url: value,
                url_type: type
            },
            success: function(result){
                $(".episode-url-preview").html(result);
            }
        });
    }
    // select and change movie url field
    function movie_source_type(){
        var value = $("#source_type").val();
        if(value == 'local_file'){
            $(".local-file").removeClass('d-none');
            $(".drive-url").addClass('d-none');
            $(".youtube-url").addClass('d-none');
            $(".url-box").html("<div class='trailer-video-box'><p>Preview not Possiable</p></div>")
        }else if(value == 'youtube_url'){
            $(".local-file").addClass('d-none');
            $(".drive-url").addClass('d-none');
            $(".youtube-url").removeClass('d-none');
        }else if(value == 'drive_url'){
            $(".local-file").addClass('d-none');
            $(".drive-url").removeClass('d-none');
            $(".youtube-url").addClass('d-none');
        }
    }

    $(function() {
        var formSubmissionBtn = $('.formSubmissionBtn');
        $('.ajaxFormSubmission').ajaxForm({
            beforeSend: function() {
                // var percentVal = '0%';
                $(formSubmissionBtn).attr('disabled', true);
            },
            uploadProgress: function(event, position, total, percentComplete) {
                var percentVal = percentComplete + '%';
                // $(".progress-bar").attr("aria-valuenow", percentComplete);
                $(formSubmissionBtn).html('Loading... '+percentComplete+'%');
                $(".progress").attr("aria-valuenow",percentComplete);
                $(".progress-bar").css("width", percentComplete+'%');
                $(".progress-bar").html(percentComplete+'%');

                console.log(percentComplete)
            },
            complete: function(xhr) {
                var response = xhr.responseText;
                console.log(response);
                toastr.success('Episode Create Successfully', 'Success');
                setTimeout(function(){
                    location.reload();
                }, 2000);
            },
            error: function()
            {
                //You can write here your js error message
            }
        });
    });
</script>
<?php echo $__env->make('admin.common.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctmacademy/public_html/sites/demo.creativeitem.com.20gb/neoflex3/resources/views/admin/series/edit_season.blade.php ENDPATH**/ ?>