<!DOCTYPE html>
<html lang="en">
  <head>
    <title><?php echo e(get_phrase('Admin')); ?> - <?php echo $__env->yieldContent('title'); ?> </title>
    <!-- all the meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta content="" name="description" />
    <meta content="" name="author" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- Favicons -->
    <link rel="icon" href="<?php echo e(asset('storage/setting/'.get_settings('site_favicon'))); ?>">
    <!-- Fontawasome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/font/flaticon_mycollection.css')); ?>">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('backend/vendors/bootstrap-5.1.3/css/bootstrap.min.css')); ?>"/>
    <!--Custom css-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('backend/css/swiper-bundle.min.css')); ?>"/>
    <!-- Datepicker css -->
    <link href="<?php echo e(asset('backend/css/tempusdominus-bootstrap-4.min.css')); ?>" rel="stylesheet">

    <!-- Select2 css -->
    <link rel="stylesheet" href="<?php echo e(asset('backend/css/select2.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('backend/css/select2-bootstrap-5-theme.min.css')); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('backend/vendors/bootstrap-icons-1.8.1/bootstrap-icons.css')); ?>"/>
    <!-- nice select Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/nice-select.css')); ?>">
     <!-- toster css -->
     <link rel="stylesheet" href="<?php echo e(asset('assets/sweetalert/toastr.min.css')); ?>" >
     <link rel="stylesheet" type="text/css" href="<?php echo e(asset('backend/css/custom.css')); ?>" />
     <link rel="stylesheet" type="text/css" href="<?php echo e(asset('backend/css/style.css')); ?>" />
    <!-- Jquery Js -->
    <script src="<?php echo e(asset('backend/js/jquery.min.js')); ?>"></script>
    <!-- sweetalert js -->
    <script src="<?php echo e(asset('assets/sweetalert/sweetalert.min.js')); ?>"></script>
  </head>

  <body>
    <?php
      $user = App\Models\User::where('email', get_user('email'))->first();
    ?>
    <div class="sidebar">
      <div class="logo-details">
        <div class="img_wrapper">
          <img src="<?php echo e(get_image('storage/setting/'.get_settings('light_logo'))); ?>" alt="" width="100%" height="50px">
        </div>
      </div>
      <div class="closeIcon">
        <span>close</span>
      </div>
      <ul class="nav-links">
        <!-- sidebar title -->
        
        <!-- start dashboard menu item -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('dashboard')); ?>" class="w-100 <?php echo e(request()->is('admin/dashboard')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M3.60967 0.772949H5.96261C7.69527 0.772949 9.09987 2.17755 9.09987 3.9102V6.26315C9.09987 7.9958 7.69527 9.4004 5.96261 9.4004H3.60967C1.87701 9.40044 0.472412 7.99584 0.472412 6.26315V3.9102C0.472412 2.17755 1.87701 0.772949 3.60967 0.772949Z"/>
                  <path d="M13.806 0.772949H16.1589C17.8916 0.772949 19.2962 2.17755 19.2962 3.9102V6.26315C19.2962 7.9958 17.8916 9.4004 16.1589 9.4004H13.806C12.0733 9.4004 10.6687 7.9958 10.6687 6.26315V3.9102C10.6687 2.17755 12.0733 0.772949 13.806 0.772949Z"/>
                  <path d="M3.60967 10.9688H5.96261C7.69527 10.9688 9.09987 12.3733 9.09987 14.106V16.459C9.09987 18.1916 7.69527 19.5962 5.96261 19.5962H3.60967C1.87701 19.5962 0.472412 18.1916 0.472412 16.459V14.106C0.472412 12.3733 1.87701 10.9688 3.60967 10.9688Z"/>
                  <path d="M13.806 10.9688H16.1589C17.8916 10.9688 19.2962 12.3733 19.2962 14.106V16.459C19.2962 18.1916 17.8916 19.5962 16.1589 19.5962H13.806C12.0733 19.5962 10.6687 18.1916 10.6687 16.459V14.106C10.6687 12.3733 12.0733 10.9688 13.806 10.9688Z"/>
                </svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Dashboard')); ?></span>
            </a>
          </div>
        </li>
        <!-- end dashboard menu item -->

        <!-- start genre -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/genre')); ?>" class="w-100 <?php echo e(request()->is('admin/list/genre')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 20 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M7.70368 9.19271C6.92358 8.20777 6.53731 6.96809 6.61988 5.71437C6.70246 4.46064 7.24797 3.28233 8.15052 2.40822L8.6695 1.88841C9.54367 0.986218 10.7219 0.440995 11.9754 0.358578C13.2289 0.27616 14.4684 0.662427 15.4532 1.4424C15.9799 1.87919 16.4088 2.42198 16.712 3.03546C17.0151 3.64894 17.1857 4.31937 17.2126 5.00313C17.2414 5.68394 17.1287 6.36333 16.8816 6.99837C16.6345 7.63341 16.2584 8.2103 15.777 8.69258L14.9571 9.51246C14.0331 10.4345 12.7813 10.9528 11.4759 10.9538C11.4054 10.9538 11.3349 10.9522 11.2644 10.9489C10.5809 10.9221 9.91074 10.752 9.2973 10.4494C8.68387 10.1469 8.14091 9.7187 7.70368 9.19271ZM15.4245 13.4618C14.8599 13.4605 14.3006 13.571 13.7789 13.787C13.2573 14.003 12.7836 14.3202 12.3852 14.7203C11.2276 15.8846 9.85045 16.8076 8.33362 17.436C6.81679 18.0644 5.19037 18.3856 3.54854 18.3811H2.60568C2.42376 18.3813 2.24584 18.3276 2.09447 18.2267C1.9431 18.1258 1.82509 17.9822 1.75538 17.8142C1.68567 17.6461 1.6674 17.4612 1.70288 17.2827C1.73837 17.1043 1.82601 16.9404 1.9547 16.8118L2.52862 16.2379C3.95214 16.1424 5.29246 15.5328 6.30005 14.5227L8.80396 12.0188C7.89462 11.6148 7.08913 11.0092 6.44845 10.2479C6.09039 9.81857 5.79198 9.34284 5.56134 8.8336L3.07957 11.3129C2.06916 12.3203 1.45955 13.6607 1.36439 15.0843L0.790475 15.6583C0.434196 16.0168 0.192067 16.4727 0.0946305 16.9687C-0.00280613 17.4646 0.0488142 17.9783 0.24298 18.445C0.437146 18.9116 0.76516 19.3103 1.18565 19.5908C1.60613 19.8712 2.10025 20.0209 2.60568 20.0208H3.54854C5.4057 20.0259 7.24542 19.6625 8.96122 18.9518C10.677 18.2411 12.2348 17.1972 13.5445 15.8804C13.9163 15.5087 14.39 15.2555 14.9056 15.1529C15.4213 15.0503 15.9558 15.1029 16.4416 15.304C16.9273 15.5051 17.3426 15.8458 17.6348 16.2829C17.927 16.7199 18.0831 17.2338 18.0833 17.7596V19.201C18.0833 19.4184 18.1697 19.6269 18.3235 19.7807C18.4772 19.9345 18.6858 20.0208 18.9032 20.0208C19.1207 20.0208 19.3292 19.9345 19.483 19.7807C19.6367 19.6269 19.7231 19.4184 19.7231 19.201V17.7596C19.7216 16.6201 19.2682 15.5277 18.4623 14.722C17.6565 13.9163 16.564 13.4631 15.4245 13.4618Z"/>
                  </svg>
                  
              </div>
              <span class="link_name"><?php echo e(get_phrase('Genre')); ?></span>
            </a>
          </div>
        </li>
        <!-- end genre -->

        <!-- start director -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/director')); ?>" class="w-100 <?php echo e(request()->is('admin/list/director')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 19 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M2.26914 15.9316H4.10191L8.75191 19.5259L4.34837 22.9039C4.27546 22.9598 4.21398 23.0299 4.16744 23.1102C4.12091 23.1905 4.09023 23.2795 4.07715 23.372C4.06408 23.4645 4.06887 23.5587 4.09125 23.6493C4.11364 23.7399 4.15317 23.8251 4.2076 23.9C4.31777 24.0509 4.48177 24.1507 4.66354 24.1774C4.75354 24.1906 4.84519 24.1855 4.93326 24.1623C5.02133 24.1391 5.1041 24.0983 5.17683 24.0423L9.90575 20.4162L14.5922 24.0423C14.7391 24.1555 14.9237 24.2041 15.1055 24.1774C15.2873 24.1507 15.4513 24.0509 15.5614 23.9C15.6716 23.749 15.7189 23.5593 15.6929 23.3725C15.667 23.1857 15.5699 23.0172 15.423 22.9039L11.0601 19.5316L15.7544 15.9316H17.4999C17.8671 15.9316 18.2193 15.7817 18.479 15.5148C18.7386 15.248 18.8845 14.8861 18.8845 14.5087C18.8845 14.1313 18.7386 13.7694 18.479 13.5025C18.2193 13.2357 17.8671 13.0858 17.4999 13.0858V0.896033C17.4999 0.707341 17.427 0.526378 17.2971 0.392953C17.1673 0.259528 16.9912 0.18457 16.8076 0.18457C16.624 0.18457 16.4479 0.259528 16.3181 0.392953C16.1882 0.526378 16.1153 0.707341 16.1153 0.896033V1.6075H3.65375V0.896033C3.65375 0.707341 3.58081 0.526378 3.45098 0.392953C3.32115 0.259528 3.14506 0.18457 2.96144 0.18457C2.77783 0.18457 2.60174 0.259528 2.47191 0.392953C2.34208 0.526378 2.26914 0.707341 2.26914 0.896033V13.0858C1.90191 13.0858 1.54973 13.2357 1.29007 13.5025C1.0304 13.7694 0.884521 14.1313 0.884521 14.5087C0.884521 14.8861 1.0304 15.248 1.29007 15.5148C1.54973 15.7817 1.90191 15.9316 2.26914 15.9316ZM9.90852 18.639L6.40544 15.9316H13.4384L9.90852 18.639ZM3.65375 8.76955H16.1153V13.0858H3.65375V8.76955Z"/>
                  </svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Director')); ?></span>
            </a>
          </div>
        </li>
        <!-- end director -->

        <!-- start actor -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/actor')); ?>" class="w-100 <?php echo e(request()->is('admin/list/actor')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M17.2681 5.2627H12.9705V9.41337C12.9705 12.4334 10.9899 14.9995 8.25928 15.8814C9.06737 18.0453 11.1541 19.588 13.5949 19.588C16.7344 19.588 19.2883 17.0341 19.2883 13.8946V7.28294C19.2877 6.74731 19.0747 6.2338 18.696 5.85505C18.3172 5.47631 17.8037 5.26328 17.2681 5.2627ZM16.6591 15.2401C16.6267 15.3048 16.5819 15.3625 16.5272 15.4099C16.4725 15.4573 16.409 15.4935 16.3403 15.5163C16.2717 15.5392 16.1992 15.5483 16.127 15.5431C16.0548 15.5379 15.9844 15.5186 15.9197 15.4862C15.3114 15.184 14.6414 15.0267 13.9622 15.0267C13.283 15.0267 12.6131 15.184 12.0048 15.4862C11.94 15.5192 11.8693 15.5391 11.7968 15.5447C11.7243 15.5503 11.6515 15.5415 11.5824 15.5188C11.5133 15.4961 11.4494 15.4599 11.3944 15.4124C11.3393 15.3648 11.2943 15.3069 11.2617 15.2419C11.2292 15.1768 11.2099 15.106 11.2048 15.0334C11.1998 14.9609 11.2092 14.8881 11.2324 14.8192C11.2557 14.7503 11.2924 14.6867 11.3403 14.632C11.3883 14.5774 11.4466 14.5327 11.5119 14.5007C12.2733 14.1224 13.112 13.9255 13.9622 13.9255C14.8125 13.9255 15.6512 14.1224 16.4126 14.5007C16.4773 14.5331 16.5351 14.5778 16.5825 14.6325C16.6299 14.6872 16.6661 14.7507 16.689 14.8193C16.7119 14.888 16.7211 14.9605 16.7159 15.0327C16.7108 15.1049 16.6915 15.1754 16.6591 15.2401ZM16.3498 10.6226H15.2478C15.1017 10.6226 14.9616 10.5645 14.8582 10.4612C14.7549 10.3579 14.6969 10.2177 14.6969 10.0716C14.6969 9.92547 14.7549 9.78533 14.8582 9.682C14.9616 9.57868 15.1017 9.52063 15.2478 9.52063H16.3498C16.4959 9.52063 16.6361 9.57868 16.7394 9.682C16.8427 9.78533 16.9008 9.92547 16.9008 10.0716C16.9008 10.2177 16.8427 10.3579 16.7394 10.4612C16.6361 10.5645 16.4959 10.6226 16.3498 10.6226Z"/>
                  <path d="M11.869 9.41319V2.80149C11.8684 2.26587 11.6554 1.75235 11.2766 1.37361C10.8979 0.994867 10.3844 0.781833 9.84875 0.78125L2.50242 0.78125C1.9668 0.781833 1.45328 0.994867 1.07454 1.37361C0.695795 1.75235 0.482761 2.26587 0.482178 2.80149L0.482178 9.41319C0.482178 12.5526 3.03613 15.1066 6.17558 15.1066C9.31504 15.1066 11.869 12.5526 11.869 9.41319ZM3.23705 5.22284C3.23705 5.07671 3.2951 4.93657 3.39843 4.83324C3.50176 4.72991 3.6419 4.67186 3.78803 4.67186H4.88997C5.0361 4.67186 5.17624 4.72991 5.27957 4.83324C5.3829 4.93657 5.44095 5.07671 5.44095 5.22284C5.44095 5.36897 5.3829 5.50911 5.27957 5.61244C5.17624 5.71576 5.0361 5.77381 4.88997 5.77381H3.78803C3.6419 5.77381 3.50176 5.71576 3.39843 5.61244C3.2951 5.50911 3.23705 5.36897 3.23705 5.22284ZM8.62595 10.6375C7.86459 11.016 7.02587 11.213 6.17558 11.213C5.32529 11.213 4.48657 11.016 3.72521 10.6375C3.65993 10.6054 3.60163 10.5608 3.55367 10.5061C3.50571 10.4515 3.46905 10.3879 3.4458 10.319C3.42254 10.2501 3.41316 10.1772 3.41818 10.1047C3.42321 10.0322 3.44254 9.96133 3.47507 9.8963C3.5076 9.83126 3.55268 9.77331 3.60772 9.72578C3.66275 9.67825 3.72665 9.64209 3.79573 9.61937C3.8648 9.59666 3.93769 9.58784 4.01019 9.59343C4.0827 9.59902 4.15337 9.61891 4.21815 9.65194C4.82635 9.95436 5.49635 10.1117 6.17558 10.1117C6.85482 10.1117 7.52481 9.95436 8.13301 9.65194C8.19779 9.61891 8.26847 9.59902 8.34097 9.59343C8.41347 9.58784 8.48636 9.59666 8.55544 9.61937C8.62452 9.64209 8.68841 9.67825 8.74345 9.72578C8.79848 9.77331 8.84356 9.83126 8.87609 9.8963C8.90862 9.96133 8.92796 10.0322 8.93298 10.1047C8.938 10.1772 8.92862 10.2501 8.90537 10.319C8.88211 10.3879 8.84545 10.4515 8.79749 10.5061C8.74954 10.5608 8.69124 10.6054 8.62595 10.6375ZM8.56314 5.77381H7.46119C7.31506 5.77381 7.17492 5.71576 7.07159 5.61244C6.96826 5.50911 6.91021 5.36897 6.91021 5.22284C6.91021 5.07671 6.96826 4.93657 7.07159 4.83324C7.17492 4.72991 7.31506 4.67186 7.46119 4.67186H8.56314C8.63549 4.67186 8.70714 4.68612 8.77399 4.71381C8.84083 4.74149 8.90157 4.78208 8.95274 4.83324C9.0039 4.8844 9.04448 4.94514 9.07217 5.01199C9.09986 5.07884 9.11411 5.15048 9.11411 5.22284C9.11411 5.29519 9.09986 5.36684 9.07217 5.43369C9.04448 5.50054 9.0039 5.56127 8.95274 5.61244C8.90157 5.6636 8.84083 5.70419 8.77399 5.73187C8.70714 5.75956 8.63549 5.77381 8.56314 5.77381Z"/>
                  </svg>
                  
              </div>
              <span class="link_name"><?php echo e(get_phrase('Actor')); ?></span>
            </a>
          </div>
        </li>
        <!-- end actor -->

        <!-- start actor -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/category')); ?>" class="w-100 <?php echo e(request()->is('admin/list/category')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 19 19" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd" clip-rule="evenodd" d="M16.5671 1.89725L16.5867 1.9169L16.9741 2.3044L16.9939 2.32405C17.3388 2.66902 17.6267 2.95695 17.8427 3.21141C18.0681 3.47679 18.2551 3.75048 18.3619 4.07928C18.5258 4.58374 18.5258 5.12713 18.3619 5.63159C18.2551 5.96038 18.0681 6.23406 17.8427 6.49945C17.6267 6.7539 17.3388 7.04184 16.9939 7.38681L16.9741 7.40646L16.5867 7.79396L16.5671 7.81361C16.2222 8.15862 15.9341 8.44653 15.6797 8.66253C15.4142 8.88785 15.1406 9.07481 14.8118 9.18167C14.3074 9.34562 13.7639 9.34562 13.2595 9.18167C12.9307 9.07481 12.6571 8.88785 12.3916 8.66253C12.1372 8.44653 11.8492 8.15855 11.5042 7.81361L11.4846 7.79396L11.0972 7.40646L11.0774 7.38681C10.7325 7.04184 10.4446 6.7539 10.2286 6.49945C10.0032 6.23406 9.81619 5.96038 9.70942 5.63159C9.54548 5.12713 9.54548 4.58374 9.70942 4.07928C9.81619 3.75048 10.0032 3.47679 10.2286 3.21141C10.4446 2.95695 10.7325 2.66902 11.0774 2.32405L11.0972 2.3044L11.4846 1.9169L11.5042 1.89725C11.8492 1.55226 12.1372 1.26432 12.3916 1.04831C12.6571 0.823004 12.9307 0.636015 13.2595 0.529181C13.7639 0.365273 14.3074 0.365273 14.8118 0.529181C15.1406 0.636015 15.4142 0.823004 15.6797 1.04831C15.9341 1.26432 16.2221 1.55226 16.5671 1.89725ZM3.68709 0.973687H3.71488H4.26289H4.29069C4.77855 0.973678 5.18576 0.973669 5.51843 1.00085C5.8654 1.0292 6.19114 1.09049 6.49919 1.24744C6.97179 1.48825 7.35601 1.87249 7.59686 2.3451C7.75377 2.65313 7.81506 2.97888 7.84346 3.32585C7.87059 3.65851 7.87059 4.06571 7.87059 4.55356V4.58139V5.12939V5.15719C7.87059 5.64504 7.87059 6.05228 7.84346 6.38494C7.81506 6.73191 7.75377 7.05765 7.59686 7.36569C7.35601 7.83829 6.97179 8.22257 6.49919 8.46333C6.19114 8.62034 5.8654 8.68162 5.51843 8.70993C5.18576 8.73715 4.77855 8.73715 4.29068 8.73706H4.26289H3.71488H3.68709C3.19923 8.73715 2.79201 8.73715 2.45934 8.70993C2.11238 8.68162 1.78662 8.62034 1.47859 8.46333C1.00598 8.22257 0.621746 7.83829 0.380934 7.36569C0.223985 7.05765 0.162691 6.73191 0.134341 6.38494C0.10716 6.05228 0.107169 5.64508 0.107178 5.15722V5.12939V4.58139V4.5536C0.107169 4.06575 0.10716 3.65851 0.134341 3.32585C0.162691 2.97888 0.223985 2.65313 0.380934 2.3451C0.621746 1.87249 1.00598 1.48825 1.47859 1.24744C1.78662 1.09049 2.11238 1.0292 2.45934 1.00085C2.792 0.973669 3.19922 0.973678 3.68709 0.973687ZM3.71488 11.0204H3.68709C3.19922 11.0204 2.792 11.0204 2.45934 11.0476C2.11238 11.0759 1.78662 11.1372 1.47859 11.2942C1.00598 11.535 0.621746 11.9192 0.380934 12.3919C0.223985 12.6999 0.162691 13.0257 0.134341 13.3726C0.10716 13.7053 0.107169 14.1124 0.107178 14.6004V14.6281V15.1761V15.204C0.107169 15.6918 0.10716 16.0991 0.134341 16.4317C0.162691 16.7787 0.223985 17.1045 0.380934 17.4124C0.621746 17.8851 1.00598 18.2693 1.47859 18.5101C1.78662 18.6671 2.11238 18.7284 2.45934 18.7567C2.79199 18.7839 3.19918 18.7839 3.68701 18.7838H3.71488H4.26289H4.29068C4.77851 18.7839 5.18578 18.7839 5.51843 18.7567C5.8654 18.7284 6.19114 18.6671 6.49919 18.5101C6.97179 18.2693 7.35601 17.8851 7.59686 17.4124C7.75377 17.1045 7.81506 16.7787 7.84346 16.4317C7.87059 16.0991 7.87059 15.6918 7.87059 15.204V15.1761V14.6281V14.6004C7.87059 14.1124 7.87059 13.7053 7.84346 13.3726C7.81506 13.0257 7.75377 12.6999 7.59686 12.3919C7.35601 11.9192 6.97179 11.535 6.49919 11.2942C6.19114 11.1372 5.8654 11.0759 5.51843 11.0476C5.18576 11.0204 4.77855 11.0204 4.29069 11.0204H4.26289H3.71488ZM13.7339 11.0204H13.7616H14.3097H14.3374C14.8253 11.0204 15.2325 11.0204 15.5652 11.0476C15.9122 11.0759 16.2379 11.1372 16.546 11.2942C17.0185 11.535 17.4028 11.9192 17.6436 12.3919C17.8005 12.6999 17.8618 13.0257 17.8902 13.3726C17.9174 13.7053 17.9174 14.1125 17.9174 14.6004V14.6281V15.1761V15.204C17.9174 15.6918 17.9174 16.0991 17.8902 16.4317C17.8618 16.7787 17.8005 17.1045 17.6436 17.4124C17.4028 17.8851 17.0185 18.2693 16.546 18.5101C16.2379 18.6671 15.9122 18.7284 15.5652 18.7567C15.2326 18.7839 14.8253 18.7839 14.3375 18.7838H14.3097H13.7616H13.7339C13.2461 18.7839 12.8387 18.7839 12.5061 18.7567C12.1591 18.7284 11.8334 18.6671 11.5253 18.5101C11.0528 18.2693 10.6685 17.8851 10.4277 17.4124C10.2708 17.1045 10.2095 16.7787 10.1811 16.4317C10.1539 16.0991 10.1539 15.6918 10.1539 15.204V15.1761V14.6281V14.6004C10.1539 14.1125 10.1539 13.7053 10.1811 13.3726C10.2095 13.0257 10.2708 12.6999 10.4277 12.3919C10.6685 11.9192 11.0528 11.535 11.5253 11.2942C11.8334 11.1372 12.1591 11.0759 12.5061 11.0476C12.8388 11.0204 13.246 11.0204 13.7339 11.0204Z"/>
                  </svg>
                  
              </div>
              <span class="link_name"><?php echo e(get_phrase('Category')); ?></span>
            </a>
          </div>
        </li>
        <!-- end actor -->

        <!-- start user -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/users')); ?>" class="w-100 <?php echo e(request()->is('admin/list/users')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 22 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path opacity="0.7" fill-rule="evenodd" clip-rule="evenodd" d="M14.9058 4.54176C14.9092 5.07839 14.8065 5.61039 14.6034 6.10713C14.4004 6.60387 14.1011 7.05554 13.7228 7.43612C13.3444 7.8167 12.8945 8.11867 12.399 8.32464C11.9035 8.53062 11.3721 8.63652 10.8355 8.63625C10.2987 8.63665 9.76725 8.53084 9.27161 8.32492C8.77596 8.11901 8.32596 7.81706 7.94753 7.43647C7.56909 7.05587 7.26971 6.60416 7.06661 6.10736C6.86352 5.61055 6.76073 5.07847 6.76418 4.54176C6.76073 4.00502 6.86355 3.47291 7.06672 2.9761C7.26989 2.47928 7.56938 2.02759 7.94793 1.64706C8.32648 1.26653 8.7766 0.964694 9.27235 0.758942C9.7681 0.553191 10.2997 0.447596 10.8364 0.448245C11.3731 0.447724 11.9046 0.553413 12.4002 0.759222C12.8958 0.965031 13.3458 1.26689 13.7243 1.64741C14.1027 2.02792 14.4021 2.47957 14.6052 2.97632C14.8084 3.47307 14.9111 4.00511 14.9077 4.54176H14.9058ZM10.8364 15.921C7.51848 15.921 4.68599 15.395 4.68599 13.2907C4.68599 11.1854 7.5001 10.6409 10.8364 10.6409C14.1544 10.6409 16.9878 11.167 16.9878 13.2713C16.9878 15.3756 14.1727 15.921 10.8364 15.921ZM16.6465 4.61623C16.6501 5.73235 16.3186 6.82385 15.6949 7.74947C15.6804 7.77082 15.6715 7.79551 15.6691 7.82122C15.6667 7.84693 15.6709 7.87282 15.6812 7.89648C15.6916 7.92014 15.7077 7.9408 15.7282 7.95652C15.7487 7.97225 15.7728 7.98252 15.7984 7.98639C15.9528 8.01233 16.1089 8.02719 16.2654 8.03088C17.8543 8.07343 19.2807 7.04449 19.6743 5.49624C20.2584 3.19563 18.5448 1.13098 16.3621 1.13098C16.1252 1.13098 15.898 1.15613 15.6775 1.20158C15.6475 1.20835 15.6156 1.22188 15.5982 1.24993C15.5769 1.28281 15.5924 1.32729 15.6136 1.3563C16.2882 2.30888 16.6493 3.448 16.6465 4.61526V4.61623ZM19.2778 9.64779C20.3454 9.85763 21.0475 10.286 21.3386 10.9088C21.46 11.1607 21.523 11.4367 21.523 11.7163C21.523 11.9959 21.46 12.2719 21.3386 12.5238C20.8937 13.4889 19.4586 13.7993 18.9016 13.8796C18.7856 13.897 18.6937 13.7964 18.7053 13.6804C18.9906 11.0046 16.7248 9.73482 16.1388 9.44374C16.1136 9.4302 16.1078 9.41086 16.1097 9.39829C16.1126 9.38958 16.1223 9.37604 16.1417 9.37314C17.4104 9.34993 18.774 9.524 19.2778 9.64779ZM5.50605 8.02991C5.66464 8.02604 5.82034 8.01154 5.97313 7.98543C5.99857 7.98142 6.02259 7.97104 6.04295 7.95526C6.06331 7.93948 6.07935 7.91881 6.08957 7.89517C6.0998 7.87153 6.10389 7.84569 6.10145 7.82004C6.09902 7.7944 6.09014 7.76979 6.07564 7.7485C5.45196 6.82289 5.12046 5.73138 5.12406 4.61526C5.12406 3.40645 5.50121 2.27887 6.15687 1.35437C6.17815 1.32536 6.19265 1.28184 6.17234 1.248C6.1559 1.22188 6.12302 1.20738 6.09305 1.19964C5.86713 1.15323 5.63708 1.1299 5.40644 1.13001C3.22574 1.13001 1.51213 3.19466 2.09623 5.49528C2.48982 7.04255 3.91622 8.0715 5.50508 8.02991H5.50605ZM5.65981 9.39732C5.66271 9.40989 5.65691 9.42923 5.63273 9.44277C5.04573 9.73482 2.77993 11.0036 3.06425 13.6784C3.07682 13.7955 2.98495 13.8951 2.86987 13.8786C2.31188 13.7984 0.877748 13.4879 0.432905 12.5228C0.311083 12.2711 0.247803 11.995 0.247803 11.7153C0.247803 11.4357 0.311083 11.1596 0.432905 10.9079C0.72302 10.2851 1.4251 9.85667 2.49272 9.64585C2.99752 9.52304 4.35913 9.34897 5.62983 9.37218C5.64917 9.37508 5.65981 9.38862 5.65981 9.39732Z"/>
                  </svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Users')); ?></span>
            </a>
          </div>
        </li>
        <!-- end user -->

        <!-- start movie -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/movie')); ?>" class="w-100 <?php echo e(request()->is('admin/list/movie')||request()->is('admin/edit/movie*')?'active-menu':(request()->is('admin/create/movie')?'active-menu':'')); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M13.742 0.549805H15.3795C15.867 0.549805 16.3332 0.639294 16.7642 0.802573L12.307 5.25977H9.03202L13.742 0.549805ZM19.3044 5.25977V4.47477C19.3044 3.37578 18.8499 2.38041 18.1191 1.66764L14.527 5.25977H19.3044ZM8.7243 0.549805L3.9484 5.25977H6.81206L11.522 0.549805H8.7243ZM1.71274 5.25977L6.48864 0.549805H4.38957C2.22534 0.549805 0.4646 2.31055 0.4646 4.47477V5.25977H1.71274ZM19.3044 6.82975V13.8947C19.3044 16.0589 17.5437 17.8197 15.3795 17.8197H4.38957C2.22534 17.8197 0.4646 16.0589 0.4646 13.8947V6.82975H19.3044ZM12.2764 11.6967L8.63874 9.74993C8.15047 9.45713 7.52954 9.8088 7.52954 10.3779V14.2723C7.52954 14.8414 8.15047 15.1931 8.63874 14.9003L12.2764 12.9535C12.7505 12.6693 12.7505 11.9817 12.2764 11.6975V11.6967Z"/>
                  </svg>                  
              </div>
              <span class="link_name"><?php echo e(get_phrase('Movie')); ?></span>
            </a>
          </div>
        </li>
        <!-- end movie -->

        <!-- start series -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/series')); ?>" class="w-100 <?php echo e(request()->is('admin/list/series')||request()->is('admin/edit/series*')||request()->is('admin/edit/season*')?'active-menu':(request()->is('admin/create/series')?'active-menu':'')); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 19 19" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M15.1539 0.151367H4.61515C3.61729 0.152562 2.66064 0.549492 1.95504 1.25509C1.24944 1.96069 0.852514 2.91734 0.851318 3.9152V14.4539C0.852514 15.4518 1.24944 16.4085 1.95504 17.1141C2.66064 17.8196 3.61729 18.2166 4.61515 18.2178H15.1539C16.1518 18.2166 17.1084 17.8196 17.814 17.1141C18.5196 16.4085 18.9165 15.4518 18.9177 14.4539V3.9152C18.9165 2.91734 18.5196 1.96069 17.814 1.25509C17.1084 0.549492 16.1518 0.152562 15.1539 0.151367ZM15.9067 8.4318H17.4122V9.93734H15.9067V8.4318ZM15.9067 6.92627V5.42074H17.4122V6.92627H15.9067ZM3.86239 9.93734H2.35685V8.4318H3.86239V9.93734ZM5.32953 9.93734V8.4318H14.3627V9.93734H5.32953ZM3.86239 6.92627H2.35685V5.42074H3.86239V6.92627ZM2.35685 11.4429H3.86239V12.9484H2.35685V11.4429ZM15.9067 11.4429H17.4122V12.9484H15.9067V11.4429ZM17.4122 3.9152H15.9067V1.79541C16.3455 1.95054 16.7256 2.23746 16.9951 2.61691C17.2646 2.99635 17.4103 3.4498 17.4122 3.9152ZM3.86239 1.79541V3.9152H2.35685C2.35878 3.4498 2.50446 2.99635 2.77395 2.61691C3.04344 2.23746 3.42359 1.95054 3.86239 1.79541ZM2.35685 14.4539H3.86239V16.5737C3.42359 16.4186 3.04344 16.1317 2.77395 15.7522C2.50446 15.3728 2.35878 14.9193 2.35685 14.4539ZM15.9067 16.5737V14.4539H17.4122C17.4103 14.9193 17.2646 15.3728 16.9951 15.7522C16.7256 16.1317 16.3455 16.4186 15.9067 16.5737Z"/>
                  </svg>
                  
              </div>
              <span class="link_name"><?php echo e(get_phrase('Series')); ?></span>
            </a>
          </div>
        </li>
        <!-- end series -->

        <!-- start newsletter -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('admin/newsletter')); ?>" class="w-100 <?php echo e(request()->is('admin/newsletter')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg id="Icon_1_" enable-background="new 0 0 100 100" height="48" viewBox="0 0 100 100" width="48" xmlns="http://www.w3.org/2000/svg"><path id="Newsletter_1_" d="m82 66v3c0 7.18-5.82 13-13 13h-24.182c3.203-3.402 5.182-7.97 5.182-13v-5h30c1.105 0 2 .895 2 2zm-14-43v35h-21c-1.657 0-3 1.343-3 3v8c0 7.168-5.832 13-13 13s-13-5.832-13-13v-46c0-2.757 2.243-5 5-5h40c2.757 0 5 2.243 5 5zm-12 19h-26v6h26zm0-12h-26v6h26z"/></svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Newsletter')); ?></span>
            </a>
          </div>
        </li>
        <!-- end newsletter -->
        <!-- start package -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('list/package')); ?>" class="w-100 <?php echo e(request()->is('admin/list/package')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg id="Layer_1" height="48" viewBox="0 0 512 512" width="48" xmlns="http://www.w3.org/2000/svg" data-name="Layer 1"><path d="m448.28 73.9c-16.11-8.51-32.79-16.7-49.66-24.46-66.62 21.56-144.73 49.95-223.47 85.21a44.44 44.44 0 0 0 -26.43 38.68c-1.23 38-1.61 77.22-1.11 116a5.32 5.32 0 0 1 -9.61 3.33q-12.48-16-24.42-31.64a4 4 0 0 0 -5.31-1.09q-9.27 5.49-18.21 10.86c-3.34 2-7.45-.67-7.47-4.78-.2-38.63.77-77.36 2.83-114.9.87-15.83 10.8-30.74 25.5-38 75.51-37.26 156.08-67.73 224.83-90.28-16-6.26-31.91-12-47.44-17.44a99.49 99.49 0 0 0 -64.62 0c-51.82 17.87-108.41 41.21-159.96 68.51-31.33 16.43-50 49.68-50.83 82.8q-3.08 99.3 0 198.6c.8 33.12 19.5 66.37 50.83 82.8 51.55 27.3 108.14 50.64 160 68.51a99.49 99.49 0 0 0 64.62 0c51.82-17.86 108.41-41.21 160-68.51 31.31-16.43 50-49.68 50.82-82.8q3.07-99.3 0-198.6c-.86-33.12-19.57-66.37-50.89-82.8z"/></svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Package')); ?></span>
            </a>
          </div>
        </li>
        <!-- end newslater -->
        <!-- start package -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('admin/subscription-history')); ?>" class="w-100 <?php echo e(request()->is('admin/subscription-history')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg height="48" viewBox="0 0 512 512" width="48" xmlns="http://www.w3.org/2000/svg"><g id="diamond"><path d="m248.58 404.87a140.8 140.8 0 0 1 217.18-118.24c.15-10.43.23-21.56.23-33.57 0-61.75-2.1-100.29-6.25-140.21h.59a119.41 119.41 0 0 0 -77.65-99.85c-1.11-.42-2.22-.82-3.34-1.2a119.37 119.37 0 0 0 -25.58-5.57l-.83-.09c-33.21-3.41-38.54-6.14-108.57-6.14s-81.36 2.73-114.54 6.19l-.83.09a119.16 119.16 0 0 0 -26.81 6v-.45a119.48 119.48 0 0 0 -80.38 100.78c-4.16 40-6.28 78.58-6.28 140.45s2.12 100.45 6.28 140.45a119.59 119.59 0 0 0 106.58 106.57l.83.09c33.21 3.46 38.53 6.19 108.56 6.19 23.2 0 40-.3 53.19-.83a140.36 140.36 0 0 1 -42.38-100.66zm-117-271.72h218.31a23.82 23.82 0 0 1 0 47.64h-218.26a23.82 23.82 0 0 1 0-47.64zm0 149.57a23.83 23.83 0 0 1 0-47.65h124.51a23.83 23.83 0 1 1 0 47.65z"/><path d="m389.35 297.74a107.13 107.13 0 1 0 107.13 107.13 107.13 107.13 0 0 0 -107.13-107.13zm42.46 122.81h-44.59a12.75 12.75 0 0 1 -12.75-12.75v-68.5a12.75 12.75 0 1 1 25.5 0v55.75h31.84a12.75 12.75 0 0 1 0 25.5z"/></g></svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Subscription History')); ?></span>
            </a>
          </div>
        </li>
        <!-- end newslater -->

        <!-- start setting -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="javascript:;" class="w-100 <?php echo e(request()->is('admin/web-setting')||request()->is('admin/edit/phrase*')?'active-menu':(request()->is('admin/faq')?'active-menu':(request()->is('admin/payment')?'active-menu':(request()->is('admin/language')?'active-menu':(request()->is('admin/home-page-setting')?'active-menu':(request()->is('admin/smtp-settings')?'active-menu':'')))))); ?>">
              <div class="sidebar_icon">
                <svg width="48" height="48" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M13.3772 2.10827C13.9272 2.09827 14.4482 2.29727 14.8372 2.67827C15.2282 3.04727 15.4372 3.55827 15.4372 4.09827C15.4372 5.19827 16.3472 6.08927 17.4782 6.08927C17.8272 6.08927 18.1772 5.98827 18.4882 5.81827C19.4572 5.29727 20.6672 5.62827 21.2172 6.55827L21.8982 7.72827C22.0682 8.02827 22.1672 8.36827 22.1672 8.71827C22.1672 9.42827 21.7782 10.0893 21.1482 10.4383C20.8372 10.6083 20.5772 10.8683 20.3982 11.1693C19.8672 12.1083 20.1982 13.2973 21.1482 13.8393C22.1072 14.3883 22.4372 15.5893 21.8982 16.5383L21.2172 17.6693C20.8572 18.2883 20.1872 18.6693 19.4672 18.6693C19.1072 18.6693 18.7472 18.5783 18.4482 18.3983C18.1272 18.2283 17.7782 18.1283 17.4272 18.1283C16.8872 18.1283 16.3672 18.3393 15.9882 18.7183C15.5972 19.0893 15.3872 19.5983 15.3872 20.1283C15.3872 21.2183 14.4782 22.1083 13.3472 22.1083H11.9782C11.4372 22.1083 10.9272 21.8883 10.5572 21.5183C10.1772 21.1383 9.97821 20.6383 9.97821 20.1183C9.97821 19.0183 9.07721 18.1283 7.94821 18.1283C7.57721 18.1283 7.21721 18.2283 6.90721 18.4193C6.43721 18.6783 5.87721 18.7483 5.35721 18.6183C4.83721 18.4783 4.38721 18.1383 4.11721 17.6883L3.47821 16.5583C3.17721 16.0893 3.08721 15.5283 3.22821 14.9983C3.36721 14.4683 3.72821 14.0183 4.21721 13.7483C4.52821 13.5783 4.78721 13.3283 4.96721 13.0183C5.48821 12.0783 5.15721 10.8983 4.21721 10.3483C3.26721 9.80827 2.93721 8.61827 3.47821 7.67827L4.11721 6.55827C4.38721 6.08927 4.83721 5.74827 5.36721 5.60827C5.89821 5.46827 6.45721 5.54727 6.92721 5.81827C7.24721 5.98827 7.59721 6.07827 7.94821 6.07827C8.48821 6.07827 9.00721 5.86827 9.38721 5.49827C9.76721 5.12827 9.97821 4.61827 9.97821 4.09827C9.97821 2.99827 10.8872 2.10827 12.0172 2.10827H13.3772ZM13.7782 9.58927C12.7282 9.15827 11.5172 9.38827 10.7072 10.1783C9.90721 10.9583 9.65721 12.1483 10.0972 13.1693C10.5282 14.1983 11.5472 14.8683 12.6872 14.8683H12.6982C13.4482 14.8783 14.1482 14.5893 14.6772 14.0683C15.2072 13.5583 15.5072 12.8583 15.5072 12.1283C15.5172 11.0183 14.8272 10.0083 13.7782 9.58927Z"/>
                  </svg>
                  
              </div>
              <span class="link_name"><?php echo e(get_phrase('Settings')); ?></span>
            </a>
            <span class="arrow">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="4.743"
                height="7.773"
                viewBox="0 0 4.743 7.773"
              >
                <path
                  id="navigate_before_FILL0_wght600_GRAD0_opsz24"
                  d="M1.466.247,4.5,3.277a.793.793,0,0,1,.189.288.92.92,0,0,1,0,.643A.793.793,0,0,1,4.5,4.5l-3.03,3.03a.828.828,0,0,1-.609.247.828.828,0,0,1-.609-.247.875.875,0,0,1,0-1.219L2.668,3.886.247,1.466A.828.828,0,0,1,0,.856.828.828,0,0,1,.247.247.828.828,0,0,1,.856,0,.828.828,0,0,1,1.466.247Z"
                  fill="#fff"
                  opacity="1"
                />
              </svg>
            </span>
          </div>
          <ul class="sub-menu <?php echo e(request()->is('admin/web-setting')||request()->is('admin/edit/phrase*')?'d-block':(request()->is('admin/faq')?'d-block':(request()->is('admin/payment')?'d-block':(request()->is('admin/language')?'d-block':(request()->is('admin/smtp-settings')?'d-block':''))))); ?>">
            <!-- web setting page -->
            <li><a href="<?php echo e(route('admin/web-setting')); ?>" class="w-100 <?php echo e(request()->is('admin/web-setting')?'active-submenu':''); ?>"> <?php echo e(get_phrase('Web settings')); ?></a></li>
            <!-- payment setting page -->
            <li><a href="<?php echo e(route('admin/payment')); ?>" class="w-100 <?php echo e(request()->is('admin/payment')?'active-submenu':''); ?>"> <?php echo e(get_phrase('Payment settings')); ?></a></li>
            <!-- SMTP setting page -->
            <li><a href="<?php echo e(route('admin/smtp-settings')); ?>" class="w-100 <?php echo e(request()->is('admin/smtp-settings')?'active-submenu':''); ?>"> <?php echo e(get_phrase('SMTP settings')); ?></a></li>
            <!-- language setting page -->
            <li><a href="<?php echo e(route('admin/language')); ?>" class="w-100 <?php echo e(request()->is('admin/language')||request()->is('admin/edit/phrase*')?'active-submenu':''); ?>"> <?php echo e(get_phrase('Language sttings')); ?></a></li>
            <!-- customer faq -->
            <li><a href="<?php echo e(route('admin/faq')); ?>" class="w-100 <?php echo e(request()->is('admin/faq')?'active-submenu':''); ?>"> <?php echo e(get_phrase('Customer FAQ')); ?></a></li>
          </ul>
        </li>
        <!-- end setting -->

        <!-- start account -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('account')); ?>" class="w-100 <?php echo e(request()->is('admin/account')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg id="Capa_1" enable-background="new 0 0 512 512" height="48" viewBox="0 0 512 512" width="48" xmlns="http://www.w3.org/2000/svg"><g><path d="m497 391h-482c-8.284 0-15 6.716-15 15v10c0 30.376 24.624 55 55 55h402c30.376 0 55-24.624 55-55v-10c0-8.284-6.716-15-15-15z"/><circle cx="256" cy="136" r="20"/><path d="m256 186c-23.123 0-42.229 17.532-44.724 40h89.448c-2.495-22.468-21.601-40-44.724-40z"/><path d="m56.168 361h399.664c13.729 0 25.101-11.001 25.167-24.73 0-.09.001-.18.001-.27v-240c0-30.376-24.624-55-55-55h-340c-30.376 0-55 24.624-55 55v240c0 .09 0 .18.001.27.066 13.729 11.438 24.73 25.167 24.73zm124.832-130c0-27.019 14.366-50.741 35.857-63.945-6.787-8.537-10.857-19.327-10.857-31.055 0-27.57 22.43-50 50-50s50 22.43 50 50c0 11.728-4.07 22.518-10.857 31.055 21.491 13.204 35.857 36.926 35.857 63.945v10c0 8.284-6.716 15-15 15h-120c-8.284 0-15-6.716-15-15zm-25 55h200c8.284 0 15 6.716 15 15s-6.716 15-15 15h-200c-8.284 0-15-6.716-15-15s6.716-15 15-15z"/></g></svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('Account')); ?></span>
            </a>
          </div>
        </li>
        <!-- end account -->

        <!-- start about -->
        <li class="nav-links-li">
          <div class="iocn-link">
            <a href="<?php echo e(route('about')); ?>" class="w-100 <?php echo e(request()->is('admin/about')?'active-menu':''); ?>">
              <div class="sidebar_icon">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  viewBox="0 0 24 24"
                  width="48px"
                  height="48px"
                >
                  <path
                    d="M 6 2 C 4.9057453 2 4 2.9057453 4 4 L 4 20 C 4 21.094255 4.9057453 22 6 22 L 18 22 C 19.094255 22 20 21.094255 20 20 L 20 8 L 14 2 L 6 2 z M 6 4 L 13 4 L 13 9 L 18 9 L 18 20 L 6 20 L 6 4 z M 8 12 L 8 14 L 16 14 L 16 12 L 8 12 z M 8 16 L 8 18 L 16 18 L 16 16 L 8 16 z"
                  />
                </svg>
              </div>
              <span class="link_name"><?php echo e(get_phrase('About')); ?></span>
            </a>
          </div>
        </li>
        <!-- end about -->
      

      </ul>
    </div>
    <section class="home-section">
      <div class="home-content">
        <div class="home-header">
          <div class="row w-100 justify-content-between align-items-center">
            <div class="col-auto">
              <div class="sidebar_menu_icon">
                <div class="menuList">
                  <svg xmlns="http://www.w3.org/2000/svg" width="15" height="12" viewBox="0 0 15 12">
                    <path id="Union_5" data-name="Union 5" d="M-2188.5,52.5v-2h15v2Zm0-5v-2h15v2Zm0-5v-2h15v2Z" transform="translate(2188.5 -40.5)" fill="#6e6f78" />
                  </svg>
                </div>
                <a href="<?php echo e(route('home')); ?>" class="btn" target="_blank"> <?php echo e(get_phrase('Visit Webstie')); ?></a>
              </div>
            </div>
            <div class="col-auto d-xl-block d-none">
              <div class="header_notification d-flex">
                
              </div>
            </div>
            <div class="col-auto">
              <div class="header-menu">
                <ul>
                  <li class="user-profile">
                    <div class="btn-group">
                      <button class="btn btn-secondary dropdown-toggle" type="button" id="defaultDropdown" data-bs-toggle="dropdown" data-bs-auto-close="true" aria-expanded="false" >
                        <div class="">
                          <img src="<?php echo e(get_image('storage/user-image/'.$user->image)); ?>" height="42px" />
                        </div>
                        <div class="px-2 text-start">
                          <span class="user-name"> <?php echo e($user->name); ?> </span>
                          <span class="user-title"> <?php echo e(get_phrase('Admin')); ?> </span>
                        </div>
                      </button>
                      <ul class="dropdown-menu dropdown-menu-end eDropdown-menu" aria-labelledby="defaultDropdown">
                        <li class="user-profile user-profile-inner">
                          <button class="btn w-100 d-flex align-items-center" type="button">
                            <div class="">
                              <img class="radious-5px" src="<?php echo e(get_image('storage/user-image/'.$user->image)); ?>" height="42px"/>
                            </div>
                            <div class="px-2 text-start">
                              <span class="user-name"> <?php echo e($user->name); ?> </span>
                              <span class="user-title"> <?php echo e(get_phrase('Admin')); ?> </span>
                            </div>
                          </button>
                        </li>
                        <li>
                          <a class="dropdown-item" href="<?php echo e(route('account')); ?>">
                            <i class="fas fa-user"></i> <?php echo e(get_phrase('My account')); ?>

                          </a>
                        </li>
                        <li>
                          <a class="dropdown-item" target="_blank" href="/">
                            <i class="fas fa-arrow-right"></i> <?php echo e(get_phrase('View website')); ?>

                          </a>
                        </li>
                        
                        <!-- Logout Button -->
                        <li>
                          <a class="btn eLogut_btn" href="<?php echo e(route('admin/logout')); ?>">
                            <span>
                              <svg
                                xmlns="http://www.w3.org/2000/svg"
                                width="14.046"
                                height="12.29"
                                viewBox="0 0 14.046 12.29"
                              >
                                <path
                                  id="Logout"
                                  d="M4.389,42.535H2.634a.878.878,0,0,1-.878-.878V34.634a.878.878,0,0,1,.878-.878H4.389a.878.878,0,0,0,0-1.756H2.634A2.634,2.634,0,0,0,0,34.634v7.023A2.634,2.634,0,0,0,2.634,44.29H4.389a.878.878,0,1,0,0-1.756Zm9.4-5.009-3.512-3.512a.878.878,0,0,0-1.241,1.241l2.015,2.012H5.267a.878.878,0,0,0,0,1.756H11.05L9.037,41.036a.878.878,0,1,0,1.241,1.241l3.512-3.512A.879.879,0,0,0,13.788,37.525Z"
                                  transform="translate(0 -32)"
                                  fill="#fff"
                                />
                              </svg>
                            </span>
                            <?php echo e(get_phrase('Log out')); ?>

                          </a>
                        </li>
                      </ul>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
        <div class="main_content">
          <!-- start genarel error massage -->
          <?php if($errors->any()): ?>        
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <i class="fas fa-exclamation-triangle"></i><?php echo e($errors->first()); ?>

                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          <?php endif; ?>
          <!-- end genarel error massage -->
          <!-- start sweet alert -->      
          <?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
          <!-- end sweet alert -->
          <!-- Start Admin area -->
          <?php echo $__env->yieldContent('content'); ?>
          <!-- End Admin area -->

          <!-- Start Footer -->
          <div class="copyright-text">
            <p><?php echo e(get_phrase('2023')); ?> &copy; <span><?php echo e(get_phrase('By Creativeitem')); ?></span></p>
          </div>
          <!-- End Footer -->
        </div>
      </div>
    </section>

   <!--Bootstrap bundle with popper-->
   <script src="<?php echo e(asset('backend/vendors/bootstrap-5.1.3/js/bootstrap.bundle.min.js')); ?>"></script>
   <script src="<?php echo e(asset('backend/js/swiper-bundle.min.js')); ?>"></script>
   <!-- Nice Select Js -->
  <script src="<?php echo e(asset('frontend/js/jquery.nice-select.min.js')); ?>"></script>
   <!-- Select2 js -->
   <script src="<?php echo e(asset('backend/js/select2.min.js')); ?>"></script>
   <!-- jquery from submission -->
   <script src="<?php echo e(asset('backend/js/jquery.form.min.js')); ?>"></script>
   <!--sweetalert toaster-->
   <script src="<?php echo e(asset('assets/sweetalert/sweetalert.min.js')); ?>"></script>
   <script src="<?php echo e(asset('assets/sweetalert/toastr.min.js')); ?>"></script>
   <!--Custom Script-->
   <script src="<?php echo e(asset('backend/js/script.js')); ?>"></script>
   <script src="<?php echo e(asset('backend/js/custom.js')); ?>"></script>
   
  </body>
</html>
<?php /**PATH G:\Laravel\Neoflex_3\resources\views/layouts/admin.blade.php ENDPATH**/ ?>