<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e(get_settings('site_name')); ?> - <?php echo e(get_phrase('Invoice')); ?></title>
    <!-- Favicons -->
    <link rel="icon" href="<?php echo e(asset('storage/setting/'.get_settings('site_favicon'))); ?>">
    <!-- Fontawasome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/font/flaticon_mycollection.css')); ?>">
    <!-- Owl Carousel Css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/owl.theme.default.min.css')); ?>">
    <!-- Nice Select Css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/nice-select.css')); ?>">
    <!-- Bootstarp Css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
    <!-- Main Css -->
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/style.css')); ?>">
    <!-- Responsive Css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/responsive.css')); ?>">
    <style>
        body{
            background-color: var(--color-1);
        }
    </style>
</head>
<body>
    <!-- Invoice Area Start -->
    <section class="bannar-area invoice-area">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-6">
                    <div class="invoice-left">
                        <a href="#"><img src="<?php echo e(get_image('storage/setting/'.get_settings('site_logo'))); ?>" alt="image"></a>
                        <div class="invoice-left-text">
                            <h5>#NEO<?php echo e($subscription->paid_amount.$subscription->id); ?></h5>
                            <p><?php echo e(get_phrase('Address :')); ?> <?php echo e(get_settings('invoice_address')); ?></p>
                            <p class="mb-30"><?php echo e(get_phrase('Invoice for your subscription')); ?></p>
                            <div class="invoice-bottom">
                                <span><?php echo e(get_phrase('Subscription & payment invoice')); ?></span>
                                <p><?php echo e(get_phrase('Payment Method :')); ?> <?php echo e(ucfirst($subscription->payment_method)); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
               
                <div class="col-lg-6 col-md-6 col-sm-6 col-6 text-right">
                    <div class="invoice-right">
                        <h3><?php echo e(get_phrase('INVOICE')); ?></h3>
                        <div class="invoice-right-text">
                            <div class="mb-20">
                                <p><?php echo e(get_phrase('Your Plan')); ?></p>
                                <span><?php echo e($plan->name); ?></span>
                            </div>
                            <div class="mb-20">
                                <p><?php echo e(get_phrase('Payment Date')); ?></p>
                                <span><?php echo e(get_date($subscription->timestamp_from)); ?></span>
                            </div>
                            <div class="mb-20">
                                <p><?php echo e(get_phrase("Service Period")); ?></p>
                                <span><?php echo e(get_date($subscription->timestamp_to)); ?></span>
                            </div>
                          
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="invoice-table">
                        <table class="table">
                            <thead>
                                <tr>
                                <th class="w-ten" >#</th>
                                <th class="w-fourty"><?php echo e(get_phrase('Invoice Title')); ?></th>
                                <th class="w-thirty"><?php echo e(get_phrase('Paid Amount')); ?></th>
                                <th class="w-twenty"><?php echo e(get_phrase('Total Amount')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                <td>1</td>
                                <td>
                                    <div class="in-des">
                                        <p><?php echo e($plan->name); ?></p>
                                    </div>
                                </td>
                                <td class="text-right"><p><?php echo e(get_price($subscription->paid_amount)); ?></p></td>
                                <td class="text-right"><p><?php echo e(get_price($subscription->paid_amount)); ?></p></td>
                                </tr>
                            </tbody>
                            </table>
                        </div>
                        <div class="row">
                        <div class="col-xl-8 col-lg-8 col-md-8  col-sm-8">
                        </div>
                        <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4">
                            <ul class="list-unstyled">
                                <li><p><?php echo e(get_phrase('Subtotal')); ?></p> <p><?php echo e(get_price($subscription->paid_amount)); ?></p></li>
                            </ul>
                            <div class="grand-text">
                                <p><?php echo e(get_phrase('Grand Total')); ?></p> 
                                <p><?php echo e(get_price($subscription->paid_amount)); ?></p>
                            </div>
                        </div>
                        </div>
                        <div class="invoice-group-btn d-flex justify-content-end">
                        <a href="#" class="invoice-btn" id="invoice-btn"><i class="fa-solid fa-print"></i><?php echo e(get_phrase('Print Invoice')); ?></a>
                        </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Invoice Area End -->
<!-- Jquery Js -->
<script src="<?php echo e(asset('assets/js/jquery-3.6.3.min.js')); ?>"></script>
<!-- Bootstarp Js -->
<script src="<?php echo e(asset('assets/js/bootstrap.bundle.min.js')); ?>"></script>
<!-- Nice Select Js -->
<script src="<?php echo e(asset('assets/js/jquery.nice-select.min.js')); ?>"></script>
<!-- Owl Carousel Js -->
<script src="<?php echo e(asset('assets/js/owl.carousel.min.js')); ?>"></script>
<!-- Main Js -->
<script src="<?php echo e(asset('assets/js/script.js')); ?>"></script>

<script>
    $('.invoice-btn').click(function() {
        window.print();
    });
</script>

</body>
</html><?php /**PATH /home/ctmacademy/public_html/sites/demo.creativeitem.com/neoflex3/resources/views/frontend/invoice.blade.php ENDPATH**/ ?>