<?php

namespace App\Models\payment_gateway;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Razorpay\Api\Api;
use DB;

class Razorpay extends Model
{
    public static function payment_status($identifier, $transaction_keys = [])
    {
        if (!empty($transaction_keys)) {
            array_shift($transaction_keys);
            session(['keys' => $transaction_keys]);
            return true;
        }
        return false;
    }

    public static function payment_create($identifier)
    {
        $payment_details = session('payment_details');
        $user = DB::table('users')->where('id', get_user('id'))->first();
        $model = $payment_details['success_method']['model_name'];
    
        $payment_gateway = DB::table('payment_geteways')
            ->where('identifier', $identifier)
            ->first();
        $keys = json_decode($payment_gateway->keys, true);
    
        $public_key = $keys['public_key'];
        $secret_key = $keys['secret_key'];
        $description = 'By Movie.';
        $color = '';
    
        $receipt_id = Str::random(20);
        $api = new Api($public_key, $secret_key);
    
        $order = $api->order->create(array(
            'receipt' => $receipt_id,
            'amount' => $payment_details['payable_amount'] * 100, // Amount in paise
            'currency' => 'USD',
        ));
    
        $page_data = [
            'order_id' => $order['id'],
            'razorpay_id' => $public_key,
            'amount' => $payment_details['payable_amount'] * 100,
            'name' => $user->name,
            'currency' => 'USD',
            'email' => $user->email,
            'phone' => $user->phone,
            'address' => $user->address,
            'description' => $description,
        ];
    
        return [
            'page_data' => $page_data,
            'color' => null,
            'payment_details' => $payment_details,
        ];
    }
}
