@extends('layouts.admin') @section('title', get_phrase('Movie Create')) @section('content')
<style>
    .input-group-text {
        font-size: 1rem;
        padding: 11px;
    }
    .datetimepicker-input {
        font-size: 12px;
    }
</style>
<!-- Datepicker js -->
<script src="{{asset('backend/js/moment.min.js')}}"></script>
<script src="{{asset('backend/js/tempusdominus-bootstrap-4.js')}}"></script>
<script src="{{asset('assets/sweetalert/sweetalert2.min.js')}}"></script>
<script src="{{asset('assets/sweetalert/sweetalert2.all.min.js')}}"></script>

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{ get_phrase('Movie Create') }}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);"> {{ get_phrase('Dashboard') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Movie') }} </a></li>
                        <li><a href="javascript:void(0);"> {{ get_phrase('Create') }} </a></li>
                    </ul>
                </div>
                <div class="export-btn-area">
                    <a href="{{ route('list/movie') }}" class="export_btn"> {{ get_phrase('Go Back')}} </a>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <!-- start movie create from -->
    <div class="col-sm-7">
        <div class="eSection-wrap-2">
            
            <form class="ajaxFormSubmission" action="{{ route('store/movie') }}" method="post" enctype="multipart/form-data">
                @csrf
                <!-- movie title -->
                <div class="form-group">
                    <label for="title" class="eForm-label"> {{ get_phrase('Movie Title') }} <sup>*</sup> </label>
                    <input type="text" name="title" id="title" class="eForm-control form-control" placeholder="{{get_phrase('Title')}}" required />
                </div>

                <!-- movie trailer -->
                <div class="form-group">
                    <label for="trailer" class="eForm-label"> {{ get_phrase('Movie Trailer') }} <sup>*</sup> <small>EX: https://youtu.be/HurjfO_TDlQ </small> </label>
                    <input type="text" name="trailer" onchange="trailer_preview('{{route('trailer/preview')}}')" id="trailer" class="eForm-control form-control" placeholder="{{get_phrase('Youtube hosted video')}}" required />
                </div>

                <!-- movie trailer -->
                <div class="form-group">
                    <label for="source_type" class="eForm-label"> {{ get_phrase('Select Movie Source') }} <sup>*</sup> </label>
                    <select name="source_type" id="source_type" onchange="movie_source_type()" class="eForm-control form-control nice-control" required>
                        <option value="">{{ get_phrase('select video source') }}</option>
                        <option value="local_file">{{ get_phrase('Local Storage') }}</option>
                        <option value="youtube_url">{{ get_phrase('Youtube URL') }}</option>
                        <option value="drive_url">{{ get_phrase('Google Drive') }}</option>
                    </select>
                </div>

                <!-- local file movie -->
                <div class="form-group local-file d-none efile">
                    <label for="local-file" class="eForm-label"> {{ get_phrase('Local Video File') }} <sup>*</sup> </label>
                    <input type="file" name="local_file" id="local-file" onchange="url_preview('{{route('url/preview')}}')" class="form-control form-control eForm-control-file eForm-control-file-lg" />
                </div>

                <!-- youtube movie url -->
                <div class="form-group youtube-url d-none">
                    <label for="youtube-url" class="eForm-label"> {{ get_phrase('Youtube Movie URL') }} <sup>*</sup> <small>EX: https://youtu.be/HurjfO_TDlQ</small> </label>
                    <input type="text" name="youtube_url" onchange="url_preview('{{route('url/preview')}}')" id="youtube-url" class="eForm-control form-control" placeholder="{{get_phrase('youtube hosted video URL')}}" />
                </div>

                <!-- drive video url -->
                <div class="form-group drive-url d-none">
                    <label for="drive-url" class="eForm-label"> {{ get_phrase('Drive Video URL') }} <sup>*</sup> </label>
                    <input type="text" name="drive_url" onchange="url_preview('{{route('url/preview')}}')" id="drive-url" class="eForm-control form-control" placeholder="{{get_phrase('Drive hosted video URL')}}" />
                </div>

                <!-- movie Thumbnail -->
                <div class="form-group efile">
                    <label for="thumbnail" class="eForm-label"> {{ get_phrase('Thumbnail') }} - <small> {{ get_phrase('(532x780) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" required />
                </div>

                <!-- movie poster -->
                <div class="form-group efile">
                    <label for="poster" class="eForm-label"> {{ get_phrase('Poster') }} - <small> {{ get_phrase('(3024x1161) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="poster" id="poster" class="form-control form-control eForm-control-file eForm-control-file-lg" required />
                </div>

                <!-- movie quality -->
                <div class="form-group">
                    <label for="quality" class="eForm-label"> {{ get_phrase('Video Quality') }} <sup>*</sup> </label>
                    <select name="quality" class="eForm-control form-control nice-control">
                        <option value="SD">{{get_phrase('SD')}}</option>
                        <option value="HD">{{get_phrase('HD')}}</option>
                        <option value="Ultra HD">{{get_phrase('Ultra HD')}}</option>
                        <option value="QHD">{{get_phrase('QHD')}}</option>
                        <option value="Blue-Ray">{{get_phrase('Blue-Ray')}}</option>
                        <option value="2K">{{get_phrase('2K')}}</option>
                        <option value="4K">{{get_phrase('4K')}}</option>
                        <option value="8K">{{get_phrase('8K')}}</option>
                    </select>
                </div>

                <!-- movie duration -->
                <div class="form-group">
                    <label for="timepicker" class="eForm-label"> {{ get_phrase('Duration') }} <sup>*</sup> </label>
                    <div class="input-group date" id="timePicker" data-target-input="nearest">
                        <input type="text" name="duration" class="form-control datetimepicker-input" data-target="#timePicker" id="inputHour"/>
                        <div class="input-group-append" data-target="#timePicker" data-toggle="datetimepicker">
                          <div class="input-group-text"><i class="fa-regular fa-clock"></i></div>
                        </div>
                    </div>                   
                </div>

                <!-- movie short description -->
                <div class="form-group">
                    <label for="short_description" class="eForm-label"> {{ get_phrase('Short Description') }} <sup>*</sup> </label>
                    <textarea name="short_description" id="short_description" cols="30" rows="3" class="eForm-control form-control" required> {{ get_phrase('Write short description') }} </textarea>
                </div>

                <!-- movie long description -->
                <div class="form-group">
                    <label for="long_description" class="eForm-label"> {{ get_phrase('Long Description') }} <sup>*</sup> </label>
                    <textarea name="long_description" id="long_description" cols="30" rows="3" class="eForm-control form-control" required> {{ get_phrase('Write long description') }} </textarea>
                </div>

                <!-- movie director -->
                <div class="form-group">
                    <label for="director" class="eForm-label"> {{ get_phrase('Director') }} <sup>*</sup> </label>
                    <select name="director" id="director" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select single director') }} </option>
                        @foreach ($director as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- movie actors -->
                <div class="form-group">
                    <label for="multiple-actor-select" class="eForm-label"> {{ get_phrase('Actors') }} <sup>*</sup> </label>
                    <select name="actor[]" id="multiple-actor-select" data-placeholder=" {{ get_phrase('select multiple actors') }} " class="eForm-control form-control" required multiple>
                        @foreach ($actor as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- movie genre -->
                <div class="form-group">
                    <label for="genre" class="eForm-label"> {{ get_phrase('Genre') }} <sup>*</sup> </label>
                    <select name="genre" id="genre" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select single genre') }} </option>
                        @foreach ($genre as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- movie category -->
                <div class="form-group">
                    <label for="category" class="eForm-label"> {{ get_phrase('Category') }} <sup>*</sup> </label>
                    <select name="category" id="category" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select single category') }} </option>
                        @foreach ($category as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- movie publishing year -->
                <div class="form-group">
                    <label for="year" class="eForm-label"> {{ get_phrase('Year') }} <sup>*</sup> </label>
                    <select name="year" id="year" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select publishing year') }} </option>
                        @for( $i=1950; $i<=date('Y'); $i++ )
                        <option value="{{ $i }}">{{ $i }}</option>
                        @endfor
                    </select>
                </div>

                <!-- movie publishing year -->
                <div class="form-group">
                    <label for="country" class="eForm-label"> {{ get_phrase('Country') }} <sup>*</sup> </label>
                    <select name="country" id="country" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select country') }} </option>
                        @foreach ($country as $item)
                        <option value="{{ $item->id }}"> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- movie star rating -->
                <div class="form-group">
                    <label for="rating" class="eForm-label"> {{ get_phrase('Rating') }} <sup>*</sup> </label>
                    <select name="rating" id="rating" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select movie rating') }} </option>
                        <option value="0"> {{ get_phrase('0 Star') }} </option>
                        <option value="1"> {{ get_phrase('1 Star') }} </option>
                        <option value="2"> {{ get_phrase('2 Stars') }} </option>
                        <option value="3"> {{ get_phrase('3 Stars') }} </option>
                        <option value="4"> {{ get_phrase('4 Stars') }} </option>
                        <option value="5"> {{ get_phrase('5 Stars') }} </option>
                    </select>
                </div>

                <!-- trending movie -->
                <div class="form-group">
                    <label for="trending" class="eForm-label"> {{ get_phrase('Trending') }} </label>
                    <select name="is_trending" id="trending" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select featured movie') }} </option>
                        <option value="yes"> {{ get_phrase('Yes') }} </option>
                        <option value="no"> {{ get_phrase('No') }} </option>
                    </select>
                </div>

                <!-- movie featured -->
                <div class="form-group">
                    <label for="featured" class="eForm-label"> {{ get_phrase('Featured') }} <sup>*</sup> </label>
                    <select name="featured" id="featured" class="eForm-control form-control nice-control" required>
                        <option value=""> {{ get_phrase('select featured movie') }} </option>
                        <option value="yes"> {{ get_phrase('Yes') }} </option>
                        <option value="no"> {{ get_phrase('No') }} </option>
                    </select>
                </div>

                <!-- Content Type -->
                <div class="form-group">
                    <label for="content_type" class="eForm-label"> {{ get_phrase('Content Type') }} <sup>*</sup> </label>
                    <select name="content_type" id="content_type" class="eForm-control form-control nice-control" required>
                        <option value="premium"> {{ get_phrase('Premium') }} </option>
                        <option value="free"> {{ get_phrase('Free') }} </option>
                    </select>
                </div>

                <div class="submit-action d-block pt-5">
                    <div class="d-flex align-items-center">
                        <button type="submit" id="submit-button" class="export_btn formSubmissionBtn">{{ get_phrase('Save') }}</button>

                        <div class="info-bar d-none">
                            <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%;"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- end movie create from -->

    <!-- start movie priview from -->
    <div class="col-sm-5">
        <div class="eSection-wrap-2">
            <!-- trailer preview -->
            <h5 class="mb-3">{{ get_phrase('Movie trailer preview') }}</h5>
            <div class="trailer-preview">
                <div class="trailer-video-box">
                    <i class="fa-solid fa-clapperboard"></i>
                </div>
            </div>

            <!-- url preview -->
            <h5 class="my-3 pt-4">{{ get_phrase('Movie preview') }}</h5>
            <div class="url-preview url-box">
                <div class="trailer-video-box">
                    <i class="fa-solid fa-clapperboard"></i>
                </div>
            </div>
        </div>
    </div>
    <!-- end movie priview from -->
</div>

<!-- Nice Select Js -->
<script src="{{asset('frontend/js/jquery.nice-select.min.js')}}"></script>
<script>

    "use strict";
    
    $('#timePicker').datetimepicker({
        format: 'HH:mm:ss',
        icons: {
            time: 'fa fa-clock',
        },
    });
    $(function () {
        const Toast = Swal.mixin({
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: 3000,
            timerProgressBar: true,
            didOpen: (toast) => {
                toast.onmouseenter = Swal.stopTimer;
                toast.onmouseleave = Swal.resumeTimer;
            }
        });
        var formSubmissionBtn = $(".formSubmissionBtn");
        $(".ajaxFormSubmission").ajaxForm({
            beforeSend: function () {
                $(formSubmissionBtn).attr("disabled", true);
            },
            uploadProgress: function (event, position, total, percentComplete) {
                var percentVal = percentComplete + "%";
                // $(".progress-bar").attr("aria-valuenow", percentComplete);
                $(formSubmissionBtn).html("Loading... " + percentComplete + "%");
                $(".progress").attr("aria-valuenow", percentComplete);
                $(".progress-bar").css("width", percentComplete + "%");
                $(".progress-bar").html(percentComplete + "%");

                console.log(percentComplete);
            },
            complete: function (xhr) {
                var response = xhr.responseText;
                console.log(response);
                Toast.fire({
                    icon: "success",
                    title: "{{get_phrase('Movie Create Successfully')}}"
                });
                setTimeout(function () {
                    location.reload();
                }, 2000);
            },
            error: function () {
                //You can write here your js error message
            },
        });
    });
    // ajax trailer preview
    function trailer_preview(url) {
        var value = $("#trailer").val();
        $.ajax({
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            type: "POST",
            url: url,
            data: {
                trailer: value,
            },
            success: function (result) {
                $(".trailer-preview").html(result);
            },
        });
    }
//     function trailer_preview(url) {
//     var value = $("#trailer").val();
//     $.ajax({
//         headers: {
//             "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
//         },
//         type: "POST",
//         url: url,
//         data: {
//             trailer: value,
//         },
//         success: function (result) {
//             $(".trailer-preview").html(result);
//         },
//     });
// }


    // ajax url preview
    function url_preview(url) {
        var type = $("#source_type").val();
        if (type == "drive_url") {
            var value = $("#drive-url").val();
        } else if (type == "youtube_url") {
            var value = $("#youtube-url").val();
        }
        $.ajax({
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            type: "POST",
            url: url,
            data: {
                url: value,
                url_type: type,
            },
            success: function (result) {
                $(".url-preview").html(result);
            },
        });
    }

//     function url_preview(url) {
//     var type = $("#source_type").val();
//     var value = type == "drive_url" ? $("#drive-url").val() : $("#youtube-url").val();
    
//     $.ajax({
//         headers: {
//             "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
//         },
//         type: "POST",
//         url: url,
//         data: {
//             url: value,
//             url_type: type,
//         },
//         success: function (result) {
//             $(".url-preview").html(result);
//         },
//     });
// }


    // select and change movie url field
    function movie_source_type() {
        var value = $("#source_type").val();
        if (value == "local_file") {
            $(".local-file").removeClass("d-none");
            $(".drive-url").addClass("d-none");
            $(".youtube-url").addClass("d-none");
            $(".url-box").html("<div class='trailer-video-box'><p>Preview not Possiable</p></div>");
        } else if (value == "youtube_url") {
            $(".local-file").addClass("d-none");
            $(".drive-url").addClass("d-none");
            $(".youtube-url").removeClass("d-none");
        } else if (value == "drive_url") {
            $(".local-file").addClass("d-none");
            $(".drive-url").removeClass("d-none");
            $(".youtube-url").addClass("d-none");
        }
    }
</script>

@endsection
