<style>
    .nav-tabs {
        gap: 20px;
    }
    .nav-tabs .nav-link{
        color: #6c6c6c !important;
    }
    .eDevided{
        gap: 20px;
    }
</style>

<!-- start modal header -->
<div class="modal-header">
    <h5 class="modal-title" id="ModalLabel">{{get_phrase('Add Package')}}</h5>
    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
</div>
<!-- end modal header -->

<!-- Start package add from -->
<div class="modal-body">
    <form action="{{route('store/package')}}" method="POST" enctype="multipart/form-data">
        @csrf
         <div class="row mb-3">
            <div class="col-lg-12">
                <div class="form-group mb-3">
                    <!-- package name -->
                    <label class="eForm-label"> {{get_phrase("Name")}} </label> <sup>*</sup>
                    <input type="text" name="name" class="eForm-control form-control" placeholder="{{get_phrase('Name')}}" required />
                </div>
                 <div class="mt-2 form-check " id="checks">
                    <input type="checkbox" class="form-check-input" name="free" value="free" id="free">
                    <label class="form-check-label" for="free">{{get_phrase("Check if this is a free package")}}</label>
                  </div>
                
                <div class="form-group price">
                    <!-- package price -->
                    <label class="eForm-label"> {{get_phrase("Price")}} </label>
                    <input type="number" name="price" class="eForm-control form-control" placeholder="{{get_phrase('00.00')}}" />
                </div>
    
                <div class="form-group ">
                    <!-- user number of package -->
                    <label class="eForm-label"> {{get_phrase("Number of user")}} </label>
                    <select name="user_number" class="eForm-control form-control">
                        <option value="1"> {{get_phrase('One User') }} </option>
                        <option value="2"> {{get_phrase('Two Users') }} </option>
                        <option value="3"> {{get_phrase('Three Users') }} </option>
                        <option value="4"> {{get_phrase('Four Users') }} </option>
                    </select>
                </div>
    
                <div class="form-group">
                    <!-- number of screen -->
                    <label class="eForm-label"> {{get_phrase("Number of Screen")}} </label>
                    <select name="screen_number" class="eForm-control form-control">
                        <option value="1"> {{get_phrase('One Screens') }} </option>
                        <option value="2"> {{get_phrase('Two Screens') }} </option>
                        <option value="3"> {{get_phrase('Three Screens') }} </option>
                        <option value="4"> {{get_phrase('Four Screens') }} </option>
                    </select>
                </div>

                <label class="eForm-label mt-2"> {{get_phrase("Access Limit")}} </label>
                <div class="eDevided d-flex mb-2">
                    <div class=" form-check ">
                        <input type="radio" class="form-check-input" name="full_access" value="unlimited" id="unlimited">
                        <label class="form-check-label" for="unlimited">{{get_phrase("Unlimited Movie And Series")}}</label>
                      </div>
                    <div class="form-check">
                        <input type="radio" class="form-check-input" name="full_access" value="limited" id="limited">
                        <label class="form-check-label" for="limited">{{get_phrase("Limited Movie And Series")}}</label>
                      </div>
                 </div>
                 <div class="eMovie" id="eMovie">
                    <div class="form-group">
                        <label class="eForm-label"> {{get_phrase("Enter Number Of Movie")}} </label>
                        <input type="number" name="movie" class="eForm-control form-control" placeholder="{{get_phrase('Enter number of movie')}}" />
                    </div>  
                    <div class="form-group">
                        <label class="eForm-label"> {{get_phrase("Enter Number Of Series")}} </label>
                        <input type="number" name="series" class="eForm-control form-control" placeholder="{{get_phrase('Enter number of Series')}}" />
                    </div>  
                 </div>
                <div class="form-group">
                    <label class="eForm-label"> {{ get_phrase("Services")}} </label>
                    <div class="row">
                        <div class="col-sm-10" id="inputContainer">
                            <input type="text" name="services[]" class="eForm-control form-control" placeholder="{{get_phrase('Write service')}}" />
                        </div>
                        <div class="col-sm-2 p-0">
                            <a href="javascript:void(0)" onclick="appendInput()" class="btn btn-primary"> <i class="fas fa-plus"></i></a>
                            <a href="javascript:void(0)" onclick="removeInput()" class="btn btn-danger"> <i class="fas fa-minus"></i></a>
                        </div>
                    </div>
                </div>
                
                <div class="form-group">
                    <!-- package status -->
                    <label class="eForm-label"> {{get_phrase("Status")}} </label>
                    <select name="status" class="eForm-control form-control">
                        <option value="Active"> {{get_phrase('Active')}} </option>
                        <option value="Deactive"> {{get_phrase('Deactive')}} </option>
                    </select>
                </div>  
             </div>    
         </div>   
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{get_phrase('Close')}}</button>
        <button type="submit" class="btn btn-primary">{{get_phrase('Save')}}</button>
    </form>
</div>
<!-- end package add from -->

<script>
    "use strict";
    function appendInput() {
      var container = document.getElementById('inputContainer');
      var newInput = document.createElement('input');
      newInput.setAttribute('type', 'text');
      newInput.setAttribute('placeholder', '{{get_phrase('Write service')}}');
      newInput.setAttribute('class', 'eForm-control mt-2');
      newInput.setAttribute('name', 'services[]');
      container.appendChild(newInput);
    }

    function removeInput() {
      var container = document.getElementById('inputContainer');
      var inputs = container.getElementsByTagName('input');
      if (inputs.length > 0) {
        container.removeChild(inputs[inputs.length - 1]);
      }
    }
</script>

<script>
    "use strict";
    $(document).ready(function(){
        $("#free").click(function(){
            $('.price').slideToggle(this.checked);
        });
    });
</script>

<script>
    "use strict";
    $(document).ready(function(){
        $('#eMovie').hide();
        
        $("#unlimited").click(function(){
            $('#eMovie').slideUp();
        });
        $("#limited").click(function(){
            $('#eMovie').slideDown();
        });
    });
</script>