@extends('layouts.admin') @section('title', get_phrase('TV Series')) @section('content')

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{get_phrase('TV Series')}}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);">{{get_phrase('Dashboard')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('TV Series')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('Edit')}}</a></li>
                    </ul>
                </div>
                <div class="export-btn-area">
                    <a href="{{ route('list/series') }}" class="export_btn"> {{ get_phrase('Go Back')}} </a>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <!-- start series create from -->
    <div class="col-sm-7">
        <div class="eSection-wrap-2">
            <h5 class="mb-3">{{ get_phrase('Update TV Series') }}</h5>
            <form class="ajaxFormSubmission" action="{{ route('update/series', ['id' => $series_details->id ]) }}" method="post" enctype="multipart/form-data">
                @csrf
                <!-- series title -->
                <div class="form-group">
                    <label for="title" class="eForm-label"> {{ get_phrase('Series title') }} <sup>*</sup> </label>
                    <input type="text" name="title" id="title" class="eForm-control form-control" value="{{ $series_details->title }}" />
                </div>

                <!-- series trailer -->
                <div class="form-group">
                    <label for="trailer" class="eForm-label"> {{ get_phrase('Series Trailer') }} <sup>*</sup> </label>
                    <input type="text" name="trailer" onkeyup="trailer_preview('{{route('trailer/preview')}}')" id="trailer" class="eForm-control form-control" value="{{ $series_details->trailer }}" />
                </div>

                <!-- series Thumbnail -->
                <div class="form-group efile">
                    <label for="thumbnail" class="eForm-label"> {{ get_phrase('Thumbnail') }} - <small> {{ get_phrase('(532x780) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" />
                    <input type="hidden" name="old_thumbnail" value="{{ $series_details->thumbnail}}" />
                </div>

                <!-- series poster -->
                <div class="form-group efile">
                    <label for="poster" class="eForm-label"> {{ get_phrase('Poster') }} - <small> {{ get_phrase('(3024x1161) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="poster" id="poster" class="form-control form-control eForm-control-file eForm-control-file-lg" />
                    <input type="hidden" name="old_poster" value="{{ $series_details->poster}}" />
                </div>

                <!-- series Video Quality -->
                <div class="form-group">
                    <label for="quality" class="eForm-label"> {{ get_phrase('Video Quality') }} <sup>*</sup> </label>
                    <select name="quality" class="eForm-control form-control">
                        <option value="SD" {{($series_details->quality == 'SD')?'selected':''}}>{{get_phrase('SD')}}</option>
                        <option value="HD" {{($series_details->quality == 'HD')?'selected':''}}>{{get_phrase('HD')}}</option>
                        <option value="Ultra HD" {{($series_details->quality == 'Ultra HD')?'selected':''}}>{{get_phrase('Ultra HD')}}</option>
                        <option value="QHD" {{($series_details->quality == 'QHD')?'selected':''}}>{{get_phrase('QHD')}}</option>
                        <option value="Blue-Ray" {{($series_details->quality == 'Blue-Ray')?'selected':''}}>{{get_phrase('Blue-Ray')}}</option>
                        <option value="2K" {{($series_details->quality == '2K')?'selected':''}}>{{get_phrase('2K')}}</option>
                        <option value="4K" {{($series_details->quality == '4K')?'selected':''}}>{{get_phrase('4K')}}</option>
                        <option value="8K" {{($series_details->quality == '8K')?'selected':''}}>{{get_phrase('8K')}}</option>
                    </select>
                </div>

                <!-- series short description -->
                <div class="form-group">
                    <label for="short_description" class="eForm-label"> {{ get_phrase('Short Description') }} <sup>*</sup> </label>
                    <textarea name="short_description" id="short_description" cols="30" rows="3" class="eForm-control form-control"> {{ $series_details->short_description }} </textarea>
                </div>

                <!-- series long description -->
                <div class="form-group">
                    <label for="long_description" class="eForm-label"> {{ get_phrase('Long description') }} <sup>*</sup> </label>
                    <textarea name="long_description" id="long_description" cols="30" rows="3" class="eForm-control form-control"> {{ $series_details->long_description }} </textarea>
                </div>

                <!-- series director -->
                <div class="form-group">
                    <label for="director" class="eForm-label"> {{ get_phrase('Director') }} <sup>*</sup> </label>
                    <select name="director" id="director" class="eForm-control form-control">
                        <option value=""> {{get_phrase('select director')}} </option>
                        @foreach ($director as $item)
                        <option value="{{ $item->id }}" {{$series_details->director == $item->id ? 'selected':''}}> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series actors -->
                <div class="form-group">
                    <label for="multiple-actor-select" class="eForm-label"> {{ get_phrase('Actors') }} <sup>*</sup> </label>
                    <select name="actor[]" id="multiple-actor-select" data-placeholder=" {{ get_phrase('select multiple actors') }} " class="eForm-control form-control" multiple>
                        @php $actor_id = explode("|", $series_details->actor); @endphp @foreach ($actor as $item)
                        <option value="{{ $item->id }}" @if (in_array($item->id, $actor_id)) selected @endif> {{ $item->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series category -->
                <div class="form-group">
                    <label for="genre" class="eForm-label"> {{ get_phrase('Category') }} <sup>*</sup> </label>
                    <select name="category" id="category" class="eForm-control form-control">
                        <option value="">{{get_phrase('select category')}}</option>
                        @foreach ($category as $value)
                        <option value="{{ $value->id }}" {{($value->id == $series_details->category)?'selected':''}}> {{ $value->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series genre -->
                <div class="form-group">
                    <label for="genre" class="eForm-label"> {{ get_phrase('Genre') }} <sup>*</sup> </label>
                    <select name="genre" id="genre" class="eForm-control form-control">
                        <option value="">{{get_phrase('select genre')}}</option>
                        @foreach ($genre as $value)
                        <option value="{{ $value->id }}" {{($value->id == $series_details->genre)?'selected':''}}> {{ $value->name }} </option>
                        @endforeach
                    </select>
                </div>

                <!-- series publishing year -->
                <div class="form-group">
                    <label for="year" class="eForm-label"> {{ get_phrase('Year') }} <sup>*</sup> </label>
                    <select name="year" id="year" class="eForm-control form-control">
                        <option value="{{ $series_details->year }}"> {{ $series_details->year }} </option>
                        @php for( $i=1928; $i<=date('Y'); $i++ ){ echo '
                        <option value=".$i.">'.$i.'</option>
                        '; } @endphp
                    </select>
                </div>

                <!-- series popular tv shows -->
                <div class="form-group">
                    <label for="popular_shows" class="eForm-label"> {{ get_phrase('Popular shows') }} <sup>*</sup> </label>
                    <select name="popular_shows" id="popular_shows" class="eForm-control form-control">
                        <option value=""> {{ get_phrase('select popular tv show') }} </option>
                        <option value="no" {{$series_details->popular_shows == 'no' ? 'selected':''}}> {{ get_phrase('No') }} </option>
                        <option value="yes" {{$series_details->popular_shows == 'yes' ? 'selected':''}}> {{ get_phrase('Yes') }} </option>
                    </select>
                </div>

                <!-- Content Type -->
                <div class="form-group">
                    <label for="content_type" class="eForm-label"> {{ get_phrase('Content Type') }} <sup>*</sup> </label>
                    <select name="content_type" id="content_type" class="eForm-control form-control" required>
                        <option value="premium" {{$series_details->content_type == 'premium' ? 'selected':''}}> {{ get_phrase('Premium') }} </option>
                        <option value="free" {{$series_details->content_type == 'free' ? 'selected':''}}> {{ get_phrase('Free') }} </option>
                    </select>
                </div>

                <!-- series star rating -->
                <div class="form-group">
                    <label for="rating" class="eForm-label"> {{ get_phrase('Rating') }} <sup>*</sup> </label>
                    <select name="rating" id="rating" class="eForm-control form-control">
                        <option value=""> {{ get_phrase('select rating') }} </option>
                        <option value="0" {{$series_details->rating == 0 ? 'selected':''}}> {{ get_phrase('0') }} </option>
                        <option value="1" {{$series_details->rating == 1 ? 'selected':''}}> {{ get_phrase('1') }} </option>
                        <option value="2" {{$series_details->rating == 2 ? 'selected':''}}> {{ get_phrase('2') }} </option>
                        <option value="3" {{$series_details->rating == 3 ? 'selected':''}}> {{ get_phrase('3') }} </option>
                        <option value="4" {{$series_details->rating == 4 ? 'selected':''}}> {{ get_phrase('4') }} </option>
                        <option value="5" {{$series_details->rating == 5 ? 'selected':''}}> {{ get_phrase('5') }} </option>
                    </select>
                </div>

                <div class="submit-action">
                    <button type="submit" id="submit-button" class="export_btn formSubmissionBtn">{{ get_phrase('Update') }}</button>

                    <div class="info-bar d-none">
                        <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                            <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%;"></div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- end series create from -->

    {{-- @php if($series_details->trailer){ if (str_contains($series_details->trailer, 'youtu.be/')) { $id = explode('youtu.be/', $series_details->trailer); $trailer_id = $id[1]; }else{ $trailer_id = 0; } } @endphp --}}

    <!-- start series priview from -->
    <div class="col-sm-5">
        <!-- trailer preview -->
        <div class="eSection-wrap-2">
            <div>
                <h5 class="mb-3">{{ get_phrase('Trailer preview') }}</h5>
                <div class="trailer-preview">
                    <!-- plyr css -->
                    <link rel="stylesheet" href="{{ asset('assets/plyr/plyr.css') }}" />
                    <div class="plyr__video-embed" id="playerr">
                        <!-- plyr body frame -->
                        <iframe
                            src="{{$series_details->trailer}}?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1"
                            allowfullscreen
                            allowtransparency
                            allow="autoplay"
                        ></iframe>
                    </div>
                    <!-- plyr js -->
                    <script src="{{ asset('assets/plyr/plyr.js') }}"></script>
                    <script>
                        "use strict";
                        const playerr = new Plyr("#playerr");
                    </script>
                </div>
            </div>
        </div>
        <!-- start episode create section -->
        <div class="eSection-wrap-2 mt-3">
            <h5 class="mb-3">{{ get_phrase('Seasons & Episodes') }}</h5>

            <table class="table table-bordered border table-hover text-center mt-3">
                <tbody class="tbody">
                    @foreach ($season as $item)
                    <tr>
                        <td>{{ $item->season }}</td>
                        <td>
                            @php $series = APP\Models\Series::where('id', $item->series)->first(); echo $series->title; @endphp
                        </td>
                        <td>
                            <a href="{{ route('edit/season', ['id'=>$item->id]) }}" class="btn btn-primary m-1"> {{ get_phrase('Edit') }} </a>
                            <a href="javascript:;" onclick="delete_seasons('{{ route('delete/season', ['id'=>$item->id]) }}')" class="btn btn-danger"> {{ get_phrase('Delete') }} </a>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
            {{-- <button class="export_btn mt-3" onclick="create_seasons('{{ route('create/season', ['id'=>$series_details->id]) }}')">{{ get_phrase('Create Season') }}</button> --}}
            <button class="export_btn mt-3" onclick="show_ajax_modal('{{ route('create/season', ['id'=>$series_details->id])}}')">{{ get_phrase('Create Season') }}</button>
        </div>
        <!-- end episode create section -->
    </div>
    <!-- end series priview from -->
</div>
@include('admin.common.modal')

<script>
    "use strict";
    $(function() {
        var formSubmissionBtn = $('.formSubmissionBtn');
        $('.ajaxFormSubmission').ajaxForm({
            beforeSend: function() {
                // var percentVal = '0%';
                $(formSubmissionBtn).attr('disabled', true);
            },
            uploadProgress: function(event, position, total, percentComplete) {
                var percentVal = percentComplete + '%';
                // $(".progress-bar").attr("aria-valuenow", percentComplete);
                $(formSubmissionBtn).html('Loading... '+percentComplete+'%');
                $(".progress").attr("aria-valuenow",percentComplete);
                $(".progress-bar").css("width", percentComplete+'%');
                $(".progress-bar").html(percentComplete+'%');

                console.log(percentComplete)
            },
            complete: function(xhr) {
                var response = xhr.responseText;
                console.log(response);
                toastr.success('Episode Create Successfully', 'Success');
                setTimeout(function(){
                    location.reload();
                }, 2000);
            },
            error: function()
            {
                //You can write here your js error message
            }
        });
    });

    function delete_seasons(url){
        $.ajax({
            url: url,
            success: function(result){
                $('.table').load(location.href+' .tbody');
                toastr.error('{{get_phrase('Season Delete Successfully')}}')
            }
        });
    }

    // ajax trailer preview
    function trailer_preview(url){
        var value = $("#trailer").val();
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'POST',
            url: url,
            data: {
                trailer: value
            },
            success: function(result){
                $(".trailer-preview").html(result);
            }
        });
    }
</script>

@endsection
