@extends('layouts.admin') @section('title', get_phrase('Episode list')) @section('content')

<style>
    .input-group-text {
        font-size: 1rem;
        padding: 11px;
    }
    .datetimepicker-input {
        font-size: 12px;
    }
</style>
<!-- Datepicker js -->
<script src="{{asset('backend/js/moment.min.js')}}"></script>
<script src="{{asset('backend/js/tempusdominus-bootstrap-4.js')}}"></script>

<!-- Mani section header and breadcrumb -->
<div class="mainSection-title">
    <div class="row">
        <div class="col-12">
            <div class="d-flex justify-content-between align-items-center flex-wrap gr-15">
                <div class="d-flex flex-column">
                    <h4>{{get_phrase('Episode list')}}</h4>
                    <ul class="d-flex align-items-center eBreadcrumb-2">
                        <li><a href="javascript:void(0);">{{get_phrase('Dashboard')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('Episode')}}</a></li>
                        <li><a href="javascript:void(0);">{{get_phrase('List')}}</a></li>
                    </ul>
                </div>
                <div class="export-btn-area"></div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <!-- start episode_list -->
    <div class="col-sm-7">
        <div class="eSection-wrap-2">
            <h5 class="mb-3">{{get_phrase('Episode list')}}</h5>
            <!-- Table -->
            <div class="table-responsive-wrap">
                <div class="table-responsive">
                    <table class="table eTable eTable-2 text-center">
                        <thead>
                            <tr>
                                <th scope="col">{{ get_phrase('ID') }}</th>
                                <th scope="col">{{ get_phrase('Thumbnail') }}</th>
                                <th scope="col">{{ get_phrase('Title') }}</th>
                                <th scope="col">{{ get_phrase('Video Quality') }}</th>
                                <th scope="col">{{ get_phrase('Action')}}</th>
                            </tr>
                        </thead>
                        <tbody id="table-body">
                            @php $i = 1; @endphp @if(!empty($episode) && $episode->count() != 0) @foreach ($episode as $key => $item)
                            <tr>
                                <td scope="row">
                                    <p class="row-number">{{ $episode->firstItem() + $key }}</p>
                                </td>
                                <td>
                                    <img src="{{ get_image('storage/episode_thumbnail/'.$item->thumbnail)}}" alt="" width="50px" height="50px" />
                                </td>
                                <td>{{ $item->title }}</td>
                                <td>{{ $item->quality }}</td>
                                <td>
                                    <div class="adminTable-action">
                                        <button type="button" class="eBtn eBtn-black dropdown-toggle table-action-btn-2" data-bs-toggle="dropdown" aria-expanded="false">
                                            Actions
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end eDropdown-menu-2 eDropdown-table-action">
                                            <li>
                                                <a class="dropdown-item" href="{{route('episode-player', ['episode_id'=>$item->id, $item->season])}}" target="_blank"> {{ get_phrase('View') }} </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="javascript:;" onclick="show_ajax_modal('{{ route('edit/episode', ['id'=>$item->id]) }}')"> {{ get_phrase('Edit') }} </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item confirmation" href="{{ route('delete/episode', ['id'=>$item->id]) }}"> {{ get_phrase('Delete')}} </a>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                            @endforeach @else
                            <tr>
                                <td colspan="10" class="empty-table">{{get_phrase('There are no data.')}}</td>
                            </tr>
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- Data info and Pagination -->
            <div class="admin-tInfo-pagi d-flex justify-content-md-between justify-content-center align-items-center flex-wrap gr-15">
                <p class="admin-tInfo"></p>
                <div class="admin-pagi">
                    <nav aria-label="Page navigation example">
                        {{ $episode->links() }}
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- end episode list -->

    <!-- start episode create from -->
    <div class="col-sm-5">
        <div class="eSection-wrap-2">
            <h5 class="mb-3">{{ get_phrase('Create Episode') }}</h5>
            <form class="ajaxFormSubmission" action="{{ route('store/episode') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <!-- episode title -->
                <div class="form-group">
                    <label for="title" class="eForm-label"> {{ get_phrase('Title') }} <sup>*</sup></label>
                    <input type="text" name="title" id="title" class="eForm-control form-control" placeholder="Title" required />
                    <input type="hidden" name="season_id" value="{{$season_id}}" />
                </div>

                <!-- movie trailer -->
                <div class="form-group">
                    <label for="source_type" class="eForm-label"> {{ get_phrase('select movie source') }} <sup>*</sup> </label>
                    <select name="source_type" id="source_type" onchange="movie_source_type()" class="eForm-control form-control" required>
                        <option value="">{{ get_phrase('select video source') }}</option>
                        <option value="local_file">{{ get_phrase('Local storage') }}</option>
                        <option value="youtube_url">{{ get_phrase('Youtube URL') }}</option>
                        <option value="drive_url">{{ get_phrase('Google drive') }}</option>
                    </select>
                </div>

                <!-- local file movie -->
                <div class="form-group local-file d-none efile">
                    <label for="local-file" class="eForm-label"> {{ get_phrase('Local video file') }} <sup>*</sup> </label>
                    <input type="file" name="local_file" id="local-file" class="form-control form-control eForm-control-file eForm-control-file-lg" />
                </div>

                <!-- youtube movie url -->
                <div class="form-group youtube-url d-none">
                    <label for="youtube-url" class="eForm-label"> {{ get_phrase('Youtube movie url') }} <sup>*</sup> </label>
                    <input type="text" name="youtube_url" onchange="episode_url_preview('{{route('series/trailer/preview')}}')" id="youtube-url" class="eForm-control form-control" placeholder="youtube hosted video" />
                </div>

                <!-- drive video url -->
                <div class="form-group drive-url d-none">
                    <label for="drive-url" class="eForm-label"> {{ get_phrase('Drive video URL') }} <sup>*</sup> </label>
                    <input type="text" name="drive_url" onchange="episode_url_preview('{{route('series/trailer/preview')}}')" id="drive-url" class="eForm-control form-control" placeholder="Google drive hosted video url" />
                </div>

                <!-- episode Thumbnail -->
                <div class="form-group efile">
                    <label for="thumbnail" class="eForm-label"> {{ get_phrase('Poster') }} - <small> {{ get_phrase('(3024x1161) jpg, png') }} </small> <sup>*</sup> </label>
                    <input type="file" name="thumbnail" id="thumbnail" class="form-control form-control eForm-control-file eForm-control-file-lg" required />
                </div>

                <!-- video duration -->
                <div class="form-group">
                    <label for="timepicker" class="eForm-label"> {{ get_phrase('Duration') }} <sup>*</sup> </label>
                    <div class="input-group date" id="timePicker" data-target-input="nearest">
                        <input type="text" name="duration" class="form-control datetimepicker-input" data-target="#timePicker" id="inputHour"/>
                        <div class="input-group-append" data-target="#timePicker" data-toggle="datetimepicker">
                          <div class="input-group-text"><i class="fa-regular fa-clock"></i></div>
                        </div>
                    </div>                   
                </div>

                <!-- video Quality -->
                <div class="form-group">
                    <label for="quality" class="eForm-label"> {{ get_phrase('Video Quality') }} <sup>*</sup> </label>
                    <select name="quality" id="quality" class="eForm-control form-control">
                        <option value="SD">{{get_phrase('SD')}}</option>
                        <option value="HD">{{get_phrase('HD')}}</option>
                        <option value="Ultra HD">{{get_phrase('Ultra HD')}}</option>
                        <option value="QHD">{{get_phrase('QHD')}}</option>
                        <option value="Blue-Ray">{{get_phrase('Blue-Ray')}}</option>
                        <option value="2K">{{get_phrase('2K')}}</option>
                        <option value="4K">{{get_phrase('4K')}}</option>
                        <option value="8K">{{get_phrase('8K')}}</option>
                    </select>
                </div>

                <!-- episode description -->
                <div class="form-group">
                    <label for="description" class="eForm-label"> {{ get_phrase('Description') }} <sup>*</sup></label>
                    <textarea name="description" id="description" class="eForm-control form-control" cols="30" rows="3" required>{{get_phrase('Write about this episode')}}</textarea>
                </div>

                <div class="submit-action">
                    <button type="submit" id="submit-button" class="export_btn formSubmissionBtn">{{ get_phrase('Save') }}</button>

                    <div class="info-bar d-none">
                        <div class="progress" role="progressbar" aria-label="Animated striped example" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                            <div class="progress-bar progress-bar-striped progress-bar-animated" style="width: 0%;"></div>
                        </div>
                    </div>
                </div>
            </form>
            <h5 class="my-3">{{ get_phrase('Episode URL preview') }}</h5>
            <!-- start episode priview -->
            <!-- episode preview -->
            <div class="episode-url-preview">
                <div class="trailer-preview url-box">
                    <div class="trailer-video-box">
                        <i class="fa-solid fa-clapperboard"></i>
                    </div>
                </div>
            </div>
            <!-- end episode priview -->
        </div>
    </div>
    <!-- end episode create from -->
</div>

<!-- timepicker js -->
<script type="text/javascript" src="{{ asset('backend/js/daterangepicker.js') }}"></script>
<script>
    "use strict";
    $('#timePicker').datetimepicker({
        format: 'HH:mm:ss',
        icons: {
            time: 'fa fa-clock',
        },
    });
    // ajax url preview
    function episode_url_preview(url) {
        var type = $("#source_type").val();
        if (type == "drive_url") {
            var value = $("#drive-url").val();
        } else if (type == "youtube_url") {
            var value = $("#youtube-url").val();
        }
        $.ajax({
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            type: "POST",
            url: url,
            data: {
                url: value,
                url_type: type,
            },
            success: function (result) {
                $(".episode-url-preview").html(result);
            },
        });
    }
    // select and change movie url field
    function movie_source_type() {
        var value = $("#source_type").val();
        if (value == "local_file") {
            $(".local-file").removeClass("d-none");
            $(".drive-url").addClass("d-none");
            $(".youtube-url").addClass("d-none");
            $(".url-box").html("<div class='trailer-video-box'><p>Preview not Possiable</p></div>");
        } else if (value == "youtube_url") {
            $(".local-file").addClass("d-none");
            $(".drive-url").addClass("d-none");
            $(".youtube-url").removeClass("d-none");
        } else if (value == "drive_url") {
            $(".local-file").addClass("d-none");
            $(".drive-url").removeClass("d-none");
            $(".youtube-url").addClass("d-none");
        }
    }

    $(function () {
        var formSubmissionBtn = $(".formSubmissionBtn");
        $(".ajaxFormSubmission").ajaxForm({
            beforeSend: function () {
                // var percentVal = '0%';
                $(formSubmissionBtn).attr("disabled", true);
            },
            uploadProgress: function (event, position, total, percentComplete) {
                var percentVal = percentComplete + "%";
                // $(".progress-bar").attr("aria-valuenow", percentComplete);
                $(formSubmissionBtn).html("Loading... " + percentComplete + "%");
                $(".progress").attr("aria-valuenow", percentComplete);
                $(".progress-bar").css("width", percentComplete + "%");
                $(".progress-bar").html(percentComplete + "%");

                console.log(percentComplete);
            },
            complete: function (xhr) {
                var response = xhr.responseText;
                console.log(response);
                toastr.success("Episode Create Successfully", "Success");
                setTimeout(function () {
                    location.reload();
                }, 2000);
            },
            error: function () {
                //You can write here your js error message
            },
        });
    });
</script>
@include('admin.common.modal') @endsection
