@extends('layouts.user_dashboard') @section('title', get_phrase('Active Packages')) @section('user_dashboard_content')

<div class="row">
    <div class="col-lg-12">
        <div class="">
            <div class="profle-head d-flex justify-content-between align-items-center mb-4">
                @if($package)
                    <h3>{{(valid_subscription($package->id)->status == 1 && premium_user(get_user('id')) == 1)?get_phrase('Active Packages'):get_phrase('Previous Package')}}</h3>
                @else
                    <h3>{{get_phrase('Active Packages')}}</h3>
                @endif
            </div>
            <div class="row">
                @if($package)
                <div class="col-lg-12 col-md-12 col-sm-12 mb-20">
                    <div class="pricing-box pricing-card h-100">
                        <div class="card">
                            <div class="card-head">
                                <div class="p-head-left d-flex">
                                    <i class="fa-solid fa-layer-group"></i>
                                    <div class="p-head-text">
                                        <h4>{{ $package->name }}</h4>
                                        <p>{{ get_user_number($package->user_number) }}</p>
                                    </div>
                                </div>
                                @if($package->price == "free")
                                <span class="money-text" style="text-transform:capitalize;">{{$package->price}}<small>{{get_phrase('/Monthly')}}</small></span>
                            @else
                                <span class="money-text">{{ get_price($package->price) }}<small>{{get_phrase('/Monthly')}}</small></span>
                            @endif
                            

                            </div>
                            <div class="card-body">
                                @php $service_item = json_decode($package->services); @endphp
                                <ul class="price-list">
                                    @if($package->movie)
                                    <li><i class="fa-solid fa-circle-check text-danger"></i> {{($package->movie)}} {{get_phrase('Movie')}}</li>
                                    @endif
                                    @if($package->series)
                                    <li><i class="fa-solid fa-circle-check text-danger"></i> {{($package->series)}} {{get_phrase('Series')}}</li>
                                    @endif
                                    @foreach ($service_item as $service)
                                      <li><i class="fa-solid fa-circle-check text-danger"></i> {{$service}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                @else
                <div class="col-lg-12 col-md-12 col-sm-12 mb-20">
                    <img src="{{asset('assets/images/error.png')}}" class="m-auto pt-5" alt="" width="50%" />
                </div>
                @endif
            </div>
            <div class="row justify-content-center">
                <a href="{{route('packages')}}" class="main-outline-btn w-50 text-center">{{get_phrase('Upgrade Subscription')}}</a>
            </div>
        </div>
    </div>
</div>

@endsection
