@extends('layouts.player')
@section('title', get_phrase('Play video'))
@section('content')
<style>
    body{
        margin: 0px;
    }
</style>
@php
    if($video_type == 'movie'){
        $video = App\Models\Movie::where('id', $video_id)->first();
    }elseif($video_type == 'series'){
        $video = App\Models\Series::where('id', $id)->first();
        
    }elseif($video_type == 'episode'){
        $video = App\Models\Episode::where('id', $video_id)->first();
    }
    if($video->url_type == 'youtube_url'){
        // if (str_contains($video->url, 'youtu.be/')) { 
        //     $id = explode('youtu.be/', $video->url);
        //     $youtube_video_id = $id[1];
        // }
        $url = $video->url;
    }elseif($video->url_type == 'local_file'){
        $video_url = asset('storage/movies/'.$video->url);
    }

    $user_id_value = get_user('id');
    $user_id = App\Models\User::where('id', $user_id_value)->first();

    if(get_user('user_type') == 'admin' || $video->content_type == 'free'){
        $movie = '';
    }elseif(isset($user_id->subscription_list)){
        $movie = json_decode($user_id->subscription_list)->movie;
    }
   
    $package_id = App\Models\Package::where('id', $user_id->plan)->first();
    $history_id = App\Models\History::where('type', $video_type)->where('user_id', $user_id_value)->get();
    $viewed_videos = $history_id->pluck('video_id')->toArray();

@endphp
{{-- @if(isset($package_id->movie) && $package_id->movie > count($history_id) || in_array($video_id, $viewed_videos)  || $user_id->user_type = 'admin' || $package_id->full_access = 'unlimited' || $package_id->full_access = 'limited') --}}
@if(isset($movie) && $movie > count($history_id) || in_array($video_id, $viewed_videos) || $user_id->user_type != 'user' || isset($package_id->full_access) && $package_id->full_access != 'limited' ||  $video->content_type == 'free')
<div class="p-0">
@if($video->url_type == 'youtube_url')

    <!-- plyr css -->
    <div class="plyr__video-embed" id="video-plyr">
        <!-- plyr body frame -->
        <iframe src="{{$url}}?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowfullscreen allowtransparency allow="autoplay"></iframe>
    </div>
    <script src="{{ asset('assets/plyr/plyr.js') }}"></script>
    <script>
        "use strict";
        // player js
        var player = new Plyr('#video-plyr');
        setTimeout(function(){
            var paly = player.play();
        }, 2000);

        setInterval(function (){
            if(player.currentTime > 30){
                $.ajax({
                    url: "{{route('watch-history',['id'=>$video->id,'type'=>$video->type])}}",
                    success: function(result){
                    }
                });
            }
        }, 1000);       
    </script>
@elseif($video->url_type == 'local_file')
    <div class="movie-iframe">
        <video playsinline controls class="player" id="video-plyr">
            <source src="{{$video_url}}" type="video/mp4" />
        </video>
    </div>
    <script src="{{ asset('assets/plyr/plyr.js') }}"></script>
    <script>
        "use strict";
        // player js
        var player = new Plyr('#video-plyr');
        setTimeout(function(){
            var paly = player.play();
        }, 1000);
        setInterval(function (){
            if(player.currentTime > 30){
                $.ajax({
                    url: "{{route('watch-history',['id'=>$video->id,'type'=>$video->type])}}",
                    success: function(result){
                    }
                });
            }
        }, 1000);       
    </script>
@elseif($video->url_type == 'drive_url')
    <div class="movie-iframe">
        @php
            $drive_video_id = explode('/', $video->url);
        @endphp
        <video playsinline controls class="player" id="video-plyr">
            <source src="https://www.googleapis.com/drive/v3/files/{{$drive_video_id[5]}}?alt=media&key={{get_settings('google_api_key')}}" type='video/mp4'>
        </video>
    </div>  
    <script src="{{ asset('assets/plyr/plyr.js') }}"></script>
    <script>
        "use strict";
        // player js
        var player = new Plyr('#video-plyr');
        setTimeout(function(){
            var paly = player.play();
        }, 1000);
        setInterval(function (){
            if(player.currentTime > 30){
                $.ajax({
                    url: "{{route('watch-history', ['id'=>$video->id, 'type'=>$video->type])}}",
                    success: function(result){
                        console.log('working')
                    }
                });
            }
        }, 1000);       
    </script>  
@endif
</div>
@else
@include('frontend.access_denied')
@endif
@endsection