<?php

use App\Http\Controllers\Payment\PaymentController;
use App\Http\Controllers\Payment\StripeController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){

    Route::post('/update-currency', [PaymentController::class, 'update_currency'])->name('admin/update-currency'); // paypal details update

    Route::post('/paypal-details', [PaymentController::class, 'paypal_details'])->name('admin/paypal-details'); // paypal details update 
    Route::post('/stripe-details', [PaymentController::class, 'stripe_details'])->name('admin/stripe-details'); // stripe details update 


    Route::get('/stripe-payment', [StripeController::class, 'stripe'])->name('admin/stripe-payment'); // stripe details update 
    Route::post('/stripe-post', [StripeController::class, 'stripePost'])->name('admin/stripe-post'); // stripe details update 

    Route::get('/payment', [PaymentController::class, 'payment_settings'])->name('admin/payment');
    Route::get('/edit-payment-gateway/{id}', [PaymentController::class, 'payment_gateway_edit'])->name('admin/edit-payment-gateway');
    Route::post('/update-payment-gateway/{id}', [PaymentController::class, 'payment_gateway_update'])->name('admin/update-payment-gateway');
    Route::get('/payment-gateway-status/{id}', [PaymentController::class, 'payment_gateway_status'])->name('admin/payment-gateway-status');
    Route::get('/payment-gateway-environment/{id}', [PaymentController::class, 'payment_gateway_environment'])->name('admin/payment-gateway-environment');
    
    Route::get('/subscription-history', [PaymentController::class, 'subscription_history'])->name('admin/subscription-history');


});

    Route::get('/payment/{id}', [PaymentController::class, 'index'])->name('user/payment-page-view'); 
    Route::get('/payment/show_payment_gateway_by_ajax/{identifier}', [PaymentController::class, 'show_payment_gateway_by_ajax'])->name('payment.show_payment_gateway_by_ajax');
    Route::get('payment/success/{identifier}', [PaymentController::class, 'payment_success'])->name('payment.success');
    Route::get('payment/create/{identifier}', [PaymentController::class, 'payment_create'])->name('payment.create');

    // razorpay
    Route::post('payment/{identifier}/order',[PaymentController::class, 'payment_razorpay'])->name('razorpay.order');

    // Free Payment Movie And Series
    Route::get('/free/payment/{id}', [PaymentController::class, 'free_payment'])->name('user/free/payment');

// Route::group(['prefix' => 'user',  'middleware' => 'user'], function(){
//     Route::get('/payment-page-view/{id}', [PaymentController::class, 'index'])->name('user/payment-page-view');

// });


// Route::get('/payment', [PaymentController::class, 'index'])->name('admin/payment');

// Route::get('/payment/show_payment_gateway_by_ajax/{identifier}', [PaymentController::class, 'show_payment_gateway_by_ajax'])->name('payment.show_payment_gateway_by_ajax');
// Route::get('payment/success/{identifier}', [PaymentController::class, 'payment_success'])->name('payment.success');