@extends('layouts.frontend')
@section('title', get_phrase('Watch Now'))
@section('content')
@php
if($details->type == 'movie'){
    $poster_type = 'movie_poster';
}elseif($details->type == 'series'){
    $poster_type = 'series_poster';
}


@endphp
<style>
    .background-poster{
        background-image: url("{{get_image('storage/'.$poster_type.'/'.$details->poster)}}");
    }
    .background-poster::before{
        background-image: url("{{asset('assets/images/background-poster-overlay2.png')}}");
    }
    .background-poster::after{
        background-image: url("{{asset('assets/images/background-poster-overlay.png')}}");
    }
</style>

<!-- Bannar Area Start -->
<section>
    <div class="background-poster">
        <div class="row banner-content container">
            <div class="col-lg-6">
                <h3 class="banner-title">{{$details->title}}</h3>
                <div class="reviews mt-3">
                    <ul class="vedio-star d-flex">
                        <li class="{{$details->rating >= 1 ? 'fill-star':''}}"><i class="fa-solid fa-star"></i></li>
                        <li class="{{$details->rating >= 2 ? 'fill-star':''}}"><i class="fa-solid fa-star"></i></li>
                        <li class="{{$details->rating >= 3 ? 'fill-star':''}}"><i class="fa-solid fa-star"></i></li>
                        <li class="{{$details->rating >= 4 ? 'fill-star':''}}"><i class="fa-solid fa-star"></i></li>
                        <li class="{{$details->rating == 5 ? 'fill-star':''}}"><i class="fa-solid fa-star"></i></li>
                    </ul>
                    <span>{{$details->rating}} {{get_phrase('Stars')}}</span>
                </div>
                <ul class="category-section mt-3">
                    <li>
                        <svg width="20" height="20" viewBox="0 0 20 19" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <g filter="url(#filter0_d_93_480)">
                            <path d="M16 1.2207V2.5957H4V1.2207H16ZM4 10.8457H8V9.4707H4V10.8457ZM4 6.7207H12V5.3457H4V6.7207Z" fill="white"/>
                            </g>
                            <defs>
                            <filter id="filter0_d_93_480" x="0" y="0.303711" width="20" height="19" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
                            <feFlood flood-opacity="0" result="BackgroundImageFix"/>
                            <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
                            <feOffset dy="4"/>
                            <feGaussianBlur stdDeviation="2"/>
                            <feComposite in2="hardAlpha" operator="out"/>
                            <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0"/>
                            <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow_93_480"/>
                            <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow_93_480" result="shape"/>
                            </filter>
                            </defs>
                        </svg> @php
                            $categories = App\Models\Category::where('id', $details->category)->first()->name;
                            echo $categories;
                        @endphp
                    </li>
                    <li class="px-5">
                        <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M10.7605 11.3454L11.5863 10.5196L8.66841 7.58331V3.89464H7.56731V8.02375L10.7605 11.3454ZM8.0628 15.1442C7.05958 15.1442 6.11142 14.9515 5.21831 14.5661C4.3252 14.1807 3.54525 13.6546 2.87848 12.9879C2.21171 12.3211 1.68563 11.5411 1.30024 10.648C0.91486 9.75491 0.722168 8.80675 0.722168 7.80353C0.722168 6.80031 0.91486 5.85214 1.30024 4.95903C1.68563 4.06592 2.21171 3.28598 2.87848 2.6192C3.54525 1.95243 4.3252 1.42635 5.21831 1.04097C6.11142 0.655582 7.05958 0.462891 8.0628 0.462891C9.06602 0.462891 10.0142 0.655582 10.9073 1.04097C11.8004 1.42635 12.5804 1.95243 13.2471 2.6192C13.9139 3.28598 14.44 4.06592 14.8254 4.95903C15.2107 5.85214 15.4034 6.80031 15.4034 7.80353C15.4034 8.80675 15.2107 9.75491 14.8254 10.648C14.44 11.5411 13.9139 12.3211 13.2471 12.9879C12.5804 13.6546 11.8004 14.1807 10.9073 14.5661C10.0142 14.9515 9.06602 15.1442 8.0628 15.1442ZM8.0628 14.0431C9.77562 14.0431 11.2437 13.4313 12.4672 12.2079C13.6906 10.9845 14.3023 9.51634 14.3023 7.80353C14.3023 6.09071 13.6906 4.62258 12.4672 3.39915C11.2437 2.17571 9.77562 1.56399 8.0628 1.56399C6.34999 1.56399 4.88186 2.17571 3.65842 3.39915C2.43498 4.62258 1.82326 6.09071 1.82326 7.80353C1.82326 9.51634 2.43498 10.9845 3.65842 12.2079C4.88186 13.4313 6.34999 14.0431 8.0628 14.0431Z" fill="white"/>
                        </svg> <span class="p-1">{{time_duration($details->id, $details->type)}}</span>
                    </li>
                    <li>
                        <svg width="13" height="16" viewBox="0 0 13 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M0.629883 15.1951V0.412109L12.2451 7.80362L0.629883 15.1951ZM2.21378 12.3177L9.31491 7.80362L2.21378 3.28952V12.3177Z" fill="white"/>
                        </svg> <span class="p-1"> {{$details->quality}}</span>
                    </li>
                </ul> 
                <div class="banner-buttons my-md-3 py-3">
                    <a href="javascript:void(0)" class="main-btn me-3 mb-3" data-bs-toggle="modal" data-bs-target="#trailer-modal" id="trailer-autoplay">
                        <svg width="19" height="15" viewBox="0 0 19 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M2.0625 14.0488C1.7125 14.0488 1.40625 13.9176 1.14375 13.6551C0.88125 13.3926 0.75 13.0863 0.75 12.7363V1.36133C0.75 1.01133 0.88125 0.705078 1.14375 0.442578C1.40625 0.180078 1.7125 0.0488281 2.0625 0.0488281H13.4375C13.7875 0.0488281 14.0937 0.180078 14.3562 0.442578C14.6187 0.705078 14.75 1.01133 14.75 1.36133V6.06445L18.25 2.56445V11.5332L14.75 8.0332V12.7363C14.75 13.0863 14.6187 13.3926 14.3562 13.6551C14.0937 13.9176 13.7875 14.0488 13.4375 14.0488H2.0625ZM2.0625 12.7363H13.4375V1.36133H2.0625V12.7363Z" fill="white"/>
                        </svg> <span class="p-1">{{get_phrase('Trailer')}}</span>
                    </a>
                    @if(premium_user(get_user('id')) == 1 || isset(Session::get('admin')->user_type) == 'admin' || $details->content_type == 'free')
                    @php 
                    $status = App\Models\User::where('id',Session::get('user')->id)->where('status', 1)->first();
                    @endphp
                    @if($status && $status->status == 1)
                        <a href="javascript:void(0)" class="main-btn me-3 mb-3" data-bs-toggle="modal" data-bs-target="#ban-requert">
                            <svg width="13" height="16" viewBox="0 0 13 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M0.629883 15.1951V0.412109L12.2451 7.80362L0.629883 15.1951ZM2.21378 12.3177L9.31491 7.80362L2.21378 3.28952V12.3177Z" fill="white"/>
                            </svg> <span class="p-1"> {{get_phrase('Play')}} </span>
                        @else  
                            @if(get_user('id') > 0)
                                <a href="{{route('video-player', ['video_id'=>$details->id, $details->type])}}" target="_blank" class="main-btn me-3 mb-3 {{($details->type == 'series')?'d-none':''}}">
                            @else
                                <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#login-requert" class="main-btn me-3 mb-3 {{($details->type == 'series')?'d-none':''}}">
                            @endif
                     
                            <svg width="13" height="16" viewBox="0 0 13 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M0.629883 15.1951V0.412109L12.2451 7.80362L0.629883 15.1951ZM2.21378 12.3177L9.31491 7.80362L2.21378 3.28952V12.3177Z" fill="white"/>
                            </svg> <span class="p-1"> {{get_phrase('Play')}} </span>
                          </a>
                     @endif  
                   
                    @else
                    @if(get_user('id') > 0)
                    @php 
                      $status = App\Models\User::where('id',Session::get('user')->id)->where('status', 1)->first();
                    @endphp
                       @if($status && $status->status == 1)
                            <a href="javascript:void(0)" class="main-btn me-3 mb-3" data-bs-toggle="modal" data-bs-target="#ban-requert">
                         @else   
                              <a href="javascript:void(0)" class="main-btn me-3 mb-3" data-bs-toggle="modal" data-bs-target="#subscribe">
                         @endif   
                    @else
                        <a href="javascript:void(0)" class="main-btn me-3 mb-3" data-bs-toggle="modal" data-bs-target="#login-requert">
                    @endif
                        <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M1.89502 17.3825C1.56169 17.3825 1.27002 17.2575 1.02002 17.0075C0.77002 16.7575 0.64502 16.4658 0.64502 16.1325V6.96582C0.64502 6.63249 0.77002 6.34082 1.02002 6.09082C1.27002 5.84082 1.56169 5.71582 1.89502 5.71582H16.0617C16.395 5.71582 16.6867 5.84082 16.9367 6.09082C17.1867 6.34082 17.3117 6.63249 17.3117 6.96582V16.1325C17.3117 16.4658 17.1867 16.7575 16.9367 17.0075C16.6867 17.2575 16.395 17.3825 16.0617 17.3825H1.89502ZM1.89502 16.1325H16.0617V6.96582H1.89502V16.1325ZM7.45752 14.6533L12.0617 11.5492L7.45752 8.46582V14.6533ZM2.08252 4.46582V3.21582H15.8742V4.46582H2.08252ZM4.81169 1.96582V0.71582H13.145V1.96582H4.81169Z" fill="white"/>
                        </svg> <span class="p-1"> {{get_phrase('Subscribe')}} </span>
                    </a>
                    
                    @endif
                    @if(get_user('id'))
                        <a href="javascript:void(0)"; class="main-btn me-3 mb-3" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$details->id, $details->type])}}')">
                            <svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M10.0002 17.2755L9.06058 16.4275C7.44468 14.9437 6.10876 13.6638 5.05282 12.5876C3.99688 11.5114 3.15572 10.5494 2.52933 9.7015C1.90294 8.85358 1.4637 8.08587 1.21162 7.39837C0.959538 6.71087 0.833496 6.01573 0.833496 5.31296C0.833496 3.93559 1.29565 2.78535 2.21995 1.86223C3.14426 0.939103 4.28627 0.477539 5.646 0.477539C6.51683 0.477539 7.32273 0.683789 8.0637 1.09629C8.80468 1.50879 9.45016 2.10462 10.0002 2.88379C10.6418 2.05879 11.3217 1.4515 12.0397 1.06191C12.7578 0.672331 13.5293 0.477539 14.3543 0.477539C15.7141 0.477539 16.8561 0.939103 17.7804 1.86223C18.7047 2.78535 19.1668 3.93559 19.1668 5.31296C19.1668 6.01573 19.0408 6.71087 18.7887 7.39837C18.5366 8.08587 18.0974 8.85358 17.471 9.7015C16.8446 10.5494 16.0034 11.5114 14.9475 12.5876C13.8916 13.6638 12.5556 14.9437 10.9397 16.4275L10.0002 17.2755ZM10.0002 15.465C11.5468 14.0443 12.8196 12.8259 13.8185 11.8099C14.8174 10.7939 15.6109 9.90393 16.1991 9.14004C16.7873 8.37615 17.1998 7.69526 17.4366 7.09736C17.6734 6.49945 17.7918 5.90576 17.7918 5.31628C17.7918 4.30573 17.471 3.4758 16.8293 2.8265C16.1877 2.17719 15.3644 1.85254 14.3595 1.85254C13.5723 1.85254 12.8438 2.09316 12.1738 2.57441C11.5039 3.05566 10.9627 3.73171 10.5502 4.60254H9.42725C9.03002 3.74698 8.49645 3.07476 7.82652 2.58587C7.15657 2.09698 6.42801 1.85254 5.64084 1.85254C4.63594 1.85254 3.81266 2.17719 3.171 2.8265C2.52933 3.4758 2.2085 4.30704 2.2085 5.3202C2.2085 5.9112 2.3269 6.50844 2.5637 7.11191C2.80051 7.71539 3.21301 8.40289 3.8012 9.17441C4.3894 9.94594 5.18766 10.8359 6.196 11.8442C7.20433 12.8525 8.47239 14.0595 10.0002 15.465Z" fill="white"/>
                            </svg> <span class="p-1"> {{get_phrase('Wishlist')}} </span>
                        </a>
                    @else
                        <a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#login-requert" class="main-btn mb-20 text-center">
                            <svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M10.0002 17.2755L9.06058 16.4275C7.44468 14.9437 6.10876 13.6638 5.05282 12.5876C3.99688 11.5114 3.15572 10.5494 2.52933 9.7015C1.90294 8.85358 1.4637 8.08587 1.21162 7.39837C0.959538 6.71087 0.833496 6.01573 0.833496 5.31296C0.833496 3.93559 1.29565 2.78535 2.21995 1.86223C3.14426 0.939103 4.28627 0.477539 5.646 0.477539C6.51683 0.477539 7.32273 0.683789 8.0637 1.09629C8.80468 1.50879 9.45016 2.10462 10.0002 2.88379C10.6418 2.05879 11.3217 1.4515 12.0397 1.06191C12.7578 0.672331 13.5293 0.477539 14.3543 0.477539C15.7141 0.477539 16.8561 0.939103 17.7804 1.86223C18.7047 2.78535 19.1668 3.93559 19.1668 5.31296C19.1668 6.01573 19.0408 6.71087 18.7887 7.39837C18.5366 8.08587 18.0974 8.85358 17.471 9.7015C16.8446 10.5494 16.0034 11.5114 14.9475 12.5876C13.8916 13.6638 12.5556 14.9437 10.9397 16.4275L10.0002 17.2755ZM10.0002 15.465C11.5468 14.0443 12.8196 12.8259 13.8185 11.8099C14.8174 10.7939 15.6109 9.90393 16.1991 9.14004C16.7873 8.37615 17.1998 7.69526 17.4366 7.09736C17.6734 6.49945 17.7918 5.90576 17.7918 5.31628C17.7918 4.30573 17.471 3.4758 16.8293 2.8265C16.1877 2.17719 15.3644 1.85254 14.3595 1.85254C13.5723 1.85254 12.8438 2.09316 12.1738 2.57441C11.5039 3.05566 10.9627 3.73171 10.5502 4.60254H9.42725C9.03002 3.74698 8.49645 3.07476 7.82652 2.58587C7.15657 2.09698 6.42801 1.85254 5.64084 1.85254C4.63594 1.85254 3.81266 2.17719 3.171 2.8265C2.52933 3.4758 2.2085 4.30704 2.2085 5.3202C2.2085 5.9112 2.3269 6.50844 2.5637 7.11191C2.80051 7.71539 3.21301 8.40289 3.8012 9.17441C4.3894 9.94594 5.18766 10.8359 6.196 11.8442C7.20433 12.8525 8.47239 14.0595 10.0002 15.465Z" fill="white"/>
                            </svg> <span class="p-1"> {{get_phrase('Wishlist')}} </span> 
                        </a>
                    @endif
                </div>
                
            </div>
            <div class="col-lg-6 banner-image">
                <img src="{{get_image('storage/'.$poster_type.'/'.$details->poster)}}" alt="" width="100%">
            </div>
        </div>
    </div>
</section>
<!-- Bannar Area End -->
<!-- Vedio Description Area Start -->
<section class="vedio-description-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="tab-group-content vedio-veiw-tab mt-4">
                    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                        @if($details->type == 'series')
                            <li class="nav-item" role="presentation">
                                <button class="nav-link {{$details->type == 'series' ? 'active':''}}" id="pills-episode-tab" data-bs-toggle="pill" data-bs-target="#pills-episode" type="button" role="tab" aria-controls="pills-episode" aria-selected="true">{{get_phrase('Episode')}}</button>
                            </li>
                        @endif
                        <li class="nav-item" role="presentation">
                        <button class="nav-link {{$details->type == 'series' ? '':'active'}}" id="pills-About-tab" data-bs-toggle="pill" data-bs-target="#pills-About" type="button" role="tab" aria-controls="pills-About" aria-selected="true">{{get_phrase('About')}}</button>
                        </li>
                        <li class="nav-item" role="presentation">
                        <button class="nav-link" id="pills-Cast-tab" data-bs-toggle="pill" data-bs-target="#pills-Cast" type="button" role="tab" aria-controls="pills-Cast" aria-selected="false">{{get_phrase('Cast')}}</button>
                        </li>
                        <li class="nav-item" role="presentation">
                        <button class="nav-link" id="pills-Director-tab" data-bs-toggle="pill" data-bs-target="#pills-Director" type="button" role="tab" aria-controls="pills-Director" aria-selected="false">{{get_phrase('Director')}}</button>
                        </li>
                        <li class="nav-item" role="presentation">
                        <button class="nav-link" id="pills-More-tab" data-bs-toggle="pill" data-bs-target="#pills-More" type="button" role="tab" aria-controls="pills-More" aria-selected="false">{{get_phrase('More')}}</button>
                        </li>
                    </ul>
                </div>
                <div class="tab-content" id="pills-tabContent">
                    @if($details->type == 'series')
                    <div class="tab-pane fade show {{$details->type == 'series' ? 'active':''}}" id="pills-episode" role="tabpanel" aria-labelledby="pills-episode-tab" tabindex="0">
                        <div class="veiw-tab-control">
                             <!-- Episode  Area Start -->
                            <div class="Episode-area">
                                <div class="container">
                                <div class="row">
                                    <div class="episode-items" id="episode-group">
                                        <div class="episod-title select-box-control">
                                            <h3 onclick="series_view('{{route('series-view')}}')">{{get_phrase('Episodes')}} ({{count($episodes)}})</h3>
                                            <select name="select_season" id="select_season" onchange="series_view('{{route('series-view')}}')" class="form-select nice-control">
                                                @if(!$Seasons)
                                                    <option value="0">{{get_phrase('Season 1')}}</option>
                                                @endif
                                                @foreach($Seasons as $item)
                                                    <option value="{{$item->id}}"> {{$item->season}} </option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <!-- Episod Content Start -->
                                        <div class="episode-group">
                                            @if(count($episodes) > 0)
                                                @php
                                                    $i = 1;
                                                @endphp
                                                @foreach($episodes as $item)
                                                <!-- Single Episode Card  -->
                                                <div class="row">
                                                    <div class="col-lg-12">
                                                       
                                                        @if($status && $status->status == 1)
                                                              <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#ban-requert" class="single-episode-card">
                                                            @else
                                                            @if ($details->content_type == 'free' && get_user('id') > 0 || premium_user(get_user('id')) || get_user('user_type') == 'admin')
                                                                <a href="{{route('episode-player', ['episode_id'=>$item->id, 'playing'])}}" target="_blank" class="single-episode-card">
                                                            @elseif ($details->content_type == 'premium' && get_user('id') > 0)
                                                                <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#subscribe" class="single-episode-card">
                                                            @else
                                                                <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#login-requert" class="single-episode-card">
                                                            @endif
                                                           
                                                        @endif
                                                            <div class="sl-episode-left">
                                                                <h4>{{$i++}}</h4>
                                                                <div class="epi-feature-image">
                                                                    <img src="{{get_image('storage/episode_thumbnail/'.$item->thumbnail)}}" alt="image">
                                                                </div>
                                                            </div>
                                                            <div class="sl-episode-right">
                                                                <div class="sl-card-head">
                                                                    <h2 class="sl-head-text">{{$item->title}}</h2>
                                                                </div>
                                                                <p class="sl-card-text">{{$item->description}}</p>
                                                            </div>
                                                        </a>
                                                    </div>
                                                </div>
                                                <!-- Single Episode Card  -->
                                                @endforeach
                                            @else
                                                <!-- Error Area Start -->
                                                <section class="error-area p-0">
                                                    <div class="container">
                                                        <div class="row">
                                                            <div class="col-lg-12">
                                                                <div class="error-content">
                                                                    <img src="{{asset('assets/images/error2.png')}}" alt="error images">
                                                                    <h4 class="text-center"> {{get_phrase('No episodes found')}} </h4>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </section>
                                                <!-- Error Area End -->
                                            @endif
                                        </div>     
                                        <!-- Episod Content End -->
                                    </div>
                                </div>
                                </div>
                            </div>
                            <!-- Episode Area End -->
                        </div>
                    </div>
                    @endif
                    <div class="tab-pane fade show {{$details->type == 'series' ? '':'active'}}" id="pills-About" role="tabpanel" aria-labelledby="pills-About-tab" tabindex="0">
                        <div class="veiw-tab-control">
                            <p class="ab-text"> {!!$details->long_description!!} </p>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-Cast" role="tabpanel" aria-labelledby="pills-Cast-tab" tabindex="0">
                        <div class="veiw-tab-control">
                            <div class="row">
                                @foreach ($cast as $item)
                                    @php
                                        $actor = App\Models\Actor::where('id', $item)->first();
                                    @endphp
                                    <div class="col-lg-3 col-md-4 col-sm-6 mb-4">
                                        <div class="cast-cart ad-pro-card">
                                            <div class="card">
                                                <div class="card-head">
                                                    <div class="ad-feature-img">
                                                        <img src="{{ get_image('storage/actor/'.$actor->image)}}" alt="">
                                                    </div>
                                                </div>
                                                <div class="card-body">
                                                    <h4 class="text-center"><a href="{{$actor->bio_link}}" target="_blank" class="stretched-link mb-0"> {{$actor->name}} </a></h4>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-Director" role="tabpanel" aria-labelledby="pills-Director-tab" tabindex="0">
                        <div class="veiw-tab-control">
                            <div class="row"> 
                                <div class="col-lg-3 col-md-4 col-sm-6">
                                    <div class="cast-cart ad-pro-card">
                                        <div class="card">
                                            @php
                                                $director = App\Models\Director::where('id', $details->director)->first();
                                            @endphp
                                            <div class="card-head">
                                                <div class="ad-feature-img">
                                                    <img src="{{get_image('storage/director/'.$director->image)}}" alt="">
                                                </div>
                                            </div>
                                            <div class="card-body">
                                                <h4 class="text-center text-light"> {{$director->name}} </h4>
                                            </div>
                                        </div>
                                    </div>
                                </div>  
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pills-More" role="tabpanel" aria-labelledby="pills-More-tab" tabindex="0">
                        <div class="veiw-tab-control">
                            <div class="row">
                                <div class="d-flex justify-content-between align-items-center">
                                    <h3 class="font-36 text-light mb-5">{{get_phrase('Related More Videos')}}</h3>
                                    <a href="{{asset('filter?actor=all&director=all&genre='.$details->genre.'&category=all&year=all&keyword=Movies')}}" class="watch-btn text-light"> {{get_phrase('See all')}} </a>
                                </div>
                                @foreach ($more_related_video as $item)
                                <div class="col-lg-3 col-md-4 col-sm-6 col-12 mb-3">
                                    <div class="m_single-card">
                                        <div class="card motion-card">
                                            <div class="card-head">
                                                @if($item->type == 'movie')
                                                    <img src="{{get_image('storage/movie_thumbnail/'.$item->thumbnail)}}" alt="image">
                                                @elseif($item->type == 'series')
                                                    <img src="{{get_image('storage/series_thumbnail/'.$item->thumbnail)}}" alt="image">
                                                @endif
                                            </div>
                                            <span class="fill_icon fill_icon{{$item->id}}">
                                                <a href="javascript:void(0);" onclick="add_wishlist('{{route('add-wishlist', ['video_id'=>$item->id, $item->type])}}',{{$item->id}})">
                                                @php
                                                    $wishlist = App\Models\Wishlist::where('video_id', $item->id)->where('type', $item->type)->where('user_id', get_user('id'))->orderBy('id', 'desc')->first();
                                                @endphp
                                                @if (isset($wishlist->sub_user) && $wishlist->sub_user == get_user('user_column'))                                        
                                                    <i class="fas fa-heart red-fill-icon"></i>
                                                @else
                                                    <i class="fa-regular fa-heart"></i>
                                                @endif
                                                </a>
                                            </span>
                                                <div class="card-body">
                                                    <div class="entry_title_card entry">
                                                        <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                                    </div>
                                                    <div class="entry_title_card hide">
                                                        <h4 class="line-2">{{ substr_replace($item->title, "", 100); }}</h4>
                                                        <div class="visibility">
                                                            <ul class="entry_list">
                                                                <li>{{time_duration($item->id, $item->type)}}</li>
                                                                <li> {{App\Models\Category::where('id',$item->category)->first()->name}}  </li>
                                                                <li> {{$item->year}} </li>
                                                            </ul>
                                                            <ul class="star_list">
                                                                <li class="{{$item->rating >= 1 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                                <li class="{{$item->rating >= 2 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                                <li class="{{$item->rating >= 3 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                                <li class="{{$item->rating >= 4 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                                <li class="{{$item->rating >= 5 ? 'color':''}}"><i class="fa-solid fa-star"></i></li>
                                                                <li><span>{{ucwords($item->content_type)}}</span></li>
                                                            </ul>
                                                            <p class="line-3">{{substr_replace($item->short_description, '', 300)}}</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            <a href="{{ route('watch-now', ['id'=>$item->id, $item->type]) }}" class="stretched-link"></a>
                                        </div>
                                    </div>
                                </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Vedio Description Area End -->


<!-- Ban  modal -->


<!-- Modal -->
<div class="modal fade create-play-modal del-modal" id="ban-requert" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <div class="exIcon">
                    <i class="fa-solid fa-exclamation"></i>
                </div>
                <h4 class="modal-title" id="exampleModalLabel">{{get_phrase('Attention!')}}</h4>
                <p class="px-3 mb-5 pb-3">{{get_phrase("You are currently banned and cannot purchase any packages or watch movies or series. Once the admin remove your ban, you'll regain access to all content.")}}</p>
            </div>
           
        </div>
    </div>
  </div>
  

<!-- start trailer modal -->
<div class="modal fade" id="trailer-modal"  data-bs-backdrop="static" tabindex="-1" aria-labelledby="click-and-watch-label" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header bg-color-2 border-0">
                <h3 class="modal-title">{{$details->title}}</h3>
                <button type="button" class="close btn border-0 p-3" onclick="end_trailer()" data-bs-dismiss="modal" aria-label="Close"> <i class="fas fa-times"></i> </button>
            </div> 
            <div class="modal-body p-0 overflow-hidden">
                <div class="row">
                    <div class="plyr__video-embed popup-video-modal" id="video-plyr">
                        <!-- main movei frame -->
                        <iframe src="{{$details->trailer}}?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowfullscreen allowtransparency allow="autoplay" class="trailer-iframe"></iframe>
                    </div>
                </div>       
            </div>
        </div>
    </div>
</div>

<!-- pricing modal -->
<div class="modal fade" id="subscribe" tabindex="-1" aria-labelledby="click-and-watch-label" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-body p-0">
                <div class="row">
                    <div class="col-lg-12 p-0">
                        <div class="profile-edit">
                            <div class="profle-head d-flex justify-content-between align-items-center">
                                <h3>{{ get_phrase('Service packages') }}</h3>
                                <button type="button" class="close btn border-0 p-3" data-bs-dismiss="modal" aria-label="Close"> <i class="fas fa-times text-light"></i> </button>
                            </div>
                            <div class="row">
                                @foreach ($packages as $item)
                                <div class="col-lg-4 col-md-6 col-sm-6 mb-20">
                                    <div class="pricing-box pricing-card h-100">
                                        <div class="card">
                                            <div class="card-head">
                                                <div class="p-head-left d-flex">
                                                    <i class="fa-solid fa-layer-group"></i>
                                                    <div class="p-head-text">
                                                        <h4> {{ $item->name }} </h4>
                                                        @if($item->price == 'free')
                                                        <p class="text-light">{{get_phrase("Free")}} <small>{{get_phrase('/Monthly')}}</small> </p>
                                                      @else
                                                        <p class="text-light"> {{get_price($item->price)}} <small>{{get_phrase('/Monthly')}}</small> </p>
                                                      @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="card-body">
                                                @php $service_item = json_decode($item->services); @endphp
                                                <ul class="price-list">
                                                    @if($item->movie)
                                                    <li><i class="fa-solid fa-circle-check text-danger"></i> {{$item->movie}} {{get_phrase('Movie')}}</li>
                                                    @endif
                                                    @if($item->series)
                                                    <li><i class="fa-solid fa-circle-check text-danger"></i> {{$item->series}} {{get_phrase('Series')}}</li>
                                                    @endif
                                                    @foreach ($service_item as $service)
                                                    <li><i class="fa-solid fa-circle-check text-danger"></i> {{$service}}</li>
                                                    @endforeach
                                                </ul>
                                            </div>
                                            @if($item->price == "free")
                                            <a href="{{route('user/free/payment', ['id'=>$item->id])}}" class="main-outline-btn text-center mt-4"> {{get_phrase('Free')}} </a>
                                           @else
                                            <a href="{{route('user/payment-page-view', ['id'=>$item->id])}}" class="main-outline-btn text-center mt-4"> {{get_phrase('Select')}} </a>
                                            @endif

                                        </div>
                                    </div>
                                </div>
                                @endforeach
                            </div>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Main Jquery-->
<script src="{{asset('frontend/js/jquery-3.7.1.min.js')}}"></script>
<!-- plyr js -->
<script src="{{ asset('assets/plyr/plyr.js') }}"></script>
<script>
    "use strict";

    $("#trailer-autoplay").click(function(){
        // player js
        var player = new Plyr('#video-plyr');
        setTimeout(function(){
            var paly = player.play();
        }, 1000);       
    });
    
    function end_trailer(){
        var player = new Plyr('#video-plyr');
        var paly = player.stop();
    }

    // ajax series view
    function series_view(url){
        var value = $("#select_season").val();
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'POST',
            url: url,
            data: {
                season_id: value
            },
            success: function(result){
                $("#episode-group").html(result);
            }
        });
    }
   
</script>  
@endsection