<?php

use App\Http\Controllers\Admin\Users\UsersController;
use App\Http\Controllers\Frontend\UserProfileController;
use App\Http\Controllers\User\Auth\Authcontroller;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'admin',  'middleware' => 'admin'], function(){

    Route::get('/list/users', [UsersController::class, 'index'])->name('list/users'); // users list page
    Route::get('/create/user', [UsersController::class, 'create'])->name('create/user'); // users list page
    Route::post('/store/user', [UsersController::class, 'store'])->name('store/user'); // store users
    Route::get('/edit/user/{id}', [UsersController::class, 'edit'])->name('edit/user'); // edit users page
    Route::post('/update/user/{id}', [UsersController::class, 'update'])->name('update/user'); // update users
    Route::get('/delete/user/{id}', [UsersController::class, 'delete'])->name('delete/user'); // delete users

    // User ban
    Route::get('/user/ban/{id}', [UsersController::class, 'adminUserBan'])->name('user/ban'); // ban users page
    Route::post('/user/ban/update/{id}', [UsersController::class, 'UserbanUpdate'])->name('user/ban/update'); // ban users page
    Route::get('/user/unban/{id}', [UsersController::class, 'adminUserUnban'])->name('user/unban'); // unban users page

    // User Ban List
    Route::get('/user/banlist', [UsersController::class, 'BanList'])->name('user/banlist'); 
});

Route::group(['prefix' => 'user',  'middleware' => 'user'], function(){
    
    Route::get('/profile', [UserProfileController::class, 'profile'])->name('user/profile'); // main homepage
    Route::post('/manage-profile', [UserProfileController::class, 'manage_profile'])->name('user/manage-profile'); // manage profile => update user namd and image 
    Route::get('/change-password', [UserProfileController::class, 'change_password'])->name('user/change-password'); 
    Route::post('/change-password', [UserProfileController::class, 'update_password'])->name('user/change-password'); 
    Route::get('/active-package', [UserProfileController::class, 'active_package'])->name('user/active-package'); 
    Route::get('/active-package', [UserProfileController::class, 'active_package'])->name('user/active-package'); 
    Route::get('/billing-history', [UserProfileController::class, 'billing_history'])->name('user/billing-history'); 
    

    Route::post('/add-friends', [UserProfileController::class, 'add_friends'])->name('user/add-friends'); // main homepage
    Route::post('/root-password', [UserProfileController::class, 'root_password'])->name('user/root-password');
    Route::post('/login-root-password', [UserProfileController::class, 'login_root_password'])->name('user/login-root-password');
    Route::get('/remove-friend/{param}', [UserProfileController::class, 'remove_friend'])->name('user/remove-friend'); // remove friend
    Route::post('/update-friends/{param}', [UserProfileController::class, 'update_friends'])->name('user/update-friends'); // update friends information
    Route::get('/selected-user/{param}', [UserProfileController::class, 'selected_friend'])->name('user/selected-user'); // slected user
    
    // manage profile routes

});

// admin dashboard view
Route::get('user/dashboard', [AuthController::class, 'dashboard'])->name('user/dashboard');

// admin logout
Route::get('user/logout', [AuthController::class, 'logout'])->name('user/logout');